import { CaptchaClientOptions, CaptchaServiceStatus } from './models';
export declare abstract class CaptchaProviderService {
    protected readonly successCallback: SuccessCallbackFn;
    protected readonly errorCallback: ErrorCallbackFn;
    protected readonly readyCallback: ReadyCallbackFn;
    protected readonly options: CaptchaClientOptions;
    protected _status: CaptchaServiceStatus;
    constructor(successCallback: SuccessCallbackFn, errorCallback: ErrorCallbackFn, readyCallback: ReadyCallbackFn, options: CaptchaClientOptions);
    get status(): CaptchaServiceStatus;
    abstract execute(): void;
    abstract init(): void;
    protected onSuccess(response?: object): void;
    protected onError(message?: string): void;
    protected onReady(): void;
}
export interface SuccessCallbackFn {
    (response?: object): void;
}
export interface ErrorCallbackFn {
    (message?: string): void;
}
export interface ReadyCallbackFn {
    (): void;
}
export declare abstract class FrictionlessCaptchaProviderService {
    protected readonly errorCallback: ErrorCallbackFn;
    protected readonly readyCallback: ReadyCallbackFn;
    protected readonly options: CaptchaClientOptions;
    protected _status: CaptchaServiceStatus;
    constructor(errorCallback: ErrorCallbackFn, readyCallback: ReadyCallbackFn, options: CaptchaClientOptions);
    get status(): CaptchaServiceStatus;
    abstract execute(action: string): Promise<object>;
    abstract init(): void;
    protected onError(message?: string): void;
    protected onReady(): void;
}
