import { CaptchaClientOptions, CaptchaServiceStatus } from './models';
import { ErrorCallbackFn, ReadyCallbackFn, SuccessCallbackFn } from './captcha-provider-service';
export interface InitCaptchaParams {
    successCallback: SuccessCallbackFn;
    errorCallback?: ErrorCallbackFn;
    readyCallback?: ReadyCallbackFn;
    options?: string | CaptchaClientOptions;
    executeOnReady?: boolean;
    action?: string;
}
export declare function initCaptcha(params: InitCaptchaParams): CaptchaService;
export declare class CaptchaService {
    private _status;
    private providers;
    private frictionlessProviders;
    private errors;
    private options?;
    private loadingOverlay?;
    private _successCallback?;
    private executeOnReady;
    errorCallback?: ErrorCallbackFn;
    readyCallback?: ReadyCallbackFn;
    action?: string;
    get status(): CaptchaServiceStatus;
    get successCallback(): SuccessCallbackFn;
    set successCallback(value: SuccessCallbackFn);
    constructor(params: InitCaptchaParams);
    execute(): void;
    private executeCore;
    executeFrictionless(action?: string): Promise<any>;
    private init;
    private getOptionsThenInit;
    private createProviderService;
    private createFrictionlessProviderService;
    private onReady;
    private onError;
    private providerOnSuccess;
    private providerOnError;
    private providerOnReady;
    private showLoadingOverlay;
    hideLoadingOverlay(): void;
}
