export declare enum CaptchaProvider {
    None = 0,
    Geetest = 1,
    Recaptcha = 2,
    AliyunCaptcha = 4
}
export declare enum FrictionlessCaptchaProvider {
    None = 0,
    Geetest = 1,
    Recaptcha = 2
}
export interface CaptchaClientOptions {
    providers: CaptchaProvider[];
    frictionlessProviders: FrictionlessCaptchaProvider[];
    geetest?: GeetestClientOptions;
    geetestFrictionless?: GeetestFrictionlessClientOptions;
    recaptcha?: RecaptchaClientOptions;
    aliyunCaptcha?: AliyunCaptchaClientOptions;
    recaptchaFrictionless?: RecaptchaClientOptions;
}
export interface GeetestClientOptions {
    success: number;
    gt: string;
    challenge: string;
    new_captcha: boolean;
}
export interface GeetestFrictionlessClientOptions {
    senseId: string;
}
export interface RecaptchaClientOptions {
    siteKey: string;
}
export interface AliyunCaptchaClientOptions {
    appKey: string;
    scene: string;
}
export declare enum CaptchaServiceStatus {
    Pending = 0,
    Ready = 1,
    Error = 2
}
