(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
	typeof define === 'function' && define.amd ? define(['exports'], factory) :
	(global = global || self, factory(global.cnblogsCaptcha = {}));
}(this, (function (exports) { 'use strict';

	var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

	function createCommonjsModule(fn, basedir, module) {
		return module = {
		  path: basedir,
		  exports: {},
		  require: function (path, base) {
	      return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
	    }
		}, fn(module, module.exports), module.exports;
	}

	function commonjsRequire () {
		throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
	}

	var check = function (it) {
	  return it && it.Math == Math && it;
	}; // https://github.com/zloirock/core-js/issues/86#issuecomment-115759028


	var global_1 = // eslint-disable-next-line no-undef
	check(typeof globalThis == 'object' && globalThis) || check(typeof window == 'object' && window) || check(typeof self == 'object' && self) || check(typeof commonjsGlobal == 'object' && commonjsGlobal) || // eslint-disable-next-line no-new-func
	Function('return this')();

	var fails = function (exec) {
	  try {
	    return !!exec();
	  } catch (error) {
	    return true;
	  }
	};

	var descriptors = !fails(function () {
	  return Object.defineProperty({}, 1, {
	    get: function () {
	      return 7;
	    }
	  })[1] != 7;
	});

	var nativePropertyIsEnumerable = {}.propertyIsEnumerable;
	var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor; // Nashorn ~ JDK8 bug

	var NASHORN_BUG = getOwnPropertyDescriptor && !nativePropertyIsEnumerable.call({
	  1: 2
	}, 1); // `Object.prototype.propertyIsEnumerable` method implementation
	// https://tc39.github.io/ecma262/#sec-object.prototype.propertyisenumerable

	var f = NASHORN_BUG ? function propertyIsEnumerable(V) {
	  var descriptor = getOwnPropertyDescriptor(this, V);
	  return !!descriptor && descriptor.enumerable;
	} : nativePropertyIsEnumerable;
	var objectPropertyIsEnumerable = {
	  f: f
	};

	var createPropertyDescriptor = function (bitmap, value) {
	  return {
	    enumerable: !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable: !(bitmap & 4),
	    value: value
	  };
	};

	var toString = {}.toString;

	var classofRaw = function (it) {
	  return toString.call(it).slice(8, -1);
	};

	var split = ''.split; // fallback for non-array-like ES3 and non-enumerable old V8 strings

	var indexedObject = fails(function () {
	  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
	  // eslint-disable-next-line no-prototype-builtins
	  return !Object('z').propertyIsEnumerable(0);
	}) ? function (it) {
	  return classofRaw(it) == 'String' ? split.call(it, '') : Object(it);
	} : Object;

	// `RequireObjectCoercible` abstract operation
	// https://tc39.github.io/ecma262/#sec-requireobjectcoercible
	var requireObjectCoercible = function (it) {
	  if (it == undefined) throw TypeError("Can't call method on " + it);
	  return it;
	};

	var toIndexedObject = function (it) {
	  return indexedObject(requireObjectCoercible(it));
	};

	var isObject = function (it) {
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};

	// https://tc39.github.io/ecma262/#sec-toprimitive
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string

	var toPrimitive = function (input, PREFERRED_STRING) {
	  if (!isObject(input)) return input;
	  var fn, val;
	  if (PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
	  if (typeof (fn = input.valueOf) == 'function' && !isObject(val = fn.call(input))) return val;
	  if (!PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
	  throw TypeError("Can't convert object to primitive value");
	};

	var hasOwnProperty = {}.hasOwnProperty;

	var has = function (it, key) {
	  return hasOwnProperty.call(it, key);
	};

	var document$1 = global_1.document; // typeof document.createElement is 'object' in old IE

	var EXISTS = isObject(document$1) && isObject(document$1.createElement);

	var documentCreateElement = function (it) {
	  return EXISTS ? document$1.createElement(it) : {};
	};

	var ie8DomDefine = !descriptors && !fails(function () {
	  return Object.defineProperty(documentCreateElement('div'), 'a', {
	    get: function () {
	      return 7;
	    }
	  }).a != 7;
	});

	var nativeGetOwnPropertyDescriptor = Object.getOwnPropertyDescriptor; // `Object.getOwnPropertyDescriptor` method
	// https://tc39.github.io/ecma262/#sec-object.getownpropertydescriptor

	var f$1 = descriptors ? nativeGetOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
	  O = toIndexedObject(O);
	  P = toPrimitive(P, true);
	  if (ie8DomDefine) try {
	    return nativeGetOwnPropertyDescriptor(O, P);
	  } catch (error) {
	    /* empty */
	  }
	  if (has(O, P)) return createPropertyDescriptor(!objectPropertyIsEnumerable.f.call(O, P), O[P]);
	};
	var objectGetOwnPropertyDescriptor = {
	  f: f$1
	};

	var anObject = function (it) {
	  if (!isObject(it)) {
	    throw TypeError(String(it) + ' is not an object');
	  }

	  return it;
	};

	var nativeDefineProperty = Object.defineProperty; // `Object.defineProperty` method
	// https://tc39.github.io/ecma262/#sec-object.defineproperty

	var f$2 = descriptors ? nativeDefineProperty : function defineProperty(O, P, Attributes) {
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if (ie8DomDefine) try {
	    return nativeDefineProperty(O, P, Attributes);
	  } catch (error) {
	    /* empty */
	  }
	  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported');
	  if ('value' in Attributes) O[P] = Attributes.value;
	  return O;
	};
	var objectDefineProperty = {
	  f: f$2
	};

	var createNonEnumerableProperty = descriptors ? function (object, key, value) {
	  return objectDefineProperty.f(object, key, createPropertyDescriptor(1, value));
	} : function (object, key, value) {
	  object[key] = value;
	  return object;
	};

	var setGlobal = function (key, value) {
	  try {
	    createNonEnumerableProperty(global_1, key, value);
	  } catch (error) {
	    global_1[key] = value;
	  }

	  return value;
	};

	var SHARED = '__core-js_shared__';
	var store = global_1[SHARED] || setGlobal(SHARED, {});
	var sharedStore = store;

	var functionToString = Function.toString; // this helper broken in `3.4.1-3.4.4`, so we can't use `shared` helper

	if (typeof sharedStore.inspectSource != 'function') {
	  sharedStore.inspectSource = function (it) {
	    return functionToString.call(it);
	  };
	}

	var inspectSource = sharedStore.inspectSource;

	var WeakMap = global_1.WeakMap;
	var nativeWeakMap = typeof WeakMap === 'function' && /native code/.test(inspectSource(WeakMap));

	var shared = createCommonjsModule(function (module) {
	  (module.exports = function (key, value) {
	    return sharedStore[key] || (sharedStore[key] = value !== undefined ? value : {});
	  })('versions', []).push({
	    version: '3.6.5',
	    mode:  'global',
	    copyright: '© 2020 Denis Pushkarev (zloirock.ru)'
	  });
	});

	var id = 0;
	var postfix = Math.random();

	var uid = function (key) {
	  return 'Symbol(' + String(key === undefined ? '' : key) + ')_' + (++id + postfix).toString(36);
	};

	var keys = shared('keys');

	var sharedKey = function (key) {
	  return keys[key] || (keys[key] = uid(key));
	};

	var hiddenKeys = {};

	var WeakMap$1 = global_1.WeakMap;
	var set, get, has$1;

	var enforce = function (it) {
	  return has$1(it) ? get(it) : set(it, {});
	};

	var getterFor = function (TYPE) {
	  return function (it) {
	    var state;

	    if (!isObject(it) || (state = get(it)).type !== TYPE) {
	      throw TypeError('Incompatible receiver, ' + TYPE + ' required');
	    }

	    return state;
	  };
	};

	if (nativeWeakMap) {
	  var store$1 = new WeakMap$1();
	  var wmget = store$1.get;
	  var wmhas = store$1.has;
	  var wmset = store$1.set;

	  set = function (it, metadata) {
	    wmset.call(store$1, it, metadata);
	    return metadata;
	  };

	  get = function (it) {
	    return wmget.call(store$1, it) || {};
	  };

	  has$1 = function (it) {
	    return wmhas.call(store$1, it);
	  };
	} else {
	  var STATE = sharedKey('state');
	  hiddenKeys[STATE] = true;

	  set = function (it, metadata) {
	    createNonEnumerableProperty(it, STATE, metadata);
	    return metadata;
	  };

	  get = function (it) {
	    return has(it, STATE) ? it[STATE] : {};
	  };

	  has$1 = function (it) {
	    return has(it, STATE);
	  };
	}

	var internalState = {
	  set: set,
	  get: get,
	  has: has$1,
	  enforce: enforce,
	  getterFor: getterFor
	};

	var redefine = createCommonjsModule(function (module) {
	  var getInternalState = internalState.get;
	  var enforceInternalState = internalState.enforce;
	  var TEMPLATE = String(String).split('String');
	  (module.exports = function (O, key, value, options) {
	    var unsafe = options ? !!options.unsafe : false;
	    var simple = options ? !!options.enumerable : false;
	    var noTargetGet = options ? !!options.noTargetGet : false;

	    if (typeof value == 'function') {
	      if (typeof key == 'string' && !has(value, 'name')) createNonEnumerableProperty(value, 'name', key);
	      enforceInternalState(value).source = TEMPLATE.join(typeof key == 'string' ? key : '');
	    }

	    if (O === global_1) {
	      if (simple) O[key] = value;else setGlobal(key, value);
	      return;
	    } else if (!unsafe) {
	      delete O[key];
	    } else if (!noTargetGet && O[key]) {
	      simple = true;
	    }

	    if (simple) O[key] = value;else createNonEnumerableProperty(O, key, value); // add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
	  })(Function.prototype, 'toString', function toString() {
	    return typeof this == 'function' && getInternalState(this).source || inspectSource(this);
	  });
	});

	var path = global_1;

	var aFunction = function (variable) {
	  return typeof variable == 'function' ? variable : undefined;
	};

	var getBuiltIn = function (namespace, method) {
	  return arguments.length < 2 ? aFunction(path[namespace]) || aFunction(global_1[namespace]) : path[namespace] && path[namespace][method] || global_1[namespace] && global_1[namespace][method];
	};

	var ceil = Math.ceil;
	var floor = Math.floor; // `ToInteger` abstract operation
	// https://tc39.github.io/ecma262/#sec-tointeger

	var toInteger = function (argument) {
	  return isNaN(argument = +argument) ? 0 : (argument > 0 ? floor : ceil)(argument);
	};

	var min = Math.min; // `ToLength` abstract operation
	// https://tc39.github.io/ecma262/#sec-tolength

	var toLength = function (argument) {
	  return argument > 0 ? min(toInteger(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
	};

	var max = Math.max;
	var min$1 = Math.min; // Helper for a popular repeating case of the spec:
	// Let integer be ? ToInteger(index).
	// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).

	var toAbsoluteIndex = function (index, length) {
	  var integer = toInteger(index);
	  return integer < 0 ? max(integer + length, 0) : min$1(integer, length);
	};

	var createMethod = function (IS_INCLUDES) {
	  return function ($this, el, fromIndex) {
	    var O = toIndexedObject($this);
	    var length = toLength(O.length);
	    var index = toAbsoluteIndex(fromIndex, length);
	    var value; // Array#includes uses SameValueZero equality algorithm
	    // eslint-disable-next-line no-self-compare

	    if (IS_INCLUDES && el != el) while (length > index) {
	      value = O[index++]; // eslint-disable-next-line no-self-compare

	      if (value != value) return true; // Array#indexOf ignores holes, Array#includes - not
	    } else for (; length > index; index++) {
	      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
	    }
	    return !IS_INCLUDES && -1;
	  };
	};

	var arrayIncludes = {
	  // `Array.prototype.includes` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.includes
	  includes: createMethod(true),
	  // `Array.prototype.indexOf` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.indexof
	  indexOf: createMethod(false)
	};

	var indexOf = arrayIncludes.indexOf;

	var objectKeysInternal = function (object, names) {
	  var O = toIndexedObject(object);
	  var i = 0;
	  var result = [];
	  var key;

	  for (key in O) !has(hiddenKeys, key) && has(O, key) && result.push(key); // Don't enum bug & hidden keys


	  while (names.length > i) if (has(O, key = names[i++])) {
	    ~indexOf(result, key) || result.push(key);
	  }

	  return result;
	};

	// IE8- don't enum bug keys
	var enumBugKeys = ['constructor', 'hasOwnProperty', 'isPrototypeOf', 'propertyIsEnumerable', 'toLocaleString', 'toString', 'valueOf'];

	var hiddenKeys$1 = enumBugKeys.concat('length', 'prototype'); // `Object.getOwnPropertyNames` method
	// https://tc39.github.io/ecma262/#sec-object.getownpropertynames

	var f$3 = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
	  return objectKeysInternal(O, hiddenKeys$1);
	};

	var objectGetOwnPropertyNames = {
	  f: f$3
	};

	var f$4 = Object.getOwnPropertySymbols;
	var objectGetOwnPropertySymbols = {
	  f: f$4
	};

	var ownKeys = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
	  var keys = objectGetOwnPropertyNames.f(anObject(it));
	  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
	  return getOwnPropertySymbols ? keys.concat(getOwnPropertySymbols(it)) : keys;
	};

	var copyConstructorProperties = function (target, source) {
	  var keys = ownKeys(source);
	  var defineProperty = objectDefineProperty.f;
	  var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;

	  for (var i = 0; i < keys.length; i++) {
	    var key = keys[i];
	    if (!has(target, key)) defineProperty(target, key, getOwnPropertyDescriptor(source, key));
	  }
	};

	var replacement = /#|\.prototype\./;

	var isForced = function (feature, detection) {
	  var value = data[normalize(feature)];
	  return value == POLYFILL ? true : value == NATIVE ? false : typeof detection == 'function' ? fails(detection) : !!detection;
	};

	var normalize = isForced.normalize = function (string) {
	  return String(string).replace(replacement, '.').toLowerCase();
	};

	var data = isForced.data = {};
	var NATIVE = isForced.NATIVE = 'N';
	var POLYFILL = isForced.POLYFILL = 'P';
	var isForced_1 = isForced;

	var getOwnPropertyDescriptor$1 = objectGetOwnPropertyDescriptor.f;
	/*
	  options.target      - name of the target object
	  options.global      - target is the global object
	  options.stat        - export as static methods of target
	  options.proto       - export as prototype methods of target
	  options.real        - real prototype method for the `pure` version
	  options.forced      - export even if the native feature is available
	  options.bind        - bind methods to the target, required for the `pure` version
	  options.wrap        - wrap constructors to preventing global pollution, required for the `pure` version
	  options.unsafe      - use the simple assignment of property instead of delete + defineProperty
	  options.sham        - add a flag to not completely full polyfills
	  options.enumerable  - export as enumerable property
	  options.noTargetGet - prevent calling a getter on target
	*/

	var _export = function (options, source) {
	  var TARGET = options.target;
	  var GLOBAL = options.global;
	  var STATIC = options.stat;
	  var FORCED, target, key, targetProperty, sourceProperty, descriptor;

	  if (GLOBAL) {
	    target = global_1;
	  } else if (STATIC) {
	    target = global_1[TARGET] || setGlobal(TARGET, {});
	  } else {
	    target = (global_1[TARGET] || {}).prototype;
	  }

	  if (target) for (key in source) {
	    sourceProperty = source[key];

	    if (options.noTargetGet) {
	      descriptor = getOwnPropertyDescriptor$1(target, key);
	      targetProperty = descriptor && descriptor.value;
	    } else targetProperty = target[key];

	    FORCED = isForced_1(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced); // contained in target

	    if (!FORCED && targetProperty !== undefined) {
	      if (typeof sourceProperty === typeof targetProperty) continue;
	      copyConstructorProperties(sourceProperty, targetProperty);
	    } // add a flag to not completely full polyfills


	    if (options.sham || targetProperty && targetProperty.sham) {
	      createNonEnumerableProperty(sourceProperty, 'sham', true);
	    } // extend global


	    redefine(target, key, sourceProperty, options);
	  }
	};

	// https://tc39.github.io/ecma262/#sec-isarray

	var isArray = Array.isArray || function isArray(arg) {
	  return classofRaw(arg) == 'Array';
	};

	// https://tc39.github.io/ecma262/#sec-toobject

	var toObject = function (argument) {
	  return Object(requireObjectCoercible(argument));
	};

	var createProperty = function (object, key, value) {
	  var propertyKey = toPrimitive(key);
	  if (propertyKey in object) objectDefineProperty.f(object, propertyKey, createPropertyDescriptor(0, value));else object[propertyKey] = value;
	};

	var nativeSymbol = !!Object.getOwnPropertySymbols && !fails(function () {
	  // Chrome 38 Symbol has incorrect toString conversion
	  // eslint-disable-next-line no-undef
	  return !String(Symbol());
	});

	var useSymbolAsUid = nativeSymbol // eslint-disable-next-line no-undef
	&& !Symbol.sham // eslint-disable-next-line no-undef
	&& typeof Symbol.iterator == 'symbol';

	var WellKnownSymbolsStore = shared('wks');
	var Symbol$1 = global_1.Symbol;
	var createWellKnownSymbol = useSymbolAsUid ? Symbol$1 : Symbol$1 && Symbol$1.withoutSetter || uid;

	var wellKnownSymbol = function (name) {
	  if (!has(WellKnownSymbolsStore, name)) {
	    if (nativeSymbol && has(Symbol$1, name)) WellKnownSymbolsStore[name] = Symbol$1[name];else WellKnownSymbolsStore[name] = createWellKnownSymbol('Symbol.' + name);
	  }

	  return WellKnownSymbolsStore[name];
	};

	var SPECIES = wellKnownSymbol('species'); // `ArraySpeciesCreate` abstract operation
	// https://tc39.github.io/ecma262/#sec-arrayspeciescreate

	var arraySpeciesCreate = function (originalArray, length) {
	  var C;

	  if (isArray(originalArray)) {
	    C = originalArray.constructor; // cross-realm fallback

	    if (typeof C == 'function' && (C === Array || isArray(C.prototype))) C = undefined;else if (isObject(C)) {
	      C = C[SPECIES];
	      if (C === null) C = undefined;
	    }
	  }

	  return new (C === undefined ? Array : C)(length === 0 ? 0 : length);
	};

	var engineUserAgent = getBuiltIn('navigator', 'userAgent') || '';

	var process = global_1.process;
	var versions = process && process.versions;
	var v8 = versions && versions.v8;
	var match, version;

	if (v8) {
	  match = v8.split('.');
	  version = match[0] + match[1];
	} else if (engineUserAgent) {
	  match = engineUserAgent.match(/Edge\/(\d+)/);

	  if (!match || match[1] >= 74) {
	    match = engineUserAgent.match(/Chrome\/(\d+)/);
	    if (match) version = match[1];
	  }
	}

	var engineV8Version = version && +version;

	var SPECIES$1 = wellKnownSymbol('species');

	var arrayMethodHasSpeciesSupport = function (METHOD_NAME) {
	  // We can't use this feature detection in V8 since it causes
	  // deoptimization and serious performance degradation
	  // https://github.com/zloirock/core-js/issues/677
	  return engineV8Version >= 51 || !fails(function () {
	    var array = [];
	    var constructor = array.constructor = {};

	    constructor[SPECIES$1] = function () {
	      return {
	        foo: 1
	      };
	    };

	    return array[METHOD_NAME](Boolean).foo !== 1;
	  });
	};

	var IS_CONCAT_SPREADABLE = wellKnownSymbol('isConcatSpreadable');
	var MAX_SAFE_INTEGER = 0x1FFFFFFFFFFFFF;
	var MAXIMUM_ALLOWED_INDEX_EXCEEDED = 'Maximum allowed index exceeded'; // We can't use this feature detection in V8 since it causes
	// deoptimization and serious performance degradation
	// https://github.com/zloirock/core-js/issues/679

	var IS_CONCAT_SPREADABLE_SUPPORT = engineV8Version >= 51 || !fails(function () {
	  var array = [];
	  array[IS_CONCAT_SPREADABLE] = false;
	  return array.concat()[0] !== array;
	});
	var SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('concat');

	var isConcatSpreadable = function (O) {
	  if (!isObject(O)) return false;
	  var spreadable = O[IS_CONCAT_SPREADABLE];
	  return spreadable !== undefined ? !!spreadable : isArray(O);
	};

	var FORCED = !IS_CONCAT_SPREADABLE_SUPPORT || !SPECIES_SUPPORT; // `Array.prototype.concat` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.concat
	// with adding support of @@isConcatSpreadable and @@species

	_export({
	  target: 'Array',
	  proto: true,
	  forced: FORCED
	}, {
	  concat: function concat(arg) {
	    // eslint-disable-line no-unused-vars
	    var O = toObject(this);
	    var A = arraySpeciesCreate(O, 0);
	    var n = 0;
	    var i, k, length, len, E;

	    for (i = -1, length = arguments.length; i < length; i++) {
	      E = i === -1 ? O : arguments[i];

	      if (isConcatSpreadable(E)) {
	        len = toLength(E.length);
	        if (n + len > MAX_SAFE_INTEGER) throw TypeError(MAXIMUM_ALLOWED_INDEX_EXCEEDED);

	        for (k = 0; k < len; k++, n++) if (k in E) createProperty(A, n, E[k]);
	      } else {
	        if (n >= MAX_SAFE_INTEGER) throw TypeError(MAXIMUM_ALLOWED_INDEX_EXCEEDED);
	        createProperty(A, n++, E);
	      }
	    }

	    A.length = n;
	    return A;
	  }
	});

	var aFunction$1 = function (it) {
	  if (typeof it != 'function') {
	    throw TypeError(String(it) + ' is not a function');
	  }

	  return it;
	};

	var functionBindContext = function (fn, that, length) {
	  aFunction$1(fn);
	  if (that === undefined) return fn;

	  switch (length) {
	    case 0:
	      return function () {
	        return fn.call(that);
	      };

	    case 1:
	      return function (a) {
	        return fn.call(that, a);
	      };

	    case 2:
	      return function (a, b) {
	        return fn.call(that, a, b);
	      };

	    case 3:
	      return function (a, b, c) {
	        return fn.call(that, a, b, c);
	      };
	  }

	  return function ()
	  /* ...args */
	  {
	    return fn.apply(that, arguments);
	  };
	};

	var push = [].push; // `Array.prototype.{ forEach, map, filter, some, every, find, findIndex }` methods implementation

	var createMethod$1 = function (TYPE) {
	  var IS_MAP = TYPE == 1;
	  var IS_FILTER = TYPE == 2;
	  var IS_SOME = TYPE == 3;
	  var IS_EVERY = TYPE == 4;
	  var IS_FIND_INDEX = TYPE == 6;
	  var NO_HOLES = TYPE == 5 || IS_FIND_INDEX;
	  return function ($this, callbackfn, that, specificCreate) {
	    var O = toObject($this);
	    var self = indexedObject(O);
	    var boundFunction = functionBindContext(callbackfn, that, 3);
	    var length = toLength(self.length);
	    var index = 0;
	    var create = specificCreate || arraySpeciesCreate;
	    var target = IS_MAP ? create($this, length) : IS_FILTER ? create($this, 0) : undefined;
	    var value, result;

	    for (; length > index; index++) if (NO_HOLES || index in self) {
	      value = self[index];
	      result = boundFunction(value, index, O);

	      if (TYPE) {
	        if (IS_MAP) target[index] = result; // map
	        else if (result) switch (TYPE) {
	            case 3:
	              return true;
	            // some

	            case 5:
	              return value;
	            // find

	            case 6:
	              return index;
	            // findIndex

	            case 2:
	              push.call(target, value);
	            // filter
	          } else if (IS_EVERY) return false; // every
	      }
	    }

	    return IS_FIND_INDEX ? -1 : IS_SOME || IS_EVERY ? IS_EVERY : target;
	  };
	};

	var arrayIteration = {
	  // `Array.prototype.forEach` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.foreach
	  forEach: createMethod$1(0),
	  // `Array.prototype.map` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.map
	  map: createMethod$1(1),
	  // `Array.prototype.filter` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.filter
	  filter: createMethod$1(2),
	  // `Array.prototype.some` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.some
	  some: createMethod$1(3),
	  // `Array.prototype.every` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.every
	  every: createMethod$1(4),
	  // `Array.prototype.find` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.find
	  find: createMethod$1(5),
	  // `Array.prototype.findIndex` method
	  // https://tc39.github.io/ecma262/#sec-array.prototype.findIndex
	  findIndex: createMethod$1(6)
	};

	var arrayMethodIsStrict = function (METHOD_NAME, argument) {
	  var method = [][METHOD_NAME];
	  return !!method && fails(function () {
	    // eslint-disable-next-line no-useless-call,no-throw-literal
	    method.call(null, argument || function () {
	      throw 1;
	    }, 1);
	  });
	};

	var defineProperty = Object.defineProperty;
	var cache = {};

	var thrower = function (it) {
	  throw it;
	};

	var arrayMethodUsesToLength = function (METHOD_NAME, options) {
	  if (has(cache, METHOD_NAME)) return cache[METHOD_NAME];
	  if (!options) options = {};
	  var method = [][METHOD_NAME];
	  var ACCESSORS = has(options, 'ACCESSORS') ? options.ACCESSORS : false;
	  var argument0 = has(options, 0) ? options[0] : thrower;
	  var argument1 = has(options, 1) ? options[1] : undefined;
	  return cache[METHOD_NAME] = !!method && !fails(function () {
	    if (ACCESSORS && !descriptors) return true;
	    var O = {
	      length: -1
	    };
	    if (ACCESSORS) defineProperty(O, 1, {
	      enumerable: true,
	      get: thrower
	    });else O[1] = 1;
	    method.call(O, argument0, argument1);
	  });
	};

	var $every = arrayIteration.every;
	var STRICT_METHOD = arrayMethodIsStrict('every');
	var USES_TO_LENGTH = arrayMethodUsesToLength('every'); // `Array.prototype.every` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.every

	_export({
	  target: 'Array',
	  proto: true,
	  forced: !STRICT_METHOD || !USES_TO_LENGTH
	}, {
	  every: function every(callbackfn
	  /* , thisArg */
	  ) {
	    return $every(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	var $filter = arrayIteration.filter;
	var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('filter'); // Edge 14- issue

	var USES_TO_LENGTH$1 = arrayMethodUsesToLength('filter'); // `Array.prototype.filter` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.filter
	// with adding support of @@species

	_export({
	  target: 'Array',
	  proto: true,
	  forced: !HAS_SPECIES_SUPPORT || !USES_TO_LENGTH$1
	}, {
	  filter: function filter(callbackfn
	  /* , thisArg */
	  ) {
	    return $filter(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	// https://tc39.github.io/ecma262/#sec-object.keys

	var objectKeys = Object.keys || function keys(O) {
	  return objectKeysInternal(O, enumBugKeys);
	};

	// https://tc39.github.io/ecma262/#sec-object.defineproperties

	var objectDefineProperties = descriptors ? Object.defineProperties : function defineProperties(O, Properties) {
	  anObject(O);
	  var keys = objectKeys(Properties);
	  var length = keys.length;
	  var index = 0;
	  var key;

	  while (length > index) objectDefineProperty.f(O, key = keys[index++], Properties[key]);

	  return O;
	};

	var html = getBuiltIn('document', 'documentElement');

	var GT = '>';
	var LT = '<';
	var PROTOTYPE = 'prototype';
	var SCRIPT = 'script';
	var IE_PROTO = sharedKey('IE_PROTO');

	var EmptyConstructor = function () {
	  /* empty */
	};

	var scriptTag = function (content) {
	  return LT + SCRIPT + GT + content + LT + '/' + SCRIPT + GT;
	}; // Create object with fake `null` prototype: use ActiveX Object with cleared prototype


	var NullProtoObjectViaActiveX = function (activeXDocument) {
	  activeXDocument.write(scriptTag(''));
	  activeXDocument.close();
	  var temp = activeXDocument.parentWindow.Object;
	  activeXDocument = null; // avoid memory leak

	  return temp;
	}; // Create object with fake `null` prototype: use iframe Object with cleared prototype


	var NullProtoObjectViaIFrame = function () {
	  // Thrash, waste and sodomy: IE GC bug
	  var iframe = documentCreateElement('iframe');
	  var JS = 'java' + SCRIPT + ':';
	  var iframeDocument;
	  iframe.style.display = 'none';
	  html.appendChild(iframe); // https://github.com/zloirock/core-js/issues/475

	  iframe.src = String(JS);
	  iframeDocument = iframe.contentWindow.document;
	  iframeDocument.open();
	  iframeDocument.write(scriptTag('document.F=Object'));
	  iframeDocument.close();
	  return iframeDocument.F;
	}; // Check for document.domain and active x support
	// No need to use active x approach when document.domain is not set
	// see https://github.com/es-shims/es5-shim/issues/150
	// variation of https://github.com/kitcambridge/es5-shim/commit/4f738ac066346
	// avoid IE GC bug


	var activeXDocument;

	var NullProtoObject = function () {
	  try {
	    /* global ActiveXObject */
	    activeXDocument = document.domain && new ActiveXObject('htmlfile');
	  } catch (error) {
	    /* ignore */
	  }

	  NullProtoObject = activeXDocument ? NullProtoObjectViaActiveX(activeXDocument) : NullProtoObjectViaIFrame();
	  var length = enumBugKeys.length;

	  while (length--) delete NullProtoObject[PROTOTYPE][enumBugKeys[length]];

	  return NullProtoObject();
	};

	hiddenKeys[IE_PROTO] = true; // `Object.create` method
	// https://tc39.github.io/ecma262/#sec-object.create

	var objectCreate = Object.create || function create(O, Properties) {
	  var result;

	  if (O !== null) {
	    EmptyConstructor[PROTOTYPE] = anObject(O);
	    result = new EmptyConstructor();
	    EmptyConstructor[PROTOTYPE] = null; // add "__proto__" for Object.getPrototypeOf polyfill

	    result[IE_PROTO] = O;
	  } else result = NullProtoObject();

	  return Properties === undefined ? result : objectDefineProperties(result, Properties);
	};

	var UNSCOPABLES = wellKnownSymbol('unscopables');
	var ArrayPrototype = Array.prototype; // Array.prototype[@@unscopables]
	// https://tc39.github.io/ecma262/#sec-array.prototype-@@unscopables

	if (ArrayPrototype[UNSCOPABLES] == undefined) {
	  objectDefineProperty.f(ArrayPrototype, UNSCOPABLES, {
	    configurable: true,
	    value: objectCreate(null)
	  });
	} // add a key to Array.prototype[@@unscopables]


	var addToUnscopables = function (key) {
	  ArrayPrototype[UNSCOPABLES][key] = true;
	};

	var $find = arrayIteration.find;
	var FIND = 'find';
	var SKIPS_HOLES = true;
	var USES_TO_LENGTH$2 = arrayMethodUsesToLength(FIND); // Shouldn't skip holes

	if (FIND in []) Array(1)[FIND](function () {
	  SKIPS_HOLES = false;
	}); // `Array.prototype.find` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.find

	_export({
	  target: 'Array',
	  proto: true,
	  forced: SKIPS_HOLES || !USES_TO_LENGTH$2
	}, {
	  find: function find(callbackfn
	  /* , that = undefined */
	  ) {
	    return $find(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	  }
	}); // https://tc39.github.io/ecma262/#sec-array.prototype-@@unscopables

	addToUnscopables(FIND);

	var $forEach = arrayIteration.forEach;
	var STRICT_METHOD$1 = arrayMethodIsStrict('forEach');
	var USES_TO_LENGTH$3 = arrayMethodUsesToLength('forEach'); // `Array.prototype.forEach` method implementation
	// https://tc39.github.io/ecma262/#sec-array.prototype.foreach

	var arrayForEach = !STRICT_METHOD$1 || !USES_TO_LENGTH$3 ? function forEach(callbackfn
	/* , thisArg */
	) {
	  return $forEach(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	} : [].forEach;

	// https://tc39.github.io/ecma262/#sec-array.prototype.foreach


	_export({
	  target: 'Array',
	  proto: true,
	  forced: [].forEach != arrayForEach
	}, {
	  forEach: arrayForEach
	});

	var iterators = {};

	var correctPrototypeGetter = !fails(function () {
	  function F() {
	    /* empty */
	  }

	  F.prototype.constructor = null;
	  return Object.getPrototypeOf(new F()) !== F.prototype;
	});

	var IE_PROTO$1 = sharedKey('IE_PROTO');
	var ObjectPrototype = Object.prototype; // `Object.getPrototypeOf` method
	// https://tc39.github.io/ecma262/#sec-object.getprototypeof

	var objectGetPrototypeOf = correctPrototypeGetter ? Object.getPrototypeOf : function (O) {
	  O = toObject(O);
	  if (has(O, IE_PROTO$1)) return O[IE_PROTO$1];

	  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
	    return O.constructor.prototype;
	  }

	  return O instanceof Object ? ObjectPrototype : null;
	};

	var ITERATOR = wellKnownSymbol('iterator');
	var BUGGY_SAFARI_ITERATORS = false;

	var returnThis = function () {
	  return this;
	}; // `%IteratorPrototype%` object
	// https://tc39.github.io/ecma262/#sec-%iteratorprototype%-object


	var IteratorPrototype, PrototypeOfArrayIteratorPrototype, arrayIterator;

	if ([].keys) {
	  arrayIterator = [].keys(); // Safari 8 has buggy iterators w/o `next`

	  if (!('next' in arrayIterator)) BUGGY_SAFARI_ITERATORS = true;else {
	    PrototypeOfArrayIteratorPrototype = objectGetPrototypeOf(objectGetPrototypeOf(arrayIterator));
	    if (PrototypeOfArrayIteratorPrototype !== Object.prototype) IteratorPrototype = PrototypeOfArrayIteratorPrototype;
	  }
	}

	if (IteratorPrototype == undefined) IteratorPrototype = {}; // 25.1.2.1.1 %IteratorPrototype%[@@iterator]()

	if ( !has(IteratorPrototype, ITERATOR)) {
	  createNonEnumerableProperty(IteratorPrototype, ITERATOR, returnThis);
	}

	var iteratorsCore = {
	  IteratorPrototype: IteratorPrototype,
	  BUGGY_SAFARI_ITERATORS: BUGGY_SAFARI_ITERATORS
	};

	var defineProperty$1 = objectDefineProperty.f;
	var TO_STRING_TAG = wellKnownSymbol('toStringTag');

	var setToStringTag = function (it, TAG, STATIC) {
	  if (it && !has(it = STATIC ? it : it.prototype, TO_STRING_TAG)) {
	    defineProperty$1(it, TO_STRING_TAG, {
	      configurable: true,
	      value: TAG
	    });
	  }
	};

	var IteratorPrototype$1 = iteratorsCore.IteratorPrototype;

	var returnThis$1 = function () {
	  return this;
	};

	var createIteratorConstructor = function (IteratorConstructor, NAME, next) {
	  var TO_STRING_TAG = NAME + ' Iterator';
	  IteratorConstructor.prototype = objectCreate(IteratorPrototype$1, {
	    next: createPropertyDescriptor(1, next)
	  });
	  setToStringTag(IteratorConstructor, TO_STRING_TAG, false);
	  iterators[TO_STRING_TAG] = returnThis$1;
	  return IteratorConstructor;
	};

	var aPossiblePrototype = function (it) {
	  if (!isObject(it) && it !== null) {
	    throw TypeError("Can't set " + String(it) + ' as a prototype');
	  }

	  return it;
	};

	// https://tc39.github.io/ecma262/#sec-object.setprototypeof
	// Works with __proto__ only. Old v8 can't work with null proto objects.

	/* eslint-disable no-proto */

	var objectSetPrototypeOf = Object.setPrototypeOf || ('__proto__' in {} ? function () {
	  var CORRECT_SETTER = false;
	  var test = {};
	  var setter;

	  try {
	    setter = Object.getOwnPropertyDescriptor(Object.prototype, '__proto__').set;
	    setter.call(test, []);
	    CORRECT_SETTER = test instanceof Array;
	  } catch (error) {
	    /* empty */
	  }

	  return function setPrototypeOf(O, proto) {
	    anObject(O);
	    aPossiblePrototype(proto);
	    if (CORRECT_SETTER) setter.call(O, proto);else O.__proto__ = proto;
	    return O;
	  };
	}() : undefined);

	var IteratorPrototype$2 = iteratorsCore.IteratorPrototype;
	var BUGGY_SAFARI_ITERATORS$1 = iteratorsCore.BUGGY_SAFARI_ITERATORS;
	var ITERATOR$1 = wellKnownSymbol('iterator');
	var KEYS = 'keys';
	var VALUES = 'values';
	var ENTRIES = 'entries';

	var returnThis$2 = function () {
	  return this;
	};

	var defineIterator = function (Iterable, NAME, IteratorConstructor, next, DEFAULT, IS_SET, FORCED) {
	  createIteratorConstructor(IteratorConstructor, NAME, next);

	  var getIterationMethod = function (KIND) {
	    if (KIND === DEFAULT && defaultIterator) return defaultIterator;
	    if (!BUGGY_SAFARI_ITERATORS$1 && KIND in IterablePrototype) return IterablePrototype[KIND];

	    switch (KIND) {
	      case KEYS:
	        return function keys() {
	          return new IteratorConstructor(this, KIND);
	        };

	      case VALUES:
	        return function values() {
	          return new IteratorConstructor(this, KIND);
	        };

	      case ENTRIES:
	        return function entries() {
	          return new IteratorConstructor(this, KIND);
	        };
	    }

	    return function () {
	      return new IteratorConstructor(this);
	    };
	  };

	  var TO_STRING_TAG = NAME + ' Iterator';
	  var INCORRECT_VALUES_NAME = false;
	  var IterablePrototype = Iterable.prototype;
	  var nativeIterator = IterablePrototype[ITERATOR$1] || IterablePrototype['@@iterator'] || DEFAULT && IterablePrototype[DEFAULT];
	  var defaultIterator = !BUGGY_SAFARI_ITERATORS$1 && nativeIterator || getIterationMethod(DEFAULT);
	  var anyNativeIterator = NAME == 'Array' ? IterablePrototype.entries || nativeIterator : nativeIterator;
	  var CurrentIteratorPrototype, methods, KEY; // fix native

	  if (anyNativeIterator) {
	    CurrentIteratorPrototype = objectGetPrototypeOf(anyNativeIterator.call(new Iterable()));

	    if (IteratorPrototype$2 !== Object.prototype && CurrentIteratorPrototype.next) {
	      if ( objectGetPrototypeOf(CurrentIteratorPrototype) !== IteratorPrototype$2) {
	        if (objectSetPrototypeOf) {
	          objectSetPrototypeOf(CurrentIteratorPrototype, IteratorPrototype$2);
	        } else if (typeof CurrentIteratorPrototype[ITERATOR$1] != 'function') {
	          createNonEnumerableProperty(CurrentIteratorPrototype, ITERATOR$1, returnThis$2);
	        }
	      } // Set @@toStringTag to native iterators


	      setToStringTag(CurrentIteratorPrototype, TO_STRING_TAG, true);
	    }
	  } // fix Array#{values, @@iterator}.name in V8 / FF


	  if (DEFAULT == VALUES && nativeIterator && nativeIterator.name !== VALUES) {
	    INCORRECT_VALUES_NAME = true;

	    defaultIterator = function values() {
	      return nativeIterator.call(this);
	    };
	  } // define iterator


	  if ( IterablePrototype[ITERATOR$1] !== defaultIterator) {
	    createNonEnumerableProperty(IterablePrototype, ITERATOR$1, defaultIterator);
	  }

	  iterators[NAME] = defaultIterator; // export additional methods

	  if (DEFAULT) {
	    methods = {
	      values: getIterationMethod(VALUES),
	      keys: IS_SET ? defaultIterator : getIterationMethod(KEYS),
	      entries: getIterationMethod(ENTRIES)
	    };
	    if (FORCED) for (KEY in methods) {
	      if (BUGGY_SAFARI_ITERATORS$1 || INCORRECT_VALUES_NAME || !(KEY in IterablePrototype)) {
	        redefine(IterablePrototype, KEY, methods[KEY]);
	      }
	    } else _export({
	      target: NAME,
	      proto: true,
	      forced: BUGGY_SAFARI_ITERATORS$1 || INCORRECT_VALUES_NAME
	    }, methods);
	  }

	  return methods;
	};

	var ARRAY_ITERATOR = 'Array Iterator';
	var setInternalState = internalState.set;
	var getInternalState = internalState.getterFor(ARRAY_ITERATOR); // `Array.prototype.entries` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.entries
	// `Array.prototype.keys` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.keys
	// `Array.prototype.values` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.values
	// `Array.prototype[@@iterator]` method
	// https://tc39.github.io/ecma262/#sec-array.prototype-@@iterator
	// `CreateArrayIterator` internal method
	// https://tc39.github.io/ecma262/#sec-createarrayiterator

	var es_array_iterator = defineIterator(Array, 'Array', function (iterated, kind) {
	  setInternalState(this, {
	    type: ARRAY_ITERATOR,
	    target: toIndexedObject(iterated),
	    // target
	    index: 0,
	    // next index
	    kind: kind // kind

	  }); // `%ArrayIteratorPrototype%.next` method
	  // https://tc39.github.io/ecma262/#sec-%arrayiteratorprototype%.next
	}, function () {
	  var state = getInternalState(this);
	  var target = state.target;
	  var kind = state.kind;
	  var index = state.index++;

	  if (!target || index >= target.length) {
	    state.target = undefined;
	    return {
	      value: undefined,
	      done: true
	    };
	  }

	  if (kind == 'keys') return {
	    value: index,
	    done: false
	  };
	  if (kind == 'values') return {
	    value: target[index],
	    done: false
	  };
	  return {
	    value: [index, target[index]],
	    done: false
	  };
	}, 'values'); // argumentsList[@@iterator] is %ArrayProto_values%
	// https://tc39.github.io/ecma262/#sec-createunmappedargumentsobject
	// https://tc39.github.io/ecma262/#sec-createmappedargumentsobject

	iterators.Arguments = iterators.Array; // https://tc39.github.io/ecma262/#sec-array.prototype-@@unscopables

	addToUnscopables('keys');
	addToUnscopables('values');
	addToUnscopables('entries');

	var nativeJoin = [].join;
	var ES3_STRINGS = indexedObject != Object;
	var STRICT_METHOD$2 = arrayMethodIsStrict('join', ','); // `Array.prototype.join` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.join

	_export({
	  target: 'Array',
	  proto: true,
	  forced: ES3_STRINGS || !STRICT_METHOD$2
	}, {
	  join: function join(separator) {
	    return nativeJoin.call(toIndexedObject(this), separator === undefined ? ',' : separator);
	  }
	});

	var $map = arrayIteration.map;
	var HAS_SPECIES_SUPPORT$1 = arrayMethodHasSpeciesSupport('map'); // FF49- issue

	var USES_TO_LENGTH$4 = arrayMethodUsesToLength('map'); // `Array.prototype.map` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.map
	// with adding support of @@species

	_export({
	  target: 'Array',
	  proto: true,
	  forced: !HAS_SPECIES_SUPPORT$1 || !USES_TO_LENGTH$4
	}, {
	  map: function map(callbackfn
	  /* , thisArg */
	  ) {
	    return $map(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	var $some = arrayIteration.some;
	var STRICT_METHOD$3 = arrayMethodIsStrict('some');
	var USES_TO_LENGTH$5 = arrayMethodUsesToLength('some'); // `Array.prototype.some` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.some

	_export({
	  target: 'Array',
	  proto: true,
	  forced: !STRICT_METHOD$3 || !USES_TO_LENGTH$5
	}, {
	  some: function some(callbackfn
	  /* , thisArg */
	  ) {
	    return $some(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	// https://tc39.github.io/ecma262/#sec-date.now

	_export({
	  target: 'Date',
	  stat: true
	}, {
	  now: function now() {
	    return new Date().getTime();
	  }
	});

	var DatePrototype = Date.prototype;
	var INVALID_DATE = 'Invalid Date';
	var TO_STRING = 'toString';
	var nativeDateToString = DatePrototype[TO_STRING];
	var getTime = DatePrototype.getTime; // `Date.prototype.toString` method
	// https://tc39.github.io/ecma262/#sec-date.prototype.tostring

	if (new Date(NaN) + '' != INVALID_DATE) {
	  redefine(DatePrototype, TO_STRING, function toString() {
	    var value = getTime.call(this); // eslint-disable-next-line no-self-compare

	    return value === value ? nativeDateToString.call(this) : INVALID_DATE;
	  });
	}

	var nativeAssign = Object.assign;
	var defineProperty$2 = Object.defineProperty; // `Object.assign` method
	// https://tc39.github.io/ecma262/#sec-object.assign

	var objectAssign = !nativeAssign || fails(function () {
	  // should have correct order of operations (Edge bug)
	  if (descriptors && nativeAssign({
	    b: 1
	  }, nativeAssign(defineProperty$2({}, 'a', {
	    enumerable: true,
	    get: function () {
	      defineProperty$2(this, 'b', {
	        value: 3,
	        enumerable: false
	      });
	    }
	  }), {
	    b: 2
	  })).b !== 1) return true; // should work with symbols and should have deterministic property order (V8 bug)

	  var A = {};
	  var B = {}; // eslint-disable-next-line no-undef

	  var symbol = Symbol();
	  var alphabet = 'abcdefghijklmnopqrst';
	  A[symbol] = 7;
	  alphabet.split('').forEach(function (chr) {
	    B[chr] = chr;
	  });
	  return nativeAssign({}, A)[symbol] != 7 || objectKeys(nativeAssign({}, B)).join('') != alphabet;
	}) ? function assign(target, source) {
	  // eslint-disable-line no-unused-vars
	  var T = toObject(target);
	  var argumentsLength = arguments.length;
	  var index = 1;
	  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
	  var propertyIsEnumerable = objectPropertyIsEnumerable.f;

	  while (argumentsLength > index) {
	    var S = indexedObject(arguments[index++]);
	    var keys = getOwnPropertySymbols ? objectKeys(S).concat(getOwnPropertySymbols(S)) : objectKeys(S);
	    var length = keys.length;
	    var j = 0;
	    var key;

	    while (length > j) {
	      key = keys[j++];
	      if (!descriptors || propertyIsEnumerable.call(S, key)) T[key] = S[key];
	    }
	  }

	  return T;
	} : nativeAssign;

	// https://tc39.github.io/ecma262/#sec-object.assign

	_export({
	  target: 'Object',
	  stat: true,
	  forced: Object.assign !== objectAssign
	}, {
	  assign: objectAssign
	});

	var TO_STRING_TAG$1 = wellKnownSymbol('toStringTag');
	var test = {};
	test[TO_STRING_TAG$1] = 'z';
	var toStringTagSupport = String(test) === '[object z]';

	var TO_STRING_TAG$2 = wellKnownSymbol('toStringTag'); // ES3 wrong here

	var CORRECT_ARGUMENTS = classofRaw(function () {
	  return arguments;
	}()) == 'Arguments'; // fallback for IE11 Script Access Denied error

	var tryGet = function (it, key) {
	  try {
	    return it[key];
	  } catch (error) {
	    /* empty */
	  }
	}; // getting tag from ES6+ `Object.prototype.toString`


	var classof = toStringTagSupport ? classofRaw : function (it) {
	  var O, tag, result;
	  return it === undefined ? 'Undefined' : it === null ? 'Null' // @@toStringTag case
	  : typeof (tag = tryGet(O = Object(it), TO_STRING_TAG$2)) == 'string' ? tag // builtinTag case
	  : CORRECT_ARGUMENTS ? classofRaw(O) // ES3 arguments fallback
	  : (result = classofRaw(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : result;
	};

	// https://tc39.github.io/ecma262/#sec-object.prototype.tostring


	var objectToString = toStringTagSupport ? {}.toString : function toString() {
	  return '[object ' + classof(this) + ']';
	};

	// https://tc39.github.io/ecma262/#sec-object.prototype.tostring

	if (!toStringTagSupport) {
	  redefine(Object.prototype, 'toString', objectToString, {
	    unsafe: true
	  });
	}

	var nativePromiseConstructor = global_1.Promise;

	var redefineAll = function (target, src, options) {
	  for (var key in src) redefine(target, key, src[key], options);

	  return target;
	};

	var SPECIES$2 = wellKnownSymbol('species');

	var setSpecies = function (CONSTRUCTOR_NAME) {
	  var Constructor = getBuiltIn(CONSTRUCTOR_NAME);
	  var defineProperty = objectDefineProperty.f;

	  if (descriptors && Constructor && !Constructor[SPECIES$2]) {
	    defineProperty(Constructor, SPECIES$2, {
	      configurable: true,
	      get: function () {
	        return this;
	      }
	    });
	  }
	};

	var anInstance = function (it, Constructor, name) {
	  if (!(it instanceof Constructor)) {
	    throw TypeError('Incorrect ' + (name ? name + ' ' : '') + 'invocation');
	  }

	  return it;
	};

	var ITERATOR$2 = wellKnownSymbol('iterator');
	var ArrayPrototype$1 = Array.prototype; // check on default Array iterator

	var isArrayIteratorMethod = function (it) {
	  return it !== undefined && (iterators.Array === it || ArrayPrototype$1[ITERATOR$2] === it);
	};

	var ITERATOR$3 = wellKnownSymbol('iterator');

	var getIteratorMethod = function (it) {
	  if (it != undefined) return it[ITERATOR$3] || it['@@iterator'] || iterators[classof(it)];
	};

	var callWithSafeIterationClosing = function (iterator, fn, value, ENTRIES) {
	  try {
	    return ENTRIES ? fn(anObject(value)[0], value[1]) : fn(value); // 7.4.6 IteratorClose(iterator, completion)
	  } catch (error) {
	    var returnMethod = iterator['return'];
	    if (returnMethod !== undefined) anObject(returnMethod.call(iterator));
	    throw error;
	  }
	};

	var iterate_1 = createCommonjsModule(function (module) {
	  var Result = function (stopped, result) {
	    this.stopped = stopped;
	    this.result = result;
	  };

	  var iterate = module.exports = function (iterable, fn, that, AS_ENTRIES, IS_ITERATOR) {
	    var boundFunction = functionBindContext(fn, that, AS_ENTRIES ? 2 : 1);
	    var iterator, iterFn, index, length, result, next, step;

	    if (IS_ITERATOR) {
	      iterator = iterable;
	    } else {
	      iterFn = getIteratorMethod(iterable);
	      if (typeof iterFn != 'function') throw TypeError('Target is not iterable'); // optimisation for array iterators

	      if (isArrayIteratorMethod(iterFn)) {
	        for (index = 0, length = toLength(iterable.length); length > index; index++) {
	          result = AS_ENTRIES ? boundFunction(anObject(step = iterable[index])[0], step[1]) : boundFunction(iterable[index]);
	          if (result && result instanceof Result) return result;
	        }

	        return new Result(false);
	      }

	      iterator = iterFn.call(iterable);
	    }

	    next = iterator.next;

	    while (!(step = next.call(iterator)).done) {
	      result = callWithSafeIterationClosing(iterator, boundFunction, step.value, AS_ENTRIES);
	      if (typeof result == 'object' && result && result instanceof Result) return result;
	    }

	    return new Result(false);
	  };

	  iterate.stop = function (result) {
	    return new Result(true, result);
	  };
	});

	var ITERATOR$4 = wellKnownSymbol('iterator');
	var SAFE_CLOSING = false;

	try {
	  var called = 0;
	  var iteratorWithReturn = {
	    next: function () {
	      return {
	        done: !!called++
	      };
	    },
	    'return': function () {
	      SAFE_CLOSING = true;
	    }
	  };

	  iteratorWithReturn[ITERATOR$4] = function () {
	    return this;
	  }; // eslint-disable-next-line no-throw-literal


	  Array.from(iteratorWithReturn, function () {
	    throw 2;
	  });
	} catch (error) {
	  /* empty */
	}

	var checkCorrectnessOfIteration = function (exec, SKIP_CLOSING) {
	  if (!SKIP_CLOSING && !SAFE_CLOSING) return false;
	  var ITERATION_SUPPORT = false;

	  try {
	    var object = {};

	    object[ITERATOR$4] = function () {
	      return {
	        next: function () {
	          return {
	            done: ITERATION_SUPPORT = true
	          };
	        }
	      };
	    };

	    exec(object);
	  } catch (error) {
	    /* empty */
	  }

	  return ITERATION_SUPPORT;
	};

	var SPECIES$3 = wellKnownSymbol('species'); // `SpeciesConstructor` abstract operation
	// https://tc39.github.io/ecma262/#sec-speciesconstructor

	var speciesConstructor = function (O, defaultConstructor) {
	  var C = anObject(O).constructor;
	  var S;
	  return C === undefined || (S = anObject(C)[SPECIES$3]) == undefined ? defaultConstructor : aFunction$1(S);
	};

	var engineIsIos = /(iphone|ipod|ipad).*applewebkit/i.test(engineUserAgent);

	var location$1 = global_1.location;
	var set$1 = global_1.setImmediate;
	var clear = global_1.clearImmediate;
	var process$1 = global_1.process;
	var MessageChannel = global_1.MessageChannel;
	var Dispatch = global_1.Dispatch;
	var counter = 0;
	var queue = {};
	var ONREADYSTATECHANGE = 'onreadystatechange';
	var defer, channel, port;

	var run = function (id) {
	  // eslint-disable-next-line no-prototype-builtins
	  if (queue.hasOwnProperty(id)) {
	    var fn = queue[id];
	    delete queue[id];
	    fn();
	  }
	};

	var runner = function (id) {
	  return function () {
	    run(id);
	  };
	};

	var listener = function (event) {
	  run(event.data);
	};

	var post = function (id) {
	  // old engines have not location.origin
	  global_1.postMessage(id + '', location$1.protocol + '//' + location$1.host);
	}; // Node.js 0.9+ & IE10+ has setImmediate, otherwise:


	if (!set$1 || !clear) {
	  set$1 = function setImmediate(fn) {
	    var args = [];
	    var i = 1;

	    while (arguments.length > i) args.push(arguments[i++]);

	    queue[++counter] = function () {
	      // eslint-disable-next-line no-new-func
	      (typeof fn == 'function' ? fn : Function(fn)).apply(undefined, args);
	    };

	    defer(counter);
	    return counter;
	  };

	  clear = function clearImmediate(id) {
	    delete queue[id];
	  }; // Node.js 0.8-


	  if (classofRaw(process$1) == 'process') {
	    defer = function (id) {
	      process$1.nextTick(runner(id));
	    }; // Sphere (JS game engine) Dispatch API

	  } else if (Dispatch && Dispatch.now) {
	    defer = function (id) {
	      Dispatch.now(runner(id));
	    }; // Browsers with MessageChannel, includes WebWorkers
	    // except iOS - https://github.com/zloirock/core-js/issues/624

	  } else if (MessageChannel && !engineIsIos) {
	    channel = new MessageChannel();
	    port = channel.port2;
	    channel.port1.onmessage = listener;
	    defer = functionBindContext(port.postMessage, port, 1); // Browsers with postMessage, skip WebWorkers
	    // IE8 has postMessage, but it's sync & typeof its postMessage is 'object'
	  } else if (global_1.addEventListener && typeof postMessage == 'function' && !global_1.importScripts && !fails(post) && location$1.protocol !== 'file:') {
	    defer = post;
	    global_1.addEventListener('message', listener, false); // IE8-
	  } else if (ONREADYSTATECHANGE in documentCreateElement('script')) {
	    defer = function (id) {
	      html.appendChild(documentCreateElement('script'))[ONREADYSTATECHANGE] = function () {
	        html.removeChild(this);
	        run(id);
	      };
	    }; // Rest old browsers

	  } else {
	    defer = function (id) {
	      setTimeout(runner(id), 0);
	    };
	  }
	}

	var task = {
	  set: set$1,
	  clear: clear
	};

	var getOwnPropertyDescriptor$2 = objectGetOwnPropertyDescriptor.f;
	var macrotask = task.set;
	var MutationObserver = global_1.MutationObserver || global_1.WebKitMutationObserver;
	var process$2 = global_1.process;
	var Promise$1 = global_1.Promise;
	var IS_NODE = classofRaw(process$2) == 'process'; // Node.js 11 shows ExperimentalWarning on getting `queueMicrotask`

	var queueMicrotaskDescriptor = getOwnPropertyDescriptor$2(global_1, 'queueMicrotask');
	var queueMicrotask = queueMicrotaskDescriptor && queueMicrotaskDescriptor.value;
	var flush, head, last, notify, toggle, node, promise, then; // modern engines have queueMicrotask method

	if (!queueMicrotask) {
	  flush = function () {
	    var parent, fn;
	    if (IS_NODE && (parent = process$2.domain)) parent.exit();

	    while (head) {
	      fn = head.fn;
	      head = head.next;

	      try {
	        fn();
	      } catch (error) {
	        if (head) notify();else last = undefined;
	        throw error;
	      }
	    }

	    last = undefined;
	    if (parent) parent.enter();
	  }; // Node.js


	  if (IS_NODE) {
	    notify = function () {
	      process$2.nextTick(flush);
	    }; // browsers with MutationObserver, except iOS - https://github.com/zloirock/core-js/issues/339

	  } else if (MutationObserver && !engineIsIos) {
	    toggle = true;
	    node = document.createTextNode('');
	    new MutationObserver(flush).observe(node, {
	      characterData: true
	    });

	    notify = function () {
	      node.data = toggle = !toggle;
	    }; // environments with maybe non-completely correct, but existent Promise

	  } else if (Promise$1 && Promise$1.resolve) {
	    // Promise.resolve without an argument throws an error in LG WebOS 2
	    promise = Promise$1.resolve(undefined);
	    then = promise.then;

	    notify = function () {
	      then.call(promise, flush);
	    }; // for other environments - macrotask based on:
	    // - setImmediate
	    // - MessageChannel
	    // - window.postMessag
	    // - onreadystatechange
	    // - setTimeout

	  } else {
	    notify = function () {
	      // strange IE + webpack dev server bug - use .call(global)
	      macrotask.call(global_1, flush);
	    };
	  }
	}

	var microtask = queueMicrotask || function (fn) {
	  var task = {
	    fn: fn,
	    next: undefined
	  };
	  if (last) last.next = task;

	  if (!head) {
	    head = task;
	    notify();
	  }

	  last = task;
	};

	var PromiseCapability = function (C) {
	  var resolve, reject;
	  this.promise = new C(function ($$resolve, $$reject) {
	    if (resolve !== undefined || reject !== undefined) throw TypeError('Bad Promise constructor');
	    resolve = $$resolve;
	    reject = $$reject;
	  });
	  this.resolve = aFunction$1(resolve);
	  this.reject = aFunction$1(reject);
	}; // 25.4.1.5 NewPromiseCapability(C)


	var f$5 = function (C) {
	  return new PromiseCapability(C);
	};

	var newPromiseCapability = {
	  f: f$5
	};

	var promiseResolve = function (C, x) {
	  anObject(C);
	  if (isObject(x) && x.constructor === C) return x;
	  var promiseCapability = newPromiseCapability.f(C);
	  var resolve = promiseCapability.resolve;
	  resolve(x);
	  return promiseCapability.promise;
	};

	var hostReportErrors = function (a, b) {
	  var console = global_1.console;

	  if (console && console.error) {
	    arguments.length === 1 ? console.error(a) : console.error(a, b);
	  }
	};

	var perform = function (exec) {
	  try {
	    return {
	      error: false,
	      value: exec()
	    };
	  } catch (error) {
	    return {
	      error: true,
	      value: error
	    };
	  }
	};

	var task$1 = task.set;
	var SPECIES$4 = wellKnownSymbol('species');
	var PROMISE = 'Promise';
	var getInternalState$1 = internalState.get;
	var setInternalState$1 = internalState.set;
	var getInternalPromiseState = internalState.getterFor(PROMISE);
	var PromiseConstructor = nativePromiseConstructor;
	var TypeError$1 = global_1.TypeError;
	var document$2 = global_1.document;
	var process$3 = global_1.process;
	var $fetch = getBuiltIn('fetch');
	var newPromiseCapability$1 = newPromiseCapability.f;
	var newGenericPromiseCapability = newPromiseCapability$1;
	var IS_NODE$1 = classofRaw(process$3) == 'process';
	var DISPATCH_EVENT = !!(document$2 && document$2.createEvent && global_1.dispatchEvent);
	var UNHANDLED_REJECTION = 'unhandledrejection';
	var REJECTION_HANDLED = 'rejectionhandled';
	var PENDING = 0;
	var FULFILLED = 1;
	var REJECTED = 2;
	var HANDLED = 1;
	var UNHANDLED = 2;
	var Internal, OwnPromiseCapability, PromiseWrapper, nativeThen;
	var FORCED$1 = isForced_1(PROMISE, function () {
	  var GLOBAL_CORE_JS_PROMISE = inspectSource(PromiseConstructor) !== String(PromiseConstructor);

	  if (!GLOBAL_CORE_JS_PROMISE) {
	    // V8 6.6 (Node 10 and Chrome 66) have a bug with resolving custom thenables
	    // https://bugs.chromium.org/p/chromium/issues/detail?id=830565
	    // We can't detect it synchronously, so just check versions
	    if (engineV8Version === 66) return true; // Unhandled rejections tracking support, NodeJS Promise without it fails @@species test

	    if (!IS_NODE$1 && typeof PromiseRejectionEvent != 'function') return true;
	  } // We need Promise#finally in the pure version for preventing prototype pollution
	  // deoptimization and performance degradation
	  // https://github.com/zloirock/core-js/issues/679

	  if (engineV8Version >= 51 && /native code/.test(PromiseConstructor)) return false; // Detect correctness of subclassing with @@species support

	  var promise = PromiseConstructor.resolve(1);

	  var FakePromise = function (exec) {
	    exec(function () {
	      /* empty */
	    }, function () {
	      /* empty */
	    });
	  };

	  var constructor = promise.constructor = {};
	  constructor[SPECIES$4] = FakePromise;
	  return !(promise.then(function () {
	    /* empty */
	  }) instanceof FakePromise);
	});
	var INCORRECT_ITERATION = FORCED$1 || !checkCorrectnessOfIteration(function (iterable) {
	  PromiseConstructor.all(iterable)['catch'](function () {
	    /* empty */
	  });
	}); // helpers

	var isThenable = function (it) {
	  var then;
	  return isObject(it) && typeof (then = it.then) == 'function' ? then : false;
	};

	var notify$1 = function (promise, state, isReject) {
	  if (state.notified) return;
	  state.notified = true;
	  var chain = state.reactions;
	  microtask(function () {
	    var value = state.value;
	    var ok = state.state == FULFILLED;
	    var index = 0; // variable length - can't use forEach

	    while (chain.length > index) {
	      var reaction = chain[index++];
	      var handler = ok ? reaction.ok : reaction.fail;
	      var resolve = reaction.resolve;
	      var reject = reaction.reject;
	      var domain = reaction.domain;
	      var result, then, exited;

	      try {
	        if (handler) {
	          if (!ok) {
	            if (state.rejection === UNHANDLED) onHandleUnhandled(promise, state);
	            state.rejection = HANDLED;
	          }

	          if (handler === true) result = value;else {
	            if (domain) domain.enter();
	            result = handler(value); // can throw

	            if (domain) {
	              domain.exit();
	              exited = true;
	            }
	          }

	          if (result === reaction.promise) {
	            reject(TypeError$1('Promise-chain cycle'));
	          } else if (then = isThenable(result)) {
	            then.call(result, resolve, reject);
	          } else resolve(result);
	        } else reject(value);
	      } catch (error) {
	        if (domain && !exited) domain.exit();
	        reject(error);
	      }
	    }

	    state.reactions = [];
	    state.notified = false;
	    if (isReject && !state.rejection) onUnhandled(promise, state);
	  });
	};

	var dispatchEvent = function (name, promise, reason) {
	  var event, handler;

	  if (DISPATCH_EVENT) {
	    event = document$2.createEvent('Event');
	    event.promise = promise;
	    event.reason = reason;
	    event.initEvent(name, false, true);
	    global_1.dispatchEvent(event);
	  } else event = {
	    promise: promise,
	    reason: reason
	  };

	  if (handler = global_1['on' + name]) handler(event);else if (name === UNHANDLED_REJECTION) hostReportErrors('Unhandled promise rejection', reason);
	};

	var onUnhandled = function (promise, state) {
	  task$1.call(global_1, function () {
	    var value = state.value;
	    var IS_UNHANDLED = isUnhandled(state);
	    var result;

	    if (IS_UNHANDLED) {
	      result = perform(function () {
	        if (IS_NODE$1) {
	          process$3.emit('unhandledRejection', value, promise);
	        } else dispatchEvent(UNHANDLED_REJECTION, promise, value);
	      }); // Browsers should not trigger `rejectionHandled` event if it was handled here, NodeJS - should

	      state.rejection = IS_NODE$1 || isUnhandled(state) ? UNHANDLED : HANDLED;
	      if (result.error) throw result.value;
	    }
	  });
	};

	var isUnhandled = function (state) {
	  return state.rejection !== HANDLED && !state.parent;
	};

	var onHandleUnhandled = function (promise, state) {
	  task$1.call(global_1, function () {
	    if (IS_NODE$1) {
	      process$3.emit('rejectionHandled', promise);
	    } else dispatchEvent(REJECTION_HANDLED, promise, state.value);
	  });
	};

	var bind = function (fn, promise, state, unwrap) {
	  return function (value) {
	    fn(promise, state, value, unwrap);
	  };
	};

	var internalReject = function (promise, state, value, unwrap) {
	  if (state.done) return;
	  state.done = true;
	  if (unwrap) state = unwrap;
	  state.value = value;
	  state.state = REJECTED;
	  notify$1(promise, state, true);
	};

	var internalResolve = function (promise, state, value, unwrap) {
	  if (state.done) return;
	  state.done = true;
	  if (unwrap) state = unwrap;

	  try {
	    if (promise === value) throw TypeError$1("Promise can't be resolved itself");
	    var then = isThenable(value);

	    if (then) {
	      microtask(function () {
	        var wrapper = {
	          done: false
	        };

	        try {
	          then.call(value, bind(internalResolve, promise, wrapper, state), bind(internalReject, promise, wrapper, state));
	        } catch (error) {
	          internalReject(promise, wrapper, error, state);
	        }
	      });
	    } else {
	      state.value = value;
	      state.state = FULFILLED;
	      notify$1(promise, state, false);
	    }
	  } catch (error) {
	    internalReject(promise, {
	      done: false
	    }, error, state);
	  }
	}; // constructor polyfill


	if (FORCED$1) {
	  // 25.4.3.1 Promise(executor)
	  PromiseConstructor = function Promise(executor) {
	    anInstance(this, PromiseConstructor, PROMISE);
	    aFunction$1(executor);
	    Internal.call(this);
	    var state = getInternalState$1(this);

	    try {
	      executor(bind(internalResolve, this, state), bind(internalReject, this, state));
	    } catch (error) {
	      internalReject(this, state, error);
	    }
	  }; // eslint-disable-next-line no-unused-vars


	  Internal = function Promise(executor) {
	    setInternalState$1(this, {
	      type: PROMISE,
	      done: false,
	      notified: false,
	      parent: false,
	      reactions: [],
	      rejection: false,
	      state: PENDING,
	      value: undefined
	    });
	  };

	  Internal.prototype = redefineAll(PromiseConstructor.prototype, {
	    // `Promise.prototype.then` method
	    // https://tc39.github.io/ecma262/#sec-promise.prototype.then
	    then: function then(onFulfilled, onRejected) {
	      var state = getInternalPromiseState(this);
	      var reaction = newPromiseCapability$1(speciesConstructor(this, PromiseConstructor));
	      reaction.ok = typeof onFulfilled == 'function' ? onFulfilled : true;
	      reaction.fail = typeof onRejected == 'function' && onRejected;
	      reaction.domain = IS_NODE$1 ? process$3.domain : undefined;
	      state.parent = true;
	      state.reactions.push(reaction);
	      if (state.state != PENDING) notify$1(this, state, false);
	      return reaction.promise;
	    },
	    // `Promise.prototype.catch` method
	    // https://tc39.github.io/ecma262/#sec-promise.prototype.catch
	    'catch': function (onRejected) {
	      return this.then(undefined, onRejected);
	    }
	  });

	  OwnPromiseCapability = function () {
	    var promise = new Internal();
	    var state = getInternalState$1(promise);
	    this.promise = promise;
	    this.resolve = bind(internalResolve, promise, state);
	    this.reject = bind(internalReject, promise, state);
	  };

	  newPromiseCapability.f = newPromiseCapability$1 = function (C) {
	    return C === PromiseConstructor || C === PromiseWrapper ? new OwnPromiseCapability(C) : newGenericPromiseCapability(C);
	  };

	  if ( typeof nativePromiseConstructor == 'function') {
	    nativeThen = nativePromiseConstructor.prototype.then; // wrap native Promise#then for native async functions

	    redefine(nativePromiseConstructor.prototype, 'then', function then(onFulfilled, onRejected) {
	      var that = this;
	      return new PromiseConstructor(function (resolve, reject) {
	        nativeThen.call(that, resolve, reject);
	      }).then(onFulfilled, onRejected); // https://github.com/zloirock/core-js/issues/640
	    }, {
	      unsafe: true
	    }); // wrap fetch result

	    if (typeof $fetch == 'function') _export({
	      global: true,
	      enumerable: true,
	      forced: true
	    }, {
	      // eslint-disable-next-line no-unused-vars
	      fetch: function fetch(input
	      /* , init */
	      ) {
	        return promiseResolve(PromiseConstructor, $fetch.apply(global_1, arguments));
	      }
	    });
	  }
	}

	_export({
	  global: true,
	  wrap: true,
	  forced: FORCED$1
	}, {
	  Promise: PromiseConstructor
	});
	setToStringTag(PromiseConstructor, PROMISE, false);
	setSpecies(PROMISE);
	PromiseWrapper = getBuiltIn(PROMISE); // statics

	_export({
	  target: PROMISE,
	  stat: true,
	  forced: FORCED$1
	}, {
	  // `Promise.reject` method
	  // https://tc39.github.io/ecma262/#sec-promise.reject
	  reject: function reject(r) {
	    var capability = newPromiseCapability$1(this);
	    capability.reject.call(undefined, r);
	    return capability.promise;
	  }
	});
	_export({
	  target: PROMISE,
	  stat: true,
	  forced:  FORCED$1
	}, {
	  // `Promise.resolve` method
	  // https://tc39.github.io/ecma262/#sec-promise.resolve
	  resolve: function resolve(x) {
	    return promiseResolve( this, x);
	  }
	});
	_export({
	  target: PROMISE,
	  stat: true,
	  forced: INCORRECT_ITERATION
	}, {
	  // `Promise.all` method
	  // https://tc39.github.io/ecma262/#sec-promise.all
	  all: function all(iterable) {
	    var C = this;
	    var capability = newPromiseCapability$1(C);
	    var resolve = capability.resolve;
	    var reject = capability.reject;
	    var result = perform(function () {
	      var $promiseResolve = aFunction$1(C.resolve);
	      var values = [];
	      var counter = 0;
	      var remaining = 1;
	      iterate_1(iterable, function (promise) {
	        var index = counter++;
	        var alreadyCalled = false;
	        values.push(undefined);
	        remaining++;
	        $promiseResolve.call(C, promise).then(function (value) {
	          if (alreadyCalled) return;
	          alreadyCalled = true;
	          values[index] = value;
	          --remaining || resolve(values);
	        }, reject);
	      });
	      --remaining || resolve(values);
	    });
	    if (result.error) reject(result.value);
	    return capability.promise;
	  },
	  // `Promise.race` method
	  // https://tc39.github.io/ecma262/#sec-promise.race
	  race: function race(iterable) {
	    var C = this;
	    var capability = newPromiseCapability$1(C);
	    var reject = capability.reject;
	    var result = perform(function () {
	      var $promiseResolve = aFunction$1(C.resolve);
	      iterate_1(iterable, function (promise) {
	        $promiseResolve.call(C, promise).then(capability.resolve, reject);
	      });
	    });
	    if (result.error) reject(result.value);
	    return capability.promise;
	  }
	});

	var freezing = !fails(function () {
	  return Object.isExtensible(Object.preventExtensions({}));
	});

	var internalMetadata = createCommonjsModule(function (module) {
	  var defineProperty = objectDefineProperty.f;
	  var METADATA = uid('meta');
	  var id = 0;

	  var isExtensible = Object.isExtensible || function () {
	    return true;
	  };

	  var setMetadata = function (it) {
	    defineProperty(it, METADATA, {
	      value: {
	        objectID: 'O' + ++id,
	        // object ID
	        weakData: {} // weak collections IDs

	      }
	    });
	  };

	  var fastKey = function (it, create) {
	    // return a primitive with prefix
	    if (!isObject(it)) return typeof it == 'symbol' ? it : (typeof it == 'string' ? 'S' : 'P') + it;

	    if (!has(it, METADATA)) {
	      // can't set metadata to uncaught frozen object
	      if (!isExtensible(it)) return 'F'; // not necessary to add metadata

	      if (!create) return 'E'; // add missing metadata

	      setMetadata(it); // return object ID
	    }

	    return it[METADATA].objectID;
	  };

	  var getWeakData = function (it, create) {
	    if (!has(it, METADATA)) {
	      // can't set metadata to uncaught frozen object
	      if (!isExtensible(it)) return true; // not necessary to add metadata

	      if (!create) return false; // add missing metadata

	      setMetadata(it); // return the store of weak collections IDs
	    }

	    return it[METADATA].weakData;
	  }; // add metadata on freeze-family methods calling


	  var onFreeze = function (it) {
	    if (freezing && meta.REQUIRED && isExtensible(it) && !has(it, METADATA)) setMetadata(it);
	    return it;
	  };

	  var meta = module.exports = {
	    REQUIRED: false,
	    fastKey: fastKey,
	    getWeakData: getWeakData,
	    onFreeze: onFreeze
	  };
	  hiddenKeys[METADATA] = true;
	});
	var internalMetadata_1 = internalMetadata.REQUIRED;
	var internalMetadata_2 = internalMetadata.fastKey;
	var internalMetadata_3 = internalMetadata.getWeakData;
	var internalMetadata_4 = internalMetadata.onFreeze;

	var inheritIfRequired = function ($this, dummy, Wrapper) {
	  var NewTarget, NewTargetPrototype;
	  if ( // it can work only with native `setPrototypeOf`
	  objectSetPrototypeOf && // we haven't completely correct pre-ES6 way for getting `new.target`, so use this
	  typeof (NewTarget = dummy.constructor) == 'function' && NewTarget !== Wrapper && isObject(NewTargetPrototype = NewTarget.prototype) && NewTargetPrototype !== Wrapper.prototype) objectSetPrototypeOf($this, NewTargetPrototype);
	  return $this;
	};

	var collection = function (CONSTRUCTOR_NAME, wrapper, common) {
	  var IS_MAP = CONSTRUCTOR_NAME.indexOf('Map') !== -1;
	  var IS_WEAK = CONSTRUCTOR_NAME.indexOf('Weak') !== -1;
	  var ADDER = IS_MAP ? 'set' : 'add';
	  var NativeConstructor = global_1[CONSTRUCTOR_NAME];
	  var NativePrototype = NativeConstructor && NativeConstructor.prototype;
	  var Constructor = NativeConstructor;
	  var exported = {};

	  var fixMethod = function (KEY) {
	    var nativeMethod = NativePrototype[KEY];
	    redefine(NativePrototype, KEY, KEY == 'add' ? function add(value) {
	      nativeMethod.call(this, value === 0 ? 0 : value);
	      return this;
	    } : KEY == 'delete' ? function (key) {
	      return IS_WEAK && !isObject(key) ? false : nativeMethod.call(this, key === 0 ? 0 : key);
	    } : KEY == 'get' ? function get(key) {
	      return IS_WEAK && !isObject(key) ? undefined : nativeMethod.call(this, key === 0 ? 0 : key);
	    } : KEY == 'has' ? function has(key) {
	      return IS_WEAK && !isObject(key) ? false : nativeMethod.call(this, key === 0 ? 0 : key);
	    } : function set(key, value) {
	      nativeMethod.call(this, key === 0 ? 0 : key, value);
	      return this;
	    });
	  }; // eslint-disable-next-line max-len


	  if (isForced_1(CONSTRUCTOR_NAME, typeof NativeConstructor != 'function' || !(IS_WEAK || NativePrototype.forEach && !fails(function () {
	    new NativeConstructor().entries().next();
	  })))) {
	    // create collection constructor
	    Constructor = common.getConstructor(wrapper, CONSTRUCTOR_NAME, IS_MAP, ADDER);
	    internalMetadata.REQUIRED = true;
	  } else if (isForced_1(CONSTRUCTOR_NAME, true)) {
	    var instance = new Constructor(); // early implementations not supports chaining

	    var HASNT_CHAINING = instance[ADDER](IS_WEAK ? {} : -0, 1) != instance; // V8 ~ Chromium 40- weak-collections throws on primitives, but should return false

	    var THROWS_ON_PRIMITIVES = fails(function () {
	      instance.has(1);
	    }); // most early implementations doesn't supports iterables, most modern - not close it correctly
	    // eslint-disable-next-line no-new

	    var ACCEPT_ITERABLES = checkCorrectnessOfIteration(function (iterable) {
	      new NativeConstructor(iterable);
	    }); // for early implementations -0 and +0 not the same

	    var BUGGY_ZERO = !IS_WEAK && fails(function () {
	      // V8 ~ Chromium 42- fails only with 5+ elements
	      var $instance = new NativeConstructor();
	      var index = 5;

	      while (index--) $instance[ADDER](index, index);

	      return !$instance.has(-0);
	    });

	    if (!ACCEPT_ITERABLES) {
	      Constructor = wrapper(function (dummy, iterable) {
	        anInstance(dummy, Constructor, CONSTRUCTOR_NAME);
	        var that = inheritIfRequired(new NativeConstructor(), dummy, Constructor);
	        if (iterable != undefined) iterate_1(iterable, that[ADDER], that, IS_MAP);
	        return that;
	      });
	      Constructor.prototype = NativePrototype;
	      NativePrototype.constructor = Constructor;
	    }

	    if (THROWS_ON_PRIMITIVES || BUGGY_ZERO) {
	      fixMethod('delete');
	      fixMethod('has');
	      IS_MAP && fixMethod('get');
	    }

	    if (BUGGY_ZERO || HASNT_CHAINING) fixMethod(ADDER); // weak collections should not contains .clear method

	    if (IS_WEAK && NativePrototype.clear) delete NativePrototype.clear;
	  }

	  exported[CONSTRUCTOR_NAME] = Constructor;
	  _export({
	    global: true,
	    forced: Constructor != NativeConstructor
	  }, exported);
	  setToStringTag(Constructor, CONSTRUCTOR_NAME);
	  if (!IS_WEAK) common.setStrong(Constructor, CONSTRUCTOR_NAME, IS_MAP);
	  return Constructor;
	};

	var defineProperty$3 = objectDefineProperty.f;
	var fastKey = internalMetadata.fastKey;
	var setInternalState$2 = internalState.set;
	var internalStateGetterFor = internalState.getterFor;
	var collectionStrong = {
	  getConstructor: function (wrapper, CONSTRUCTOR_NAME, IS_MAP, ADDER) {
	    var C = wrapper(function (that, iterable) {
	      anInstance(that, C, CONSTRUCTOR_NAME);
	      setInternalState$2(that, {
	        type: CONSTRUCTOR_NAME,
	        index: objectCreate(null),
	        first: undefined,
	        last: undefined,
	        size: 0
	      });
	      if (!descriptors) that.size = 0;
	      if (iterable != undefined) iterate_1(iterable, that[ADDER], that, IS_MAP);
	    });
	    var getInternalState = internalStateGetterFor(CONSTRUCTOR_NAME);

	    var define = function (that, key, value) {
	      var state = getInternalState(that);
	      var entry = getEntry(that, key);
	      var previous, index; // change existing entry

	      if (entry) {
	        entry.value = value; // create new entry
	      } else {
	        state.last = entry = {
	          index: index = fastKey(key, true),
	          key: key,
	          value: value,
	          previous: previous = state.last,
	          next: undefined,
	          removed: false
	        };
	        if (!state.first) state.first = entry;
	        if (previous) previous.next = entry;
	        if (descriptors) state.size++;else that.size++; // add to index

	        if (index !== 'F') state.index[index] = entry;
	      }

	      return that;
	    };

	    var getEntry = function (that, key) {
	      var state = getInternalState(that); // fast case

	      var index = fastKey(key);
	      var entry;
	      if (index !== 'F') return state.index[index]; // frozen object case

	      for (entry = state.first; entry; entry = entry.next) {
	        if (entry.key == key) return entry;
	      }
	    };

	    redefineAll(C.prototype, {
	      // 23.1.3.1 Map.prototype.clear()
	      // 23.2.3.2 Set.prototype.clear()
	      clear: function clear() {
	        var that = this;
	        var state = getInternalState(that);
	        var data = state.index;
	        var entry = state.first;

	        while (entry) {
	          entry.removed = true;
	          if (entry.previous) entry.previous = entry.previous.next = undefined;
	          delete data[entry.index];
	          entry = entry.next;
	        }

	        state.first = state.last = undefined;
	        if (descriptors) state.size = 0;else that.size = 0;
	      },
	      // 23.1.3.3 Map.prototype.delete(key)
	      // 23.2.3.4 Set.prototype.delete(value)
	      'delete': function (key) {
	        var that = this;
	        var state = getInternalState(that);
	        var entry = getEntry(that, key);

	        if (entry) {
	          var next = entry.next;
	          var prev = entry.previous;
	          delete state.index[entry.index];
	          entry.removed = true;
	          if (prev) prev.next = next;
	          if (next) next.previous = prev;
	          if (state.first == entry) state.first = next;
	          if (state.last == entry) state.last = prev;
	          if (descriptors) state.size--;else that.size--;
	        }

	        return !!entry;
	      },
	      // 23.2.3.6 Set.prototype.forEach(callbackfn, thisArg = undefined)
	      // 23.1.3.5 Map.prototype.forEach(callbackfn, thisArg = undefined)
	      forEach: function forEach(callbackfn
	      /* , that = undefined */
	      ) {
	        var state = getInternalState(this);
	        var boundFunction = functionBindContext(callbackfn, arguments.length > 1 ? arguments[1] : undefined, 3);
	        var entry;

	        while (entry = entry ? entry.next : state.first) {
	          boundFunction(entry.value, entry.key, this); // revert to the last existing entry

	          while (entry && entry.removed) entry = entry.previous;
	        }
	      },
	      // 23.1.3.7 Map.prototype.has(key)
	      // 23.2.3.7 Set.prototype.has(value)
	      has: function has(key) {
	        return !!getEntry(this, key);
	      }
	    });
	    redefineAll(C.prototype, IS_MAP ? {
	      // 23.1.3.6 Map.prototype.get(key)
	      get: function get(key) {
	        var entry = getEntry(this, key);
	        return entry && entry.value;
	      },
	      // 23.1.3.9 Map.prototype.set(key, value)
	      set: function set(key, value) {
	        return define(this, key === 0 ? 0 : key, value);
	      }
	    } : {
	      // 23.2.3.1 Set.prototype.add(value)
	      add: function add(value) {
	        return define(this, value = value === 0 ? 0 : value, value);
	      }
	    });
	    if (descriptors) defineProperty$3(C.prototype, 'size', {
	      get: function () {
	        return getInternalState(this).size;
	      }
	    });
	    return C;
	  },
	  setStrong: function (C, CONSTRUCTOR_NAME, IS_MAP) {
	    var ITERATOR_NAME = CONSTRUCTOR_NAME + ' Iterator';
	    var getInternalCollectionState = internalStateGetterFor(CONSTRUCTOR_NAME);
	    var getInternalIteratorState = internalStateGetterFor(ITERATOR_NAME); // add .keys, .values, .entries, [@@iterator]
	    // 23.1.3.4, 23.1.3.8, 23.1.3.11, 23.1.3.12, 23.2.3.5, 23.2.3.8, 23.2.3.10, 23.2.3.11

	    defineIterator(C, CONSTRUCTOR_NAME, function (iterated, kind) {
	      setInternalState$2(this, {
	        type: ITERATOR_NAME,
	        target: iterated,
	        state: getInternalCollectionState(iterated),
	        kind: kind,
	        last: undefined
	      });
	    }, function () {
	      var state = getInternalIteratorState(this);
	      var kind = state.kind;
	      var entry = state.last; // revert to the last existing entry

	      while (entry && entry.removed) entry = entry.previous; // get next entry


	      if (!state.target || !(state.last = entry = entry ? entry.next : state.state.first)) {
	        // or finish the iteration
	        state.target = undefined;
	        return {
	          value: undefined,
	          done: true
	        };
	      } // return step by kind


	      if (kind == 'keys') return {
	        value: entry.key,
	        done: false
	      };
	      if (kind == 'values') return {
	        value: entry.value,
	        done: false
	      };
	      return {
	        value: [entry.key, entry.value],
	        done: false
	      };
	    }, IS_MAP ? 'entries' : 'values', !IS_MAP, true); // add [@@species], 23.1.2.2, 23.2.2.2

	    setSpecies(CONSTRUCTOR_NAME);
	  }
	};

	// https://tc39.github.io/ecma262/#sec-set-objects


	var es_set = collection('Set', function (init) {
	  return function Set() {
	    return init(this, arguments.length ? arguments[0] : undefined);
	  };
	}, collectionStrong);

	var createMethod$2 = function (CONVERT_TO_STRING) {
	  return function ($this, pos) {
	    var S = String(requireObjectCoercible($this));
	    var position = toInteger(pos);
	    var size = S.length;
	    var first, second;
	    if (position < 0 || position >= size) return CONVERT_TO_STRING ? '' : undefined;
	    first = S.charCodeAt(position);
	    return first < 0xD800 || first > 0xDBFF || position + 1 === size || (second = S.charCodeAt(position + 1)) < 0xDC00 || second > 0xDFFF ? CONVERT_TO_STRING ? S.charAt(position) : first : CONVERT_TO_STRING ? S.slice(position, position + 2) : (first - 0xD800 << 10) + (second - 0xDC00) + 0x10000;
	  };
	};

	var stringMultibyte = {
	  // `String.prototype.codePointAt` method
	  // https://tc39.github.io/ecma262/#sec-string.prototype.codepointat
	  codeAt: createMethod$2(false),
	  // `String.prototype.at` method
	  // https://github.com/mathiasbynens/String.prototype.at
	  charAt: createMethod$2(true)
	};

	var charAt = stringMultibyte.charAt;
	var STRING_ITERATOR = 'String Iterator';
	var setInternalState$3 = internalState.set;
	var getInternalState$2 = internalState.getterFor(STRING_ITERATOR); // `String.prototype[@@iterator]` method
	// https://tc39.github.io/ecma262/#sec-string.prototype-@@iterator

	defineIterator(String, 'String', function (iterated) {
	  setInternalState$3(this, {
	    type: STRING_ITERATOR,
	    string: String(iterated),
	    index: 0
	  }); // `%StringIteratorPrototype%.next` method
	  // https://tc39.github.io/ecma262/#sec-%stringiteratorprototype%.next
	}, function next() {
	  var state = getInternalState$2(this);
	  var string = state.string;
	  var index = state.index;
	  var point;
	  if (index >= string.length) return {
	    value: undefined,
	    done: true
	  };
	  point = charAt(string, index);
	  state.index += point.length;
	  return {
	    value: point,
	    done: false
	  };
	});

	// iterable DOM collections
	// flag - `iterable` interface - 'entries', 'keys', 'values', 'forEach' methods
	var domIterables = {
	  CSSRuleList: 0,
	  CSSStyleDeclaration: 0,
	  CSSValueList: 0,
	  ClientRectList: 0,
	  DOMRectList: 0,
	  DOMStringList: 0,
	  DOMTokenList: 1,
	  DataTransferItemList: 0,
	  FileList: 0,
	  HTMLAllCollection: 0,
	  HTMLCollection: 0,
	  HTMLFormElement: 0,
	  HTMLSelectElement: 0,
	  MediaList: 0,
	  MimeTypeArray: 0,
	  NamedNodeMap: 0,
	  NodeList: 1,
	  PaintRequestList: 0,
	  Plugin: 0,
	  PluginArray: 0,
	  SVGLengthList: 0,
	  SVGNumberList: 0,
	  SVGPathSegList: 0,
	  SVGPointList: 0,
	  SVGStringList: 0,
	  SVGTransformList: 0,
	  SourceBufferList: 0,
	  StyleSheetList: 0,
	  TextTrackCueList: 0,
	  TextTrackList: 0,
	  TouchList: 0
	};

	for (var COLLECTION_NAME in domIterables) {
	  var Collection = global_1[COLLECTION_NAME];
	  var CollectionPrototype = Collection && Collection.prototype; // some Chrome versions have non-configurable methods on DOMTokenList

	  if (CollectionPrototype && CollectionPrototype.forEach !== arrayForEach) try {
	    createNonEnumerableProperty(CollectionPrototype, 'forEach', arrayForEach);
	  } catch (error) {
	    CollectionPrototype.forEach = arrayForEach;
	  }
	}

	var ITERATOR$5 = wellKnownSymbol('iterator');
	var TO_STRING_TAG$3 = wellKnownSymbol('toStringTag');
	var ArrayValues = es_array_iterator.values;

	for (var COLLECTION_NAME$1 in domIterables) {
	  var Collection$1 = global_1[COLLECTION_NAME$1];
	  var CollectionPrototype$1 = Collection$1 && Collection$1.prototype;

	  if (CollectionPrototype$1) {
	    // some Chrome versions have non-configurable methods on DOMTokenList
	    if (CollectionPrototype$1[ITERATOR$5] !== ArrayValues) try {
	      createNonEnumerableProperty(CollectionPrototype$1, ITERATOR$5, ArrayValues);
	    } catch (error) {
	      CollectionPrototype$1[ITERATOR$5] = ArrayValues;
	    }

	    if (!CollectionPrototype$1[TO_STRING_TAG$3]) {
	      createNonEnumerableProperty(CollectionPrototype$1, TO_STRING_TAG$3, COLLECTION_NAME$1);
	    }

	    if (domIterables[COLLECTION_NAME$1]) for (var METHOD_NAME in es_array_iterator) {
	      // some Chrome versions have non-configurable methods on DOMTokenList
	      if (CollectionPrototype$1[METHOD_NAME] !== es_array_iterator[METHOD_NAME]) try {
	        createNonEnumerableProperty(CollectionPrototype$1, METHOD_NAME, es_array_iterator[METHOD_NAME]);
	      } catch (error) {
	        CollectionPrototype$1[METHOD_NAME] = es_array_iterator[METHOD_NAME];
	      }
	    }
	  }
	}

	function _typeof(obj) {
	  "@babel/helpers - typeof";

	  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
	    _typeof = function (obj) {
	      return typeof obj;
	    };
	  } else {
	    _typeof = function (obj) {
	      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
	    };
	  }

	  return _typeof(obj);
	}

	function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
	  try {
	    var info = gen[key](arg);
	    var value = info.value;
	  } catch (error) {
	    reject(error);
	    return;
	  }

	  if (info.done) {
	    resolve(value);
	  } else {
	    Promise.resolve(value).then(_next, _throw);
	  }
	}

	function _asyncToGenerator(fn) {
	  return function () {
	    var self = this,
	        args = arguments;
	    return new Promise(function (resolve, reject) {
	      var gen = fn.apply(self, args);

	      function _next(value) {
	        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
	      }

	      function _throw(err) {
	        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
	      }

	      _next(undefined);
	    });
	  };
	}

	function _classCallCheck(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	function _defineProperties(target, props) {
	  for (var i = 0; i < props.length; i++) {
	    var descriptor = props[i];
	    descriptor.enumerable = descriptor.enumerable || false;
	    descriptor.configurable = true;
	    if ("value" in descriptor) descriptor.writable = true;
	    Object.defineProperty(target, descriptor.key, descriptor);
	  }
	}

	function _createClass(Constructor, protoProps, staticProps) {
	  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
	  if (staticProps) _defineProperties(Constructor, staticProps);
	  return Constructor;
	}

	function _defineProperty(obj, key, value) {
	  if (key in obj) {
	    Object.defineProperty(obj, key, {
	      value: value,
	      enumerable: true,
	      configurable: true,
	      writable: true
	    });
	  } else {
	    obj[key] = value;
	  }

	  return obj;
	}

	function _inherits(subClass, superClass) {
	  if (typeof superClass !== "function" && superClass !== null) {
	    throw new TypeError("Super expression must either be null or a function");
	  }

	  subClass.prototype = Object.create(superClass && superClass.prototype, {
	    constructor: {
	      value: subClass,
	      writable: true,
	      configurable: true
	    }
	  });
	  if (superClass) _setPrototypeOf(subClass, superClass);
	}

	function _getPrototypeOf(o) {
	  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
	    return o.__proto__ || Object.getPrototypeOf(o);
	  };
	  return _getPrototypeOf(o);
	}

	function _setPrototypeOf(o, p) {
	  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
	    o.__proto__ = p;
	    return o;
	  };

	  return _setPrototypeOf(o, p);
	}

	function _isNativeReflectConstruct() {
	  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
	  if (Reflect.construct.sham) return false;
	  if (typeof Proxy === "function") return true;

	  try {
	    Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
	    return true;
	  } catch (e) {
	    return false;
	  }
	}

	function _assertThisInitialized(self) {
	  if (self === void 0) {
	    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
	  }

	  return self;
	}

	function _possibleConstructorReturn(self, call) {
	  if (call && (typeof call === "object" || typeof call === "function")) {
	    return call;
	  }

	  return _assertThisInitialized(self);
	}

	function _createSuper(Derived) {
	  var hasNativeReflectConstruct = _isNativeReflectConstruct();

	  return function _createSuperInternal() {
	    var Super = _getPrototypeOf(Derived),
	        result;

	    if (hasNativeReflectConstruct) {
	      var NewTarget = _getPrototypeOf(this).constructor;

	      result = Reflect.construct(Super, arguments, NewTarget);
	    } else {
	      result = Super.apply(this, arguments);
	    }

	    return _possibleConstructorReturn(this, result);
	  };
	}

	function _superPropBase(object, property) {
	  while (!Object.prototype.hasOwnProperty.call(object, property)) {
	    object = _getPrototypeOf(object);
	    if (object === null) break;
	  }

	  return object;
	}

	function _get(target, property, receiver) {
	  if (typeof Reflect !== "undefined" && Reflect.get) {
	    _get = Reflect.get;
	  } else {
	    _get = function _get(target, property, receiver) {
	      var base = _superPropBase(target, property);

	      if (!base) return;
	      var desc = Object.getOwnPropertyDescriptor(base, property);

	      if (desc.get) {
	        return desc.get.call(receiver);
	      }

	      return desc.value;
	    };
	  }

	  return _get(target, property, receiver || target);
	}

	function _toConsumableArray(arr) {
	  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
	}

	function _arrayWithoutHoles(arr) {
	  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
	}

	function _iterableToArray(iter) {
	  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
	}

	function _unsupportedIterableToArray(o, minLen) {
	  if (!o) return;
	  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
	  var n = Object.prototype.toString.call(o).slice(8, -1);
	  if (n === "Object" && o.constructor) n = o.constructor.name;
	  if (n === "Map" || n === "Set") return Array.from(o);
	  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
	}

	function _arrayLikeToArray(arr, len) {
	  if (len == null || len > arr.length) len = arr.length;

	  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

	  return arr2;
	}

	function _nonIterableSpread() {
	  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
	}

	var runtime_1 = createCommonjsModule(function (module) {
	  /**
	   * Copyright (c) 2014-present, Facebook, Inc.
	   *
	   * This source code is licensed under the MIT license found in the
	   * LICENSE file in the root directory of this source tree.
	   */
	  var runtime = function (exports) {

	    var Op = Object.prototype;
	    var hasOwn = Op.hasOwnProperty;
	    var undefined$1; // More compressible than void 0.

	    var $Symbol = typeof Symbol === "function" ? Symbol : {};
	    var iteratorSymbol = $Symbol.iterator || "@@iterator";
	    var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
	    var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

	    function wrap(innerFn, outerFn, self, tryLocsList) {
	      // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
	      var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
	      var generator = Object.create(protoGenerator.prototype);
	      var context = new Context(tryLocsList || []); // The ._invoke method unifies the implementations of the .next,
	      // .throw, and .return methods.

	      generator._invoke = makeInvokeMethod(innerFn, self, context);
	      return generator;
	    }

	    exports.wrap = wrap; // Try/catch helper to minimize deoptimizations. Returns a completion
	    // record like context.tryEntries[i].completion. This interface could
	    // have been (and was previously) designed to take a closure to be
	    // invoked without arguments, but in all the cases we care about we
	    // already have an existing method we want to call, so there's no need
	    // to create a new function object. We can even get away with assuming
	    // the method takes exactly one argument, since that happens to be true
	    // in every case, so we don't have to touch the arguments object. The
	    // only additional allocation required is the completion record, which
	    // has a stable shape and so hopefully should be cheap to allocate.

	    function tryCatch(fn, obj, arg) {
	      try {
	        return {
	          type: "normal",
	          arg: fn.call(obj, arg)
	        };
	      } catch (err) {
	        return {
	          type: "throw",
	          arg: err
	        };
	      }
	    }

	    var GenStateSuspendedStart = "suspendedStart";
	    var GenStateSuspendedYield = "suspendedYield";
	    var GenStateExecuting = "executing";
	    var GenStateCompleted = "completed"; // Returning this object from the innerFn has the same effect as
	    // breaking out of the dispatch switch statement.

	    var ContinueSentinel = {}; // Dummy constructor functions that we use as the .constructor and
	    // .constructor.prototype properties for functions that return Generator
	    // objects. For full spec compliance, you may wish to configure your
	    // minifier not to mangle the names of these two functions.

	    function Generator() {}

	    function GeneratorFunction() {}

	    function GeneratorFunctionPrototype() {} // This is a polyfill for %IteratorPrototype% for environments that
	    // don't natively support it.


	    var IteratorPrototype = {};

	    IteratorPrototype[iteratorSymbol] = function () {
	      return this;
	    };

	    var getProto = Object.getPrototypeOf;
	    var NativeIteratorPrototype = getProto && getProto(getProto(values([])));

	    if (NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
	      // This environment has a native %IteratorPrototype%; use it instead
	      // of the polyfill.
	      IteratorPrototype = NativeIteratorPrototype;
	    }

	    var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);
	    GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
	    GeneratorFunctionPrototype.constructor = GeneratorFunction;
	    GeneratorFunctionPrototype[toStringTagSymbol] = GeneratorFunction.displayName = "GeneratorFunction"; // Helper for defining the .next, .throw, and .return methods of the
	    // Iterator interface in terms of a single ._invoke method.

	    function defineIteratorMethods(prototype) {
	      ["next", "throw", "return"].forEach(function (method) {
	        prototype[method] = function (arg) {
	          return this._invoke(method, arg);
	        };
	      });
	    }

	    exports.isGeneratorFunction = function (genFun) {
	      var ctor = typeof genFun === "function" && genFun.constructor;
	      return ctor ? ctor === GeneratorFunction || // For the native GeneratorFunction constructor, the best we can
	      // do is to check its .name property.
	      (ctor.displayName || ctor.name) === "GeneratorFunction" : false;
	    };

	    exports.mark = function (genFun) {
	      if (Object.setPrototypeOf) {
	        Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
	      } else {
	        genFun.__proto__ = GeneratorFunctionPrototype;

	        if (!(toStringTagSymbol in genFun)) {
	          genFun[toStringTagSymbol] = "GeneratorFunction";
	        }
	      }

	      genFun.prototype = Object.create(Gp);
	      return genFun;
	    }; // Within the body of any async function, `await x` is transformed to
	    // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
	    // `hasOwn.call(value, "__await")` to determine if the yielded value is
	    // meant to be awaited.


	    exports.awrap = function (arg) {
	      return {
	        __await: arg
	      };
	    };

	    function AsyncIterator(generator, PromiseImpl) {
	      function invoke(method, arg, resolve, reject) {
	        var record = tryCatch(generator[method], generator, arg);

	        if (record.type === "throw") {
	          reject(record.arg);
	        } else {
	          var result = record.arg;
	          var value = result.value;

	          if (value && typeof value === "object" && hasOwn.call(value, "__await")) {
	            return PromiseImpl.resolve(value.__await).then(function (value) {
	              invoke("next", value, resolve, reject);
	            }, function (err) {
	              invoke("throw", err, resolve, reject);
	            });
	          }

	          return PromiseImpl.resolve(value).then(function (unwrapped) {
	            // When a yielded Promise is resolved, its final value becomes
	            // the .value of the Promise<{value,done}> result for the
	            // current iteration.
	            result.value = unwrapped;
	            resolve(result);
	          }, function (error) {
	            // If a rejected Promise was yielded, throw the rejection back
	            // into the async generator function so it can be handled there.
	            return invoke("throw", error, resolve, reject);
	          });
	        }
	      }

	      var previousPromise;

	      function enqueue(method, arg) {
	        function callInvokeWithMethodAndArg() {
	          return new PromiseImpl(function (resolve, reject) {
	            invoke(method, arg, resolve, reject);
	          });
	        }

	        return previousPromise = // If enqueue has been called before, then we want to wait until
	        // all previous Promises have been resolved before calling invoke,
	        // so that results are always delivered in the correct order. If
	        // enqueue has not been called before, then it is important to
	        // call invoke immediately, without waiting on a callback to fire,
	        // so that the async generator function has the opportunity to do
	        // any necessary setup in a predictable way. This predictability
	        // is why the Promise constructor synchronously invokes its
	        // executor callback, and why async functions synchronously
	        // execute code before the first await. Since we implement simple
	        // async functions in terms of async generators, it is especially
	        // important to get this right, even though it requires care.
	        previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, // Avoid propagating failures to Promises returned by later
	        // invocations of the iterator.
	        callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
	      } // Define the unified helper method that is used to implement .next,
	      // .throw, and .return (see defineIteratorMethods).


	      this._invoke = enqueue;
	    }

	    defineIteratorMethods(AsyncIterator.prototype);

	    AsyncIterator.prototype[asyncIteratorSymbol] = function () {
	      return this;
	    };

	    exports.AsyncIterator = AsyncIterator; // Note that simple async functions are implemented on top of
	    // AsyncIterator objects; they just return a Promise for the value of
	    // the final result produced by the iterator.

	    exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) {
	      if (PromiseImpl === void 0) PromiseImpl = Promise;
	      var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl);
	      return exports.isGeneratorFunction(outerFn) ? iter // If outerFn is a generator, return the full iterator.
	      : iter.next().then(function (result) {
	        return result.done ? result.value : iter.next();
	      });
	    };

	    function makeInvokeMethod(innerFn, self, context) {
	      var state = GenStateSuspendedStart;
	      return function invoke(method, arg) {
	        if (state === GenStateExecuting) {
	          throw new Error("Generator is already running");
	        }

	        if (state === GenStateCompleted) {
	          if (method === "throw") {
	            throw arg;
	          } // Be forgiving, per 25.3.3.3.3 of the spec:
	          // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume


	          return doneResult();
	        }

	        context.method = method;
	        context.arg = arg;

	        while (true) {
	          var delegate = context.delegate;

	          if (delegate) {
	            var delegateResult = maybeInvokeDelegate(delegate, context);

	            if (delegateResult) {
	              if (delegateResult === ContinueSentinel) continue;
	              return delegateResult;
	            }
	          }

	          if (context.method === "next") {
	            // Setting context._sent for legacy support of Babel's
	            // function.sent implementation.
	            context.sent = context._sent = context.arg;
	          } else if (context.method === "throw") {
	            if (state === GenStateSuspendedStart) {
	              state = GenStateCompleted;
	              throw context.arg;
	            }

	            context.dispatchException(context.arg);
	          } else if (context.method === "return") {
	            context.abrupt("return", context.arg);
	          }

	          state = GenStateExecuting;
	          var record = tryCatch(innerFn, self, context);

	          if (record.type === "normal") {
	            // If an exception is thrown from innerFn, we leave state ===
	            // GenStateExecuting and loop back for another invocation.
	            state = context.done ? GenStateCompleted : GenStateSuspendedYield;

	            if (record.arg === ContinueSentinel) {
	              continue;
	            }

	            return {
	              value: record.arg,
	              done: context.done
	            };
	          } else if (record.type === "throw") {
	            state = GenStateCompleted; // Dispatch the exception by looping back around to the
	            // context.dispatchException(context.arg) call above.

	            context.method = "throw";
	            context.arg = record.arg;
	          }
	        }
	      };
	    } // Call delegate.iterator[context.method](context.arg) and handle the
	    // result, either by returning a { value, done } result from the
	    // delegate iterator, or by modifying context.method and context.arg,
	    // setting context.delegate to null, and returning the ContinueSentinel.


	    function maybeInvokeDelegate(delegate, context) {
	      var method = delegate.iterator[context.method];

	      if (method === undefined$1) {
	        // A .throw or .return when the delegate iterator has no .throw
	        // method always terminates the yield* loop.
	        context.delegate = null;

	        if (context.method === "throw") {
	          // Note: ["return"] must be used for ES3 parsing compatibility.
	          if (delegate.iterator["return"]) {
	            // If the delegate iterator has a return method, give it a
	            // chance to clean up.
	            context.method = "return";
	            context.arg = undefined$1;
	            maybeInvokeDelegate(delegate, context);

	            if (context.method === "throw") {
	              // If maybeInvokeDelegate(context) changed context.method from
	              // "return" to "throw", let that override the TypeError below.
	              return ContinueSentinel;
	            }
	          }

	          context.method = "throw";
	          context.arg = new TypeError("The iterator does not provide a 'throw' method");
	        }

	        return ContinueSentinel;
	      }

	      var record = tryCatch(method, delegate.iterator, context.arg);

	      if (record.type === "throw") {
	        context.method = "throw";
	        context.arg = record.arg;
	        context.delegate = null;
	        return ContinueSentinel;
	      }

	      var info = record.arg;

	      if (!info) {
	        context.method = "throw";
	        context.arg = new TypeError("iterator result is not an object");
	        context.delegate = null;
	        return ContinueSentinel;
	      }

	      if (info.done) {
	        // Assign the result of the finished delegate to the temporary
	        // variable specified by delegate.resultName (see delegateYield).
	        context[delegate.resultName] = info.value; // Resume execution at the desired location (see delegateYield).

	        context.next = delegate.nextLoc; // If context.method was "throw" but the delegate handled the
	        // exception, let the outer generator proceed normally. If
	        // context.method was "next", forget context.arg since it has been
	        // "consumed" by the delegate iterator. If context.method was
	        // "return", allow the original .return call to continue in the
	        // outer generator.

	        if (context.method !== "return") {
	          context.method = "next";
	          context.arg = undefined$1;
	        }
	      } else {
	        // Re-yield the result returned by the delegate method.
	        return info;
	      } // The delegate iterator is finished, so forget it and continue with
	      // the outer generator.


	      context.delegate = null;
	      return ContinueSentinel;
	    } // Define Generator.prototype.{next,throw,return} in terms of the
	    // unified ._invoke helper method.


	    defineIteratorMethods(Gp);
	    Gp[toStringTagSymbol] = "Generator"; // A Generator should always return itself as the iterator object when the
	    // @@iterator function is called on it. Some browsers' implementations of the
	    // iterator prototype chain incorrectly implement this, causing the Generator
	    // object to not be returned from this call. This ensures that doesn't happen.
	    // See https://github.com/facebook/regenerator/issues/274 for more details.

	    Gp[iteratorSymbol] = function () {
	      return this;
	    };

	    Gp.toString = function () {
	      return "[object Generator]";
	    };

	    function pushTryEntry(locs) {
	      var entry = {
	        tryLoc: locs[0]
	      };

	      if (1 in locs) {
	        entry.catchLoc = locs[1];
	      }

	      if (2 in locs) {
	        entry.finallyLoc = locs[2];
	        entry.afterLoc = locs[3];
	      }

	      this.tryEntries.push(entry);
	    }

	    function resetTryEntry(entry) {
	      var record = entry.completion || {};
	      record.type = "normal";
	      delete record.arg;
	      entry.completion = record;
	    }

	    function Context(tryLocsList) {
	      // The root entry object (effectively a try statement without a catch
	      // or a finally block) gives us a place to store values thrown from
	      // locations where there is no enclosing try statement.
	      this.tryEntries = [{
	        tryLoc: "root"
	      }];
	      tryLocsList.forEach(pushTryEntry, this);
	      this.reset(true);
	    }

	    exports.keys = function (object) {
	      var keys = [];

	      for (var key in object) {
	        keys.push(key);
	      }

	      keys.reverse(); // Rather than returning an object with a next method, we keep
	      // things simple and return the next function itself.

	      return function next() {
	        while (keys.length) {
	          var key = keys.pop();

	          if (key in object) {
	            next.value = key;
	            next.done = false;
	            return next;
	          }
	        } // To avoid creating an additional object, we just hang the .value
	        // and .done properties off the next function object itself. This
	        // also ensures that the minifier will not anonymize the function.


	        next.done = true;
	        return next;
	      };
	    };

	    function values(iterable) {
	      if (iterable) {
	        var iteratorMethod = iterable[iteratorSymbol];

	        if (iteratorMethod) {
	          return iteratorMethod.call(iterable);
	        }

	        if (typeof iterable.next === "function") {
	          return iterable;
	        }

	        if (!isNaN(iterable.length)) {
	          var i = -1,
	              next = function next() {
	            while (++i < iterable.length) {
	              if (hasOwn.call(iterable, i)) {
	                next.value = iterable[i];
	                next.done = false;
	                return next;
	              }
	            }

	            next.value = undefined$1;
	            next.done = true;
	            return next;
	          };

	          return next.next = next;
	        }
	      } // Return an iterator with no values.


	      return {
	        next: doneResult
	      };
	    }

	    exports.values = values;

	    function doneResult() {
	      return {
	        value: undefined$1,
	        done: true
	      };
	    }

	    Context.prototype = {
	      constructor: Context,
	      reset: function (skipTempReset) {
	        this.prev = 0;
	        this.next = 0; // Resetting context._sent for legacy support of Babel's
	        // function.sent implementation.

	        this.sent = this._sent = undefined$1;
	        this.done = false;
	        this.delegate = null;
	        this.method = "next";
	        this.arg = undefined$1;
	        this.tryEntries.forEach(resetTryEntry);

	        if (!skipTempReset) {
	          for (var name in this) {
	            // Not sure about the optimal order of these conditions:
	            if (name.charAt(0) === "t" && hasOwn.call(this, name) && !isNaN(+name.slice(1))) {
	              this[name] = undefined$1;
	            }
	          }
	        }
	      },
	      stop: function () {
	        this.done = true;
	        var rootEntry = this.tryEntries[0];
	        var rootRecord = rootEntry.completion;

	        if (rootRecord.type === "throw") {
	          throw rootRecord.arg;
	        }

	        return this.rval;
	      },
	      dispatchException: function (exception) {
	        if (this.done) {
	          throw exception;
	        }

	        var context = this;

	        function handle(loc, caught) {
	          record.type = "throw";
	          record.arg = exception;
	          context.next = loc;

	          if (caught) {
	            // If the dispatched exception was caught by a catch block,
	            // then let that catch block handle the exception normally.
	            context.method = "next";
	            context.arg = undefined$1;
	          }

	          return !!caught;
	        }

	        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	          var entry = this.tryEntries[i];
	          var record = entry.completion;

	          if (entry.tryLoc === "root") {
	            // Exception thrown outside of any try block that could handle
	            // it, so set the completion value of the entire function to
	            // throw the exception.
	            return handle("end");
	          }

	          if (entry.tryLoc <= this.prev) {
	            var hasCatch = hasOwn.call(entry, "catchLoc");
	            var hasFinally = hasOwn.call(entry, "finallyLoc");

	            if (hasCatch && hasFinally) {
	              if (this.prev < entry.catchLoc) {
	                return handle(entry.catchLoc, true);
	              } else if (this.prev < entry.finallyLoc) {
	                return handle(entry.finallyLoc);
	              }
	            } else if (hasCatch) {
	              if (this.prev < entry.catchLoc) {
	                return handle(entry.catchLoc, true);
	              }
	            } else if (hasFinally) {
	              if (this.prev < entry.finallyLoc) {
	                return handle(entry.finallyLoc);
	              }
	            } else {
	              throw new Error("try statement without catch or finally");
	            }
	          }
	        }
	      },
	      abrupt: function (type, arg) {
	        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	          var entry = this.tryEntries[i];

	          if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
	            var finallyEntry = entry;
	            break;
	          }
	        }

	        if (finallyEntry && (type === "break" || type === "continue") && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc) {
	          // Ignore the finally entry if control is not jumping to a
	          // location outside the try/catch block.
	          finallyEntry = null;
	        }

	        var record = finallyEntry ? finallyEntry.completion : {};
	        record.type = type;
	        record.arg = arg;

	        if (finallyEntry) {
	          this.method = "next";
	          this.next = finallyEntry.finallyLoc;
	          return ContinueSentinel;
	        }

	        return this.complete(record);
	      },
	      complete: function (record, afterLoc) {
	        if (record.type === "throw") {
	          throw record.arg;
	        }

	        if (record.type === "break" || record.type === "continue") {
	          this.next = record.arg;
	        } else if (record.type === "return") {
	          this.rval = this.arg = record.arg;
	          this.method = "return";
	          this.next = "end";
	        } else if (record.type === "normal" && afterLoc) {
	          this.next = afterLoc;
	        }

	        return ContinueSentinel;
	      },
	      finish: function (finallyLoc) {
	        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	          var entry = this.tryEntries[i];

	          if (entry.finallyLoc === finallyLoc) {
	            this.complete(entry.completion, entry.afterLoc);
	            resetTryEntry(entry);
	            return ContinueSentinel;
	          }
	        }
	      },
	      "catch": function (tryLoc) {
	        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	          var entry = this.tryEntries[i];

	          if (entry.tryLoc === tryLoc) {
	            var record = entry.completion;

	            if (record.type === "throw") {
	              var thrown = record.arg;
	              resetTryEntry(entry);
	            }

	            return thrown;
	          }
	        } // The context.catch method must only be called with a location
	        // argument that corresponds to a known catch block.


	        throw new Error("illegal catch attempt");
	      },
	      delegateYield: function (iterable, resultName, nextLoc) {
	        this.delegate = {
	          iterator: values(iterable),
	          resultName: resultName,
	          nextLoc: nextLoc
	        };

	        if (this.method === "next") {
	          // Deliberately forget the last sent value so that we don't
	          // accidentally pass it on to the delegate.
	          this.arg = undefined$1;
	        }

	        return ContinueSentinel;
	      }
	    }; // Regardless of whether this script is executing as a CommonJS module
	    // or not, return the runtime object so that we can declare the variable
	    // regeneratorRuntime in the outer scope, which allows this module to be
	    // injected easily by `bin/regenerator --include-runtime script.js`.

	    return exports;
	  }( // If this script is executing as a CommonJS module, use module.exports
	  // as the regeneratorRuntime namespace. Otherwise create a new empty
	  // object. Either way, the resulting object will be used to initialize
	  // the regeneratorRuntime variable at the top of this file.
	   module.exports );

	  try {
	    regeneratorRuntime = runtime;
	  } catch (accidentalStrictMode) {
	    // This module should not be running in strict mode, so the above
	    // assignment should always work unless something is misconfigured. Just
	    // in case runtime.js accidentally runs in strict mode, we can escape
	    // strict mode using a global Function call. This could conceivably fail
	    // if a Content Security Policy forbids using Function, but in that case
	    // the proper solution is to fix the accidental strict mode problem. If
	    // you've misconfigured your bundler to force strict mode and applied a
	    // CSP to forbid Function, and you're not willing to fix either of those
	    // problems, please detail your unique predicament in a GitHub issue.
	    Function("r", "regeneratorRuntime = r")(runtime);
	  }
	});

	(function (CaptchaProvider) {
	  CaptchaProvider[CaptchaProvider["None"] = 0] = "None";
	  CaptchaProvider[CaptchaProvider["Geetest"] = 1] = "Geetest";
	  CaptchaProvider[CaptchaProvider["Recaptcha"] = 2] = "Recaptcha";
	  CaptchaProvider[CaptchaProvider["AliyunCaptcha"] = 4] = "AliyunCaptcha";
	})(exports.CaptchaProvider || (exports.CaptchaProvider = {}));

	(function (FrictionlessCaptchaProvider) {
	  FrictionlessCaptchaProvider[FrictionlessCaptchaProvider["None"] = 0] = "None";
	  FrictionlessCaptchaProvider[FrictionlessCaptchaProvider["Geetest"] = 1] = "Geetest";
	  FrictionlessCaptchaProvider[FrictionlessCaptchaProvider["Recaptcha"] = 2] = "Recaptcha";
	})(exports.FrictionlessCaptchaProvider || (exports.FrictionlessCaptchaProvider = {}));

	(function (CaptchaServiceStatus) {
	  CaptchaServiceStatus[CaptchaServiceStatus["Pending"] = 0] = "Pending";
	  CaptchaServiceStatus[CaptchaServiceStatus["Ready"] = 1] = "Ready";
	  CaptchaServiceStatus[CaptchaServiceStatus["Error"] = 2] = "Error";
	})(exports.CaptchaServiceStatus || (exports.CaptchaServiceStatus = {}));

	var CaptchaProviderService = /*#__PURE__*/function () {
	  function CaptchaProviderService(successCallback, errorCallback, readyCallback, options) {
	    _classCallCheck(this, CaptchaProviderService);

	    this.successCallback = successCallback;
	    this.errorCallback = errorCallback;
	    this.readyCallback = readyCallback;
	    this.options = options;

	    _defineProperty(this, "_status", exports.CaptchaServiceStatus.Pending);
	  }

	  _createClass(CaptchaProviderService, [{
	    key: "onSuccess",
	    value: function onSuccess(response) {
	      this.successCallback(response);
	    }
	  }, {
	    key: "onError",
	    value: function onError(message) {
	      this._status = exports.CaptchaServiceStatus.Error;
	      this.errorCallback(message);
	    }
	  }, {
	    key: "onReady",
	    value: function onReady() {
	      this._status = exports.CaptchaServiceStatus.Ready;
	      this.readyCallback();
	    }
	  }, {
	    key: "status",
	    get: function get() {
	      return this._status;
	    }
	  }]);

	  return CaptchaProviderService;
	}();
	var FrictionlessCaptchaProviderService = /*#__PURE__*/function () {
	  function FrictionlessCaptchaProviderService(errorCallback, readyCallback, options) {
	    _classCallCheck(this, FrictionlessCaptchaProviderService);

	    this.errorCallback = errorCallback;
	    this.readyCallback = readyCallback;
	    this.options = options;

	    _defineProperty(this, "_status", exports.CaptchaServiceStatus.Pending);
	  }

	  _createClass(FrictionlessCaptchaProviderService, [{
	    key: "onError",
	    value: function onError(message) {
	      this._status = exports.CaptchaServiceStatus.Error;
	      this.errorCallback(message);
	    }
	  }, {
	    key: "onReady",
	    value: function onReady() {
	      this._status = exports.CaptchaServiceStatus.Ready;
	      this.readyCallback();
	    }
	  }, {
	    key: "status",
	    get: function get() {
	      return this._status;
	    }
	  }]);

	  return FrictionlessCaptchaProviderService;
	}();

	var $indexOf = arrayIncludes.indexOf;
	var nativeIndexOf = [].indexOf;
	var NEGATIVE_ZERO = !!nativeIndexOf && 1 / [1].indexOf(1, -0) < 0;
	var STRICT_METHOD$4 = arrayMethodIsStrict('indexOf');
	var USES_TO_LENGTH$6 = arrayMethodUsesToLength('indexOf', {
	  ACCESSORS: true,
	  1: 0
	}); // `Array.prototype.indexOf` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.indexof

	_export({
	  target: 'Array',
	  proto: true,
	  forced: NEGATIVE_ZERO || !STRICT_METHOD$4 || !USES_TO_LENGTH$6
	}, {
	  indexOf: function indexOf(searchElement
	  /* , fromIndex = 0 */
	  ) {
	    return NEGATIVE_ZERO // convert -0 to +0
	    ? nativeIndexOf.apply(this, arguments) || 0 : $indexOf(this, searchElement, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	// a string of all valid unicode whitespaces
	// eslint-disable-next-line max-len
	var whitespaces = '\u0009\u000A\u000B\u000C\u000D\u0020\u00A0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029\uFEFF';

	var whitespace = '[' + whitespaces + ']';
	var ltrim = RegExp('^' + whitespace + whitespace + '*');
	var rtrim = RegExp(whitespace + whitespace + '*$'); // `String.prototype.{ trim, trimStart, trimEnd, trimLeft, trimRight }` methods implementation

	var createMethod$3 = function (TYPE) {
	  return function ($this) {
	    var string = String(requireObjectCoercible($this));
	    if (TYPE & 1) string = string.replace(ltrim, '');
	    if (TYPE & 2) string = string.replace(rtrim, '');
	    return string;
	  };
	};

	var stringTrim = {
	  // `String.prototype.{ trimLeft, trimStart }` methods
	  // https://tc39.github.io/ecma262/#sec-string.prototype.trimstart
	  start: createMethod$3(1),
	  // `String.prototype.{ trimRight, trimEnd }` methods
	  // https://tc39.github.io/ecma262/#sec-string.prototype.trimend
	  end: createMethod$3(2),
	  // `String.prototype.trim` method
	  // https://tc39.github.io/ecma262/#sec-string.prototype.trim
	  trim: createMethod$3(3)
	};

	var trim = stringTrim.trim;
	var $parseInt = global_1.parseInt;
	var hex = /^[+-]?0[Xx]/;
	var FORCED$2 = $parseInt(whitespaces + '08') !== 8 || $parseInt(whitespaces + '0x16') !== 22; // `parseInt` method
	// https://tc39.github.io/ecma262/#sec-parseint-string-radix

	var numberParseInt = FORCED$2 ? function parseInt(string, radix) {
	  var S = trim(String(string));
	  return $parseInt(S, radix >>> 0 || (hex.test(S) ? 16 : 10));
	} : $parseInt;

	// https://tc39.github.io/ecma262/#sec-parseint-string-radix

	_export({
	  global: true,
	  forced: parseInt != numberParseInt
	}, {
	  parseInt: numberParseInt
	});

	// https://tc39.github.io/ecma262/#sec-get-regexp.prototype.flags


	var regexpFlags = function () {
	  var that = anObject(this);
	  var result = '';
	  if (that.global) result += 'g';
	  if (that.ignoreCase) result += 'i';
	  if (that.multiline) result += 'm';
	  if (that.dotAll) result += 's';
	  if (that.unicode) result += 'u';
	  if (that.sticky) result += 'y';
	  return result;
	};

	// so we use an intermediate function.


	function RE(s, f) {
	  return RegExp(s, f);
	}

	var UNSUPPORTED_Y = fails(function () {
	  // babel-minify transpiles RegExp('a', 'y') -> /a/y and it causes SyntaxError
	  var re = RE('a', 'y');
	  re.lastIndex = 2;
	  return re.exec('abcd') != null;
	});
	var BROKEN_CARET = fails(function () {
	  // https://bugzilla.mozilla.org/show_bug.cgi?id=773687
	  var re = RE('^r', 'gy');
	  re.lastIndex = 2;
	  return re.exec('str') != null;
	});
	var regexpStickyHelpers = {
	  UNSUPPORTED_Y: UNSUPPORTED_Y,
	  BROKEN_CARET: BROKEN_CARET
	};

	var nativeExec = RegExp.prototype.exec; // This always refers to the native implementation, because the
	// String#replace polyfill uses ./fix-regexp-well-known-symbol-logic.js,
	// which loads this file before patching the method.

	var nativeReplace = String.prototype.replace;
	var patchedExec = nativeExec;

	var UPDATES_LAST_INDEX_WRONG = function () {
	  var re1 = /a/;
	  var re2 = /b*/g;
	  nativeExec.call(re1, 'a');
	  nativeExec.call(re2, 'a');
	  return re1.lastIndex !== 0 || re2.lastIndex !== 0;
	}();

	var UNSUPPORTED_Y$1 = regexpStickyHelpers.UNSUPPORTED_Y || regexpStickyHelpers.BROKEN_CARET; // nonparticipating capturing group, copied from es5-shim's String#split patch.

	var NPCG_INCLUDED = /()??/.exec('')[1] !== undefined;
	var PATCH = UPDATES_LAST_INDEX_WRONG || NPCG_INCLUDED || UNSUPPORTED_Y$1;

	if (PATCH) {
	  patchedExec = function exec(str) {
	    var re = this;
	    var lastIndex, reCopy, match, i;
	    var sticky = UNSUPPORTED_Y$1 && re.sticky;
	    var flags = regexpFlags.call(re);
	    var source = re.source;
	    var charsAdded = 0;
	    var strCopy = str;

	    if (sticky) {
	      flags = flags.replace('y', '');

	      if (flags.indexOf('g') === -1) {
	        flags += 'g';
	      }

	      strCopy = String(str).slice(re.lastIndex); // Support anchored sticky behavior.

	      if (re.lastIndex > 0 && (!re.multiline || re.multiline && str[re.lastIndex - 1] !== '\n')) {
	        source = '(?: ' + source + ')';
	        strCopy = ' ' + strCopy;
	        charsAdded++;
	      } // ^(? + rx + ) is needed, in combination with some str slicing, to
	      // simulate the 'y' flag.


	      reCopy = new RegExp('^(?:' + source + ')', flags);
	    }

	    if (NPCG_INCLUDED) {
	      reCopy = new RegExp('^' + source + '$(?!\\s)', flags);
	    }

	    if (UPDATES_LAST_INDEX_WRONG) lastIndex = re.lastIndex;
	    match = nativeExec.call(sticky ? reCopy : re, strCopy);

	    if (sticky) {
	      if (match) {
	        match.input = match.input.slice(charsAdded);
	        match[0] = match[0].slice(charsAdded);
	        match.index = re.lastIndex;
	        re.lastIndex += match[0].length;
	      } else re.lastIndex = 0;
	    } else if (UPDATES_LAST_INDEX_WRONG && match) {
	      re.lastIndex = re.global ? match.index + match[0].length : lastIndex;
	    }

	    if (NPCG_INCLUDED && match && match.length > 1) {
	      // Fix browsers whose `exec` methods don't consistently return `undefined`
	      // for NPCG, like IE8. NOTE: This doesn' work for /(.?)?/
	      nativeReplace.call(match[0], reCopy, function () {
	        for (i = 1; i < arguments.length - 2; i++) {
	          if (arguments[i] === undefined) match[i] = undefined;
	        }
	      });
	    }

	    return match;
	  };
	}

	var regexpExec = patchedExec;

	_export({
	  target: 'RegExp',
	  proto: true,
	  forced: /./.exec !== regexpExec
	}, {
	  exec: regexpExec
	});

	var SPECIES$5 = wellKnownSymbol('species');
	var REPLACE_SUPPORTS_NAMED_GROUPS = !fails(function () {
	  // #replace needs built-in support for named groups.
	  // #match works fine because it just return the exec results, even if it has
	  // a "grops" property.
	  var re = /./;

	  re.exec = function () {
	    var result = [];
	    result.groups = {
	      a: '7'
	    };
	    return result;
	  };

	  return ''.replace(re, '$<a>') !== '7';
	}); // IE <= 11 replaces $0 with the whole match, as if it was $&
	// https://stackoverflow.com/questions/6024666/getting-ie-to-replace-a-regex-with-the-literal-string-0

	var REPLACE_KEEPS_$0 = function () {
	  return 'a'.replace(/./, '$0') === '$0';
	}();

	var REPLACE = wellKnownSymbol('replace'); // Safari <= 13.0.3(?) substitutes nth capture where n>m with an empty string

	var REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE = function () {
	  if (/./[REPLACE]) {
	    return /./[REPLACE]('a', '$0') === '';
	  }

	  return false;
	}(); // Chrome 51 has a buggy "split" implementation when RegExp#exec !== nativeExec
	// Weex JS has frozen built-in prototypes, so use try / catch wrapper


	var SPLIT_WORKS_WITH_OVERWRITTEN_EXEC = !fails(function () {
	  var re = /(?:)/;
	  var originalExec = re.exec;

	  re.exec = function () {
	    return originalExec.apply(this, arguments);
	  };

	  var result = 'ab'.split(re);
	  return result.length !== 2 || result[0] !== 'a' || result[1] !== 'b';
	});

	var fixRegexpWellKnownSymbolLogic = function (KEY, length, exec, sham) {
	  var SYMBOL = wellKnownSymbol(KEY);
	  var DELEGATES_TO_SYMBOL = !fails(function () {
	    // String methods call symbol-named RegEp methods
	    var O = {};

	    O[SYMBOL] = function () {
	      return 7;
	    };

	    return ''[KEY](O) != 7;
	  });
	  var DELEGATES_TO_EXEC = DELEGATES_TO_SYMBOL && !fails(function () {
	    // Symbol-named RegExp methods call .exec
	    var execCalled = false;
	    var re = /a/;

	    if (KEY === 'split') {
	      // We can't use real regex here since it causes deoptimization
	      // and serious performance degradation in V8
	      // https://github.com/zloirock/core-js/issues/306
	      re = {}; // RegExp[@@split] doesn't call the regex's exec method, but first creates
	      // a new one. We need to return the patched regex when creating the new one.

	      re.constructor = {};

	      re.constructor[SPECIES$5] = function () {
	        return re;
	      };

	      re.flags = '';
	      re[SYMBOL] = /./[SYMBOL];
	    }

	    re.exec = function () {
	      execCalled = true;
	      return null;
	    };

	    re[SYMBOL]('');
	    return !execCalled;
	  });

	  if (!DELEGATES_TO_SYMBOL || !DELEGATES_TO_EXEC || KEY === 'replace' && !(REPLACE_SUPPORTS_NAMED_GROUPS && REPLACE_KEEPS_$0 && !REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE) || KEY === 'split' && !SPLIT_WORKS_WITH_OVERWRITTEN_EXEC) {
	    var nativeRegExpMethod = /./[SYMBOL];
	    var methods = exec(SYMBOL, ''[KEY], function (nativeMethod, regexp, str, arg2, forceStringMethod) {
	      if (regexp.exec === regexpExec) {
	        if (DELEGATES_TO_SYMBOL && !forceStringMethod) {
	          // The native String method already delegates to @@method (this
	          // polyfilled function), leasing to infinite recursion.
	          // We avoid it by directly calling the native @@method method.
	          return {
	            done: true,
	            value: nativeRegExpMethod.call(regexp, str, arg2)
	          };
	        }

	        return {
	          done: true,
	          value: nativeMethod.call(str, regexp, arg2)
	        };
	      }

	      return {
	        done: false
	      };
	    }, {
	      REPLACE_KEEPS_$0: REPLACE_KEEPS_$0,
	      REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE: REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE
	    });
	    var stringMethod = methods[0];
	    var regexMethod = methods[1];
	    redefine(String.prototype, KEY, stringMethod);
	    redefine(RegExp.prototype, SYMBOL, length == 2 // 21.2.5.8 RegExp.prototype[@@replace](string, replaceValue)
	    // 21.2.5.11 RegExp.prototype[@@split](string, limit)
	    ? function (string, arg) {
	      return regexMethod.call(string, this, arg);
	    } // 21.2.5.6 RegExp.prototype[@@match](string)
	    // 21.2.5.9 RegExp.prototype[@@search](string)
	    : function (string) {
	      return regexMethod.call(string, this);
	    });
	  }

	  if (sham) createNonEnumerableProperty(RegExp.prototype[SYMBOL], 'sham', true);
	};

	var charAt$1 = stringMultibyte.charAt; // `AdvanceStringIndex` abstract operation
	// https://tc39.github.io/ecma262/#sec-advancestringindex

	var advanceStringIndex = function (S, index, unicode) {
	  return index + (unicode ? charAt$1(S, index).length : 1);
	};

	// https://tc39.github.io/ecma262/#sec-regexpexec

	var regexpExecAbstract = function (R, S) {
	  var exec = R.exec;

	  if (typeof exec === 'function') {
	    var result = exec.call(R, S);

	    if (typeof result !== 'object') {
	      throw TypeError('RegExp exec method returned something other than an Object or null');
	    }

	    return result;
	  }

	  if (classofRaw(R) !== 'RegExp') {
	    throw TypeError('RegExp#exec called on incompatible receiver');
	  }

	  return regexpExec.call(R, S);
	};

	var max$1 = Math.max;
	var min$2 = Math.min;
	var floor$1 = Math.floor;
	var SUBSTITUTION_SYMBOLS = /\$([$&'`]|\d\d?|<[^>]*>)/g;
	var SUBSTITUTION_SYMBOLS_NO_NAMED = /\$([$&'`]|\d\d?)/g;

	var maybeToString = function (it) {
	  return it === undefined ? it : String(it);
	}; // @@replace logic


	fixRegexpWellKnownSymbolLogic('replace', 2, function (REPLACE, nativeReplace, maybeCallNative, reason) {
	  var REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE = reason.REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE;
	  var REPLACE_KEEPS_$0 = reason.REPLACE_KEEPS_$0;
	  var UNSAFE_SUBSTITUTE = REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE ? '$' : '$0';
	  return [// `String.prototype.replace` method
	  // https://tc39.github.io/ecma262/#sec-string.prototype.replace
	  function replace(searchValue, replaceValue) {
	    var O = requireObjectCoercible(this);
	    var replacer = searchValue == undefined ? undefined : searchValue[REPLACE];
	    return replacer !== undefined ? replacer.call(searchValue, O, replaceValue) : nativeReplace.call(String(O), searchValue, replaceValue);
	  }, // `RegExp.prototype[@@replace]` method
	  // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@replace
	  function (regexp, replaceValue) {
	    if (!REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE && REPLACE_KEEPS_$0 || typeof replaceValue === 'string' && replaceValue.indexOf(UNSAFE_SUBSTITUTE) === -1) {
	      var res = maybeCallNative(nativeReplace, regexp, this, replaceValue);
	      if (res.done) return res.value;
	    }

	    var rx = anObject(regexp);
	    var S = String(this);
	    var functionalReplace = typeof replaceValue === 'function';
	    if (!functionalReplace) replaceValue = String(replaceValue);
	    var global = rx.global;

	    if (global) {
	      var fullUnicode = rx.unicode;
	      rx.lastIndex = 0;
	    }

	    var results = [];

	    while (true) {
	      var result = regexpExecAbstract(rx, S);
	      if (result === null) break;
	      results.push(result);
	      if (!global) break;
	      var matchStr = String(result[0]);
	      if (matchStr === '') rx.lastIndex = advanceStringIndex(S, toLength(rx.lastIndex), fullUnicode);
	    }

	    var accumulatedResult = '';
	    var nextSourcePosition = 0;

	    for (var i = 0; i < results.length; i++) {
	      result = results[i];
	      var matched = String(result[0]);
	      var position = max$1(min$2(toInteger(result.index), S.length), 0);
	      var captures = []; // NOTE: This is equivalent to
	      //   captures = result.slice(1).map(maybeToString)
	      // but for some reason `nativeSlice.call(result, 1, result.length)` (called in
	      // the slice polyfill when slicing native arrays) "doesn't work" in safari 9 and
	      // causes a crash (https://pastebin.com/N21QzeQA) when trying to debug it.

	      for (var j = 1; j < result.length; j++) captures.push(maybeToString(result[j]));

	      var namedCaptures = result.groups;

	      if (functionalReplace) {
	        var replacerArgs = [matched].concat(captures, position, S);
	        if (namedCaptures !== undefined) replacerArgs.push(namedCaptures);
	        var replacement = String(replaceValue.apply(undefined, replacerArgs));
	      } else {
	        replacement = getSubstitution(matched, S, position, captures, namedCaptures, replaceValue);
	      }

	      if (position >= nextSourcePosition) {
	        accumulatedResult += S.slice(nextSourcePosition, position) + replacement;
	        nextSourcePosition = position + matched.length;
	      }
	    }

	    return accumulatedResult + S.slice(nextSourcePosition);
	  }]; // https://tc39.github.io/ecma262/#sec-getsubstitution

	  function getSubstitution(matched, str, position, captures, namedCaptures, replacement) {
	    var tailPos = position + matched.length;
	    var m = captures.length;
	    var symbols = SUBSTITUTION_SYMBOLS_NO_NAMED;

	    if (namedCaptures !== undefined) {
	      namedCaptures = toObject(namedCaptures);
	      symbols = SUBSTITUTION_SYMBOLS;
	    }

	    return nativeReplace.call(replacement, symbols, function (match, ch) {
	      var capture;

	      switch (ch.charAt(0)) {
	        case '$':
	          return '$';

	        case '&':
	          return matched;

	        case '`':
	          return str.slice(0, position);

	        case "'":
	          return str.slice(tailPos);

	        case '<':
	          capture = namedCaptures[ch.slice(1, -1)];
	          break;

	        default:
	          // \d\d?
	          var n = +ch;
	          if (n === 0) return match;

	          if (n > m) {
	            var f = floor$1(n / 10);
	            if (f === 0) return match;
	            if (f <= m) return captures[f - 1] === undefined ? ch.charAt(1) : captures[f - 1] + ch.charAt(1);
	            return match;
	          }

	          capture = captures[n - 1];
	      }

	      return capture === undefined ? '' : capture;
	    });
	  }
	});

	var slice = [].slice;
	var MSIE = /MSIE .\./.test(engineUserAgent); // <- dirty ie9- check

	var wrap = function (scheduler) {
	  return function (handler, timeout
	  /* , ...arguments */
	  ) {
	    var boundArgs = arguments.length > 2;
	    var args = boundArgs ? slice.call(arguments, 2) : undefined;
	    return scheduler(boundArgs ? function () {
	      // eslint-disable-next-line no-new-func
	      (typeof handler == 'function' ? handler : Function(handler)).apply(this, args);
	    } : handler, timeout);
	  };
	}; // ie9- setTimeout & setInterval additional parameters fix
	// https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#timers


	_export({
	  global: true,
	  bind: true,
	  forced: MSIE
	}, {
	  // `setTimeout` method
	  // https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#dom-settimeout
	  setTimeout: wrap(global_1.setTimeout),
	  // `setInterval` method
	  // https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#dom-setinterval
	  setInterval: wrap(global_1.setInterval)
	});

	(function (window) {

	  if (typeof window === 'undefined') {
	    throw new Error('Geetest requires browser environment');
	  }

	  var document = window.document;
	  var Math = window.Math;
	  var head = document.getElementsByTagName("head")[0];

	  function _Object(obj) {
	    this._obj = obj;
	  }

	  _Object.prototype = {
	    _each: function _each(process) {
	      var _obj = this._obj;

	      for (var k in _obj) {
	        if (_obj.hasOwnProperty(k)) {
	          process(k, _obj[k]);
	        }
	      }

	      return this;
	    }
	  };

	  function Config(config) {
	    var self = this;

	    new _Object(config)._each(function (key, value) {
	      self[key] = value;
	    });
	  }

	  Config.prototype = {
	    api_server: 'api.geetest.com',
	    protocol: 'http://',
	    typePath: '/gettype.php',
	    fallback_config: {
	      slide: {
	        static_servers: ["static.geetest.com", "dn-staticdown.qbox.me"],
	        type: 'slide',
	        slide: '/static/js/geetest.0.0.0.js'
	      },
	      fullpage: {
	        static_servers: ["static.geetest.com", "dn-staticdown.qbox.me"],
	        type: 'fullpage',
	        fullpage: '/static/js/fullpage.0.0.0.js'
	      }
	    },
	    _get_fallback_config: function _get_fallback_config() {
	      var self = this;

	      if (isString(self.type)) {
	        return self.fallback_config[self.type];
	      } else if (self.new_captcha) {
	        return self.fallback_config.fullpage;
	      } else {
	        return self.fallback_config.slide;
	      }
	    },
	    _extend: function _extend(obj) {
	      var self = this;

	      new _Object(obj)._each(function (key, value) {
	        self[key] = value;
	      });
	    }
	  };

	  var isNumber = function isNumber(value) {
	    return typeof value === 'number';
	  };

	  var isString = function isString(value) {
	    return typeof value === 'string';
	  };

	  var isBoolean = function isBoolean(value) {
	    return typeof value === 'boolean';
	  };

	  var isObject = function isObject(value) {
	    return _typeof(value) === 'object' && value !== null;
	  };

	  var isFunction = function isFunction(value) {
	    return typeof value === 'function';
	  };

	  var MOBILE = /Mobi/i.test(navigator.userAgent);
	  var pt = MOBILE ? 3 : 0;
	  var callbacks = {};
	  var status = {};

	  var nowDate = function nowDate() {
	    var date = new Date();
	    var year = date.getFullYear();
	    var month = date.getMonth() + 1;
	    var day = date.getDate();
	    var hours = date.getHours();
	    var minutes = date.getMinutes();
	    var seconds = date.getSeconds();

	    if (month >= 1 && month <= 9) {
	      month = '0' + month;
	    }

	    if (day >= 0 && day <= 9) {
	      day = '0' + day;
	    }

	    if (hours >= 0 && hours <= 9) {
	      hours = '0' + hours;
	    }

	    if (minutes >= 0 && minutes <= 9) {
	      minutes = '0' + minutes;
	    }

	    if (seconds >= 0 && seconds <= 9) {
	      seconds = '0' + seconds;
	    }

	    var currentdate = year + '-' + month + '-' + day + " " + hours + ":" + minutes + ":" + seconds;
	    return currentdate;
	  };

	  var random = function random() {
	    return parseInt(Math.random() * 10000) + new Date().valueOf();
	  };

	  var loadScript = function loadScript(url, cb) {
	    var script = document.createElement("script");
	    script.charset = "UTF-8";
	    script.async = true; // 对geetest的静态资源添加 crossOrigin

	    if (/static\.geetest\.com/g.test(url)) {
	      script.crossOrigin = "anonymous";
	    }

	    script.onerror = function () {
	      cb(true);
	    };

	    var loaded = false;

	    script.onload = script.onreadystatechange = function () {
	      if (!loaded && (!script.readyState || "loaded" === script.readyState || "complete" === script.readyState)) {
	        loaded = true;
	        setTimeout(function () {
	          cb(false);
	        }, 0);
	      }
	    };

	    script.src = url;
	    head.appendChild(script);
	  };

	  var normalizeDomain = function normalizeDomain(domain) {
	    // special domain: uems.sysu.edu.cn/jwxt/geetest/
	    // return domain.replace(/^https?:\/\/|\/.*$/g, ''); uems.sysu.edu.cn
	    return domain.replace(/^https?:\/\/|\/$/g, ''); // uems.sysu.edu.cn/jwxt/geetest
	  };

	  var normalizePath = function normalizePath(path) {
	    path = path.replace(/\/+/g, '/');

	    if (path.indexOf('/') !== 0) {
	      path = '/' + path;
	    }

	    return path;
	  };

	  var normalizeQuery = function normalizeQuery(query) {
	    if (!query) {
	      return '';
	    }

	    var q = '?';

	    new _Object(query)._each(function (key, value) {
	      if (isString(value) || isNumber(value) || isBoolean(value)) {
	        q = q + encodeURIComponent(key) + '=' + encodeURIComponent(value) + '&';
	      }
	    });

	    if (q === '?') {
	      q = '';
	    }

	    return q.replace(/&$/, '');
	  };

	  var makeURL = function makeURL(protocol, domain, path, query) {
	    domain = normalizeDomain(domain);
	    var url = normalizePath(path) + normalizeQuery(query);

	    if (domain) {
	      url = protocol + domain + url;
	    }

	    return url;
	  };

	  var load = function load(config, send, protocol, domains, path, query, cb) {
	    var tryRequest = function tryRequest(at) {
	      var url = makeURL(protocol, domains[at], path, query);
	      loadScript(url, function (err) {
	        if (err) {
	          if (at >= domains.length - 1) {
	            cb(true); // report gettype error

	            if (send) {
	              // HACK account#261
	              throwError('networkError', config);
	              config.error_code = 508;
	              var url = protocol + domains[at] + path;
	              reportError(config, url);
	            }
	          } else {
	            tryRequest(at + 1);
	          }
	        } else {
	          cb(false);
	        }
	      });
	    };

	    tryRequest(0);
	  };

	  var jsonp = function jsonp(domains, path, config, callback) {
	    if (isObject(config.getLib)) {
	      config._extend(config.getLib);

	      callback(config);
	      return;
	    }

	    if (config.offline) {
	      callback(config._get_fallback_config());
	      return;
	    }

	    var cb = "geetest_" + random();

	    window[cb] = function (data) {
	      if (data.status == 'success') {
	        callback(data.data);
	      } else if (!data.status) {
	        callback(data);
	      } else {
	        callback(config._get_fallback_config());
	      }

	      window[cb] = undefined;

	      try {
	        delete window[cb];
	      } catch (e) {}
	    };

	    load(config, true, config.protocol, domains, path, {
	      gt: config.gt,
	      callback: cb
	    }, function (err) {
	      if (err) {
	        callback(config._get_fallback_config());
	      }
	    });
	  };

	  var reportError = function reportError(config, url) {
	    load(config, false, config.protocol, ['monitor.geetest.com'], '/monitor/send', {
	      time: nowDate(),
	      captcha_id: config.gt,
	      challenge: config.challenge,
	      pt: pt,
	      exception_url: url,
	      error_code: config.error_code
	    }, function (err) {});
	  };

	  var throwError = function throwError(errorType, config) {
	    var errors = {
	      networkError: '网络错误',
	      gtTypeError: 'gt字段不是字符串类型'
	    };

	    if (typeof config.onError === 'function') {
	      config.onError(errors[errorType]);
	    } else {
	      throw new Error(errors[errorType]);
	    }
	  };

	  var detect = function detect() {
	    return window.Geetest || document.getElementById("gt_lib");
	  };

	  if (detect()) {
	    status.slide = "loaded";
	  }

	  window.initGeetest = function (userConfig, callback) {
	    var config = new Config(userConfig);

	    if (userConfig.https) {
	      config.protocol = 'https://';
	    } else if (!userConfig.protocol) {
	      config.protocol = window.location.protocol + '//';
	    } // for KFC


	    if (userConfig.gt === '050cffef4ae57b5d5e529fea9540b0d1' || userConfig.gt === '3bd38408ae4af923ed36e13819b14d42') {
	      config.apiserver = 'yumchina.geetest.com/'; // for old js

	      config.api_server = 'yumchina.geetest.com';
	    }

	    if (userConfig.gt) {
	      window.GeeGT = userConfig.gt;
	    }

	    if (userConfig.challenge) {
	      window.GeeChallenge = userConfig.challenge;
	    }

	    if (isObject(userConfig.getType)) {
	      config._extend(userConfig.getType);
	    }

	    jsonp([config.api_server || config.apiserver], config.typePath, config, function (newConfig) {
	      var type = newConfig.type;

	      var init = function init() {
	        config._extend(newConfig);

	        callback(new window.Geetest(config));
	      };

	      callbacks[type] = callbacks[type] || [];
	      var s = status[type] || 'init';

	      if (s === 'init') {
	        status[type] = 'loading';
	        callbacks[type].push(init);
	        load(config, true, config.protocol, newConfig.static_servers || newConfig.domains, newConfig[type] || newConfig.path, null, function (err) {
	          if (err) {
	            status[type] = 'fail';
	            throwError('networkError', config);
	          } else {
	            status[type] = 'loaded';
	            var cbs = callbacks[type];

	            for (var i = 0, len = cbs.length; i < len; i = i + 1) {
	              var cb = cbs[i];

	              if (isFunction(cb)) {
	                cb();
	              }
	            }

	            callbacks[type] = [];
	          }
	        });
	      } else if (s === "loaded") {
	        init();
	      } else if (s === "fail") {
	        throwError('networkError', config);
	      } else if (s === "loading") {
	        callbacks[type].push(init);
	      }
	    });
	  };
	})(window);

	var v2_sense = createCommonjsModule(function (module) {
	  !function (global, factory) {

	     module.exports = global.document ? factory(global, !0) : function (w) {
	      if (!w.document) throw new Error('Geetest requires a window with a document');
	      return factory(w);
	    } ;
	  }('undefined' != typeof window ? window : commonjsGlobal, function (window, noGlobal) {

	    function _Object(obj) {
	      this._obj = obj;
	    }

	    function Config(config) {
	      var self = this;

	      new _Object(config)._each(function (key, value) {
	        self[key] = value;
	      });
	    }

	    function PureEvent() {
	      this._events = {};
	    }

	    if (void 0 === window) throw new Error('Geetest requires browser environment');
	    var document = window.document,
	        Math = window.Math,
	        head = document && document.getElementsByTagName('head')[0];
	    _Object.prototype = {
	      _each: function _each(process) {
	        var _obj = this._obj;

	        for (var k in _obj) {
	          _obj.hasOwnProperty(k) && process(k, _obj[k]);
	        }

	        return this;
	      }
	    }, Config.prototype = {
	      api_server: 'dkapi.geetest.com',
	      type_path: '/deepknow/v2/gettype',
	      protocol: 'https://',
	      https: !0,
	      static_servers: ['static.geetest.com', 'dn-staticdown.qbox.me'],
	      type: 'sense_v2',
	      _extend: function _extend(obj) {
	        var self = this;

	        new _Object(obj)._each(function (key, value) {
	          self[key] = value;
	        });
	      }
	    };

	    var isNumber = function isNumber(value) {
	      return 'number' == typeof value;
	    },
	        isString = function isString(value) {
	      return 'string' == typeof value;
	    },
	        isBoolean = function isBoolean(value) {
	      return 'boolean' == typeof value;
	    },
	        isFunction = function isFunction(value) {
	      return 'function' == typeof value;
	    },
	        random = function random() {
	      return parseInt(1e4 * Math.random()) + new Date().valueOf();
	    },
	        loadScript = function loadScript(url, cb) {
	      var script = document.createElement('script');
	      script.charset = 'UTF-8', script.async = !0, script.onerror = function () {
	        cb(!0);
	      };
	      var loaded = !1;
	      script.onload = script.onreadystatechange = function () {
	        loaded || script.readyState && 'loaded' !== script.readyState && 'complete' !== script.readyState || (loaded = !0, setTimeout(function () {
	          cb(!1);
	        }, 0));
	      }, script.src = url, head && head.appendChild(script);
	    },
	        normalizeDomain = function normalizeDomain(domain) {
	      return domain.replace(/^https?:\/\/|\/$/g, '');
	    },
	        normalizePath = function normalizePath(path) {
	      return path = path.replace(/\/+/g, '/'), 0 !== path.indexOf('/') && (path = '/' + path), path;
	    },
	        normalizeQuery = function normalizeQuery(query) {
	      if (!query) return '';
	      var q = '?';
	      return new _Object(query)._each(function (key, value) {
	        (isString(value) || isNumber(value) || isBoolean(value)) && (q = q + encodeURIComponent(key) + '=' + encodeURIComponent(value) + '&');
	      }), '?' === q && (q = ''), q.replace(/&$/, '');
	    },
	        makeURL = function makeURL(protocol, domain, path, query) {
	      domain = normalizeDomain(domain);
	      var url = normalizePath(path) + normalizeQuery(query);
	      return domain && (url = protocol + domain + url), url;
	    },
	        load = function load(protocol, domains, path, query, cb) {
	      var tryRequest = function tryRequest(at) {
	        var url = makeURL(protocol, domains[at], path, query);
	        loadScript(url, function (err) {
	          err ? at >= domains.length - 1 ? cb(!0) : tryRequest(at + 1) : cb(!1);
	        });
	      };

	      tryRequest(0);
	    },
	        jsonp = function jsonp(domains, path, config, callback) {
	      var cb = 'geetest_' + random();
	      window[cb] = function (data) {
	        callback('success' === data.status ? data.data : data), window[cb] = undefined;

	        try {
	          delete window[cb];
	        } catch (e) {}
	      }, load(config.protocol, domains, path, {
	        callback: cb
	      }, function (err) {
	        err && throwError('networkError', config);
	      });
	    },
	        throwError = function throwError(errorType, config) {
	      var errors = {
	        noAppId: '缺少app_id',
	        networkError: '网络错误',
	        idNotExist: '参数id必填',
	        cbIlegal: 'callback必须是function',
	        geetestNotExist: 'Geetest不存在'
	      };
	      if ('function' != typeof config.onError) throw new Error(errors[errorType]);
	      config.onError(errors[errorType]);
	    },
	        detect = function detect(type) {
	      return type = type || 'sense_v2', window.Geetest ? !!window.Geetest[type] : !!window.Geetest && window.Geetest[type];
	    },
	        senseObj = null;

	    PureEvent.prototype = {
	      _addEvent: function _addEvent(type, cb) {
	        var self = this;
	        return self._events[type] ? self._events[type].push(cb) : self._events[type] = [cb], self;
	      },
	      _emitEvent: function _emitEvent(type, msg) {
	        var self = this,
	            cbs = self._events[type];

	        if (cbs) {
	          for (var i = 0, len = cbs.length; i < len; i += 1) {
	            cbs[i](msg);
	          }

	          return self;
	        }
	      },
	      _destroy: function _destroy() {
	        this._events = {};
	      }
	    };

	    var event = new PureEvent(),
	        loadSense = // (
	    function loadSense(callback, error, args) {
	      // var args = getScriptArgs();
	      // return function () {
	      var config = new Config();
	      if (config.debugConfig && config._extend(config.debugConfig), 'http:' !== window.location.protocol && 'https:' !== window.location.protocol ? config.protocol = 'https://' : config.protocol = window.location.protocol + '//', args ? config._extend(args) : (throwError('noAppId', config), isFunction(error) && error({
	        code: '2002',
	        msg: '缺少app_id'
	      })), detect()) return senseObj = new window.Geetest(config), void (isFunction(callback) && callback());
	      jsonp([config.api_server], config.type_path, config, function (newConfig) {
	        load(config.protocol, newConfig.static_servers, newConfig.path, null, function (err) {
	          if (err) throwError('networkError', config), isFunction(error) && error({
	            code: '2000',
	            msg: '网络错误'
	          });else {
	            if ('undefined' == typeof window.Geetest) return throwError('geetestNotExist', config), void (isFunction(error) && error({
	              code: '2001',
	              msg: 'sense对象未加载成功'
	            }));
	            config._extend(newConfig), senseObj = new window.Geetest(config), !window.Geetest.sense, event._emitEvent('ready'), isFunction(callback) && callback();
	          }
	        });
	      });
	    }; // })();
	    // loadSense();


	    var destroySense = function destroySense() {
	      senseObj && senseObj.destroy();
	    },
	        onReady = function onReady(cb) {
	      event._destroy(), event._addEvent('ready', function () {
	        cb();
	      }, !1);
	    },
	        getSid = function getSid(cb, err) {
	      if (senseObj) {
	        return senseObj.getSid(cb, err);
	      }

	      isFunction(err) && err({
	        code: '2001',
	        msg: 'sense对象未加载成功'
	      });
	    };

	    return window.SensePro = {
	      load: loadSense,
	      destroy: destroySense,
	      getSid: getSid,
	      onReady: onReady
	    }, SensePro;
	  });
	});

	var GeetestService = /*#__PURE__*/function (_CaptchaProviderServi) {
	  _inherits(GeetestService, _CaptchaProviderServi);

	  var _super = _createSuper(GeetestService);

	  function GeetestService() {
	    var _this;

	    _classCallCheck(this, GeetestService);

	    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    _this = _super.call.apply(_super, [this].concat(args));

	    _defineProperty(_assertThisInitialized(_this), "captchaObj", void 0);

	    return _this;
	  }

	  _createClass(GeetestService, [{
	    key: "execute",
	    value: function execute() {
	      var _this$captchaObj;

	      (_this$captchaObj = this.captchaObj) === null || _this$captchaObj === void 0 ? void 0 : _this$captchaObj.verify();
	    }
	  }, {
	    key: "init",
	    value: function init() {
	      var _this2 = this;

	      var config = this.options.geetest;

	      if (!(config === null || config === void 0 ? void 0 : config.gt) || !config.challenge) {
	        return this.onError('配置为空');
	      }

	      try {
	        window.initGeetest({
	          gt: config.gt,
	          challenge: config.challenge,
	          offline: !config.success,
	          new_captcha: config.new_captcha,
	          product: 'bind',
	          onError: function onError(error) {
	            return _this2.onError(error);
	          }
	        }, function (captchaObj) {
	          _this2.captchaObj = captchaObj;
	          captchaObj.onReady(function () {
	            return _this2.onReady();
	          }).onSuccess(function () {
	            return _this2.onSuccess();
	          }).onError(function (e) {
	            return _this2.onError(e);
	          });
	        });
	      } catch (e) {
	        this.onError(e);
	      }
	    }
	  }, {
	    key: "onSuccess",
	    value: function onSuccess() {
	      var _this$captchaObj2;

	      var response = (_this$captchaObj2 = this.captchaObj) === null || _this$captchaObj2 === void 0 ? void 0 : _this$captchaObj2.getValidate();

	      _get(_getPrototypeOf(GeetestService.prototype), "onSuccess", this).call(this, response);
	    }
	  }, {
	    key: "onError",
	    value: function onError(error) {
	      if (typeof error === 'string') {
	        _get(_getPrototypeOf(GeetestService.prototype), "onError", this).call(this, error);
	      } else if (isGeetestError(error)) {
	        if (error.msg !== 'refresh too much') {
	          _get(_getPrototypeOf(GeetestService.prototype), "onError", this).call(this, error.user_error);
	        }
	      } else {
	        _get(_getPrototypeOf(GeetestService.prototype), "onError", this).call(this);
	      }
	    }
	  }]);

	  return GeetestService;
	}(CaptchaProviderService);
	var GeetestFrictionlessService = /*#__PURE__*/function (_FrictionlessCaptchaP) {
	  _inherits(GeetestFrictionlessService, _FrictionlessCaptchaP);

	  var _super2 = _createSuper(GeetestFrictionlessService);

	  function GeetestFrictionlessService() {
	    _classCallCheck(this, GeetestFrictionlessService);

	    return _super2.apply(this, arguments);
	  }

	  _createClass(GeetestFrictionlessService, [{
	    key: "execute",
	    value: function execute(action) {
	      return new Promise(function (resolve, reject) {
	        return v2_sense.getSid(function (sid) {
	          return resolve({
	            geetest_sid: sid
	          });
	        }, function (err) {
	          return reject(new Error(err === null || err === void 0 ? void 0 : err.msg));
	        });
	      });
	    }
	  }, {
	    key: "init",
	    value: function init() {
	      var _this$options$geetest,
	          _this3 = this;

	      if (!((_this$options$geetest = this.options.geetestFrictionless) === null || _this$options$geetest === void 0 ? void 0 : _this$options$geetest.senseId)) {
	        return this.onError('配置为空');
	      }

	      try {
	        v2_sense.load(function () {
	          return _this3.onReady();
	        }, function (err) {
	          return _this3.onError(err === null || err === void 0 ? void 0 : err.msg);
	        }, {
	          id: this.options.geetestFrictionless.senseId
	        });
	      } catch (e) {
	        this.onError(e.message);
	      }
	    }
	  }]);

	  return GeetestFrictionlessService;
	}(FrictionlessCaptchaProviderService);

	function isGeetestError(obj) {
	  var error = obj;
	  return (error === null || error === void 0 ? void 0 : error.msg) !== undefined && (error === null || error === void 0 ? void 0 : error.user_error) !== undefined;
	}

	// https://tc39.github.io/ecma262/#sec-array.isarray

	_export({
	  target: 'Array',
	  stat: true
	}, {
	  isArray: isArray
	});

	function appendElement(parent, tagName, builder) {
	  var element = document.createElement(tagName);

	  if (builder) {
	    builder(element);
	  }

	  parent.appendChild(element);
	  return element;
	}
	function throttle(func, timeFrame) {
	  var lastTime = 0;
	  return function () {
	    var now = Date.now();

	    if (now - lastTime >= timeFrame) {
	      func();
	      lastTime = now;
	    }
	  };
	}
	function isCaptchaOptions(obj) {
	  var options = obj;
	  return (options === null || options === void 0 ? void 0 : options.providers) !== undefined && Array.isArray(options.providers);
	}

	var callbackName = 'recaptchaOnload';

	var loadRecaptcha = function () {
	  var domains = ['www.recaptcha.net'];
	  var readyCallbacks = [];
	  var errorCallbacks = [];

	  function loadScript(options) {
	    var _options$recaptchaFri, _options$recaptchaFri2;

	    var domainIndex = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
	    var render = (_options$recaptchaFri = (_options$recaptchaFri2 = options.recaptchaFrictionless) === null || _options$recaptchaFri2 === void 0 ? void 0 : _options$recaptchaFri2.siteKey) !== null && _options$recaptchaFri !== void 0 ? _options$recaptchaFri : 'explicit';
	    var src = "https://".concat(domains[domainIndex], "/recaptcha/api.js?onload=").concat(callbackName, "&render=").concat(render, "&hl=zh-CN");

	    if (!document.querySelector("script[src=\"".concat(src, "\"]"))) {
	      appendElement(document.head, 'script', function (script) {
	        script.src = src;
	        script.async = true;
	        script.defer = true;

	        script.onerror = function () {
	          return loadScriptOnError(options, domainIndex);
	        };
	      });
	    }
	  }

	  function loadScriptOnError(options, domainIndex) {
	    var nextIndex = domainIndex + 1;

	    if (nextIndex < domains.length) {
	      loadScript(options, nextIndex);
	    } else {
	      errorCallbacks.forEach(function (fn) {
	        return fn('网络错误');
	      });
	    }
	  }

	  return function (options, readyCallback, errorCallback) {
	    if (window.grecaptcha) {
	      readyCallback();
	      return;
	    }

	    readyCallbacks.push(readyCallback);
	    errorCallbacks.push(errorCallback);

	    if (!window[callbackName]) {
	      window[callbackName] = function () {
	        return readyCallbacks.forEach(function (fn) {
	          return fn();
	        });
	      };
	    }

	    loadScript(options);
	  };
	}();

	var RecaptchaService = /*#__PURE__*/function (_CaptchaProviderServi) {
	  _inherits(RecaptchaService, _CaptchaProviderServi);

	  var _super = _createSuper(RecaptchaService);

	  function RecaptchaService() {
	    var _this;

	    _classCallCheck(this, RecaptchaService);

	    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    _this = _super.call.apply(_super, [this].concat(args));

	    _defineProperty(_assertThisInitialized(_this), "widgetId", void 0);

	    return _this;
	  }

	  _createClass(RecaptchaService, [{
	    key: "execute",
	    value: function execute() {
	      grecaptcha.execute(this.widgetId);
	    }
	  }, {
	    key: "init",
	    value: function init() {
	      var _this$options$recaptc,
	          _this2 = this;

	      if (!((_this$options$recaptc = this.options.recaptcha) === null || _this$options$recaptc === void 0 ? void 0 : _this$options$recaptc.siteKey)) {
	        return this.onError('配置为空');
	      }

	      loadRecaptcha(this.options, function () {
	        return _this2.render();
	      }, function (message) {
	        return _this2.onError(message);
	      });
	    }
	  }, {
	    key: "onSuccess",
	    value: function onSuccess() {
	      var _grecaptcha;

	      var response = {
	        'g-recaptcha-response': grecaptcha.getResponse(this.widgetId)
	      };

	      _get(_getPrototypeOf(RecaptchaService.prototype), "onSuccess", this).call(this, response);

	      (_grecaptcha = grecaptcha) === null || _grecaptcha === void 0 ? void 0 : _grecaptcha.reset(this.widgetId);
	    }
	  }, {
	    key: "render",
	    value: function render() {
	      var _this3 = this;

	      grecaptcha.ready(function () {
	        var container = appendElement(document.body, 'form', function (form) {
	          return form.className = 'captcha-form';
	        });

	        try {
	          _this3.widgetId = grecaptcha.render(container, {
	            sitekey: _this3.options.recaptcha.siteKey,
	            size: 'invisible',
	            callback: function callback() {
	              return _this3.onSuccess();
	            },
	            'error-callback': function errorCallback() {
	              return _this3.onError();
	            },
	            'expired-callback': function expiredCallback() {
	              var _grecaptcha2;

	              return (_grecaptcha2 = grecaptcha) === null || _grecaptcha2 === void 0 ? void 0 : _grecaptcha2.reset();
	            }
	          });

	          _this3.onReady();
	        } catch (e) {
	          _this3.onError(e.message);
	        }
	      });
	    }
	  }]);

	  return RecaptchaService;
	}(CaptchaProviderService);
	var RecaptchaFrictionlessService = /*#__PURE__*/function (_FrictionlessCaptchaP) {
	  _inherits(RecaptchaFrictionlessService, _FrictionlessCaptchaP);

	  var _super2 = _createSuper(RecaptchaFrictionlessService);

	  function RecaptchaFrictionlessService() {
	    _classCallCheck(this, RecaptchaFrictionlessService);

	    return _super2.apply(this, arguments);
	  }

	  _createClass(RecaptchaFrictionlessService, [{
	    key: "execute",
	    value: function () {
	      var _execute = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(action) {
	        return regeneratorRuntime.wrap(function _callee$(_context) {
	          while (1) {
	            switch (_context.prev = _context.next) {
	              case 0:
	                _context.next = 2;
	                return grecaptcha.execute(this.options.recaptchaFrictionless.siteKey, {
	                  action: action
	                }).then(function (token) {
	                  return {
	                    'g-recaptcha-response-v3': token
	                  };
	                });

	              case 2:
	                return _context.abrupt("return", _context.sent);

	              case 3:
	              case "end":
	                return _context.stop();
	            }
	          }
	        }, _callee, this);
	      }));

	      function execute(_x) {
	        return _execute.apply(this, arguments);
	      }

	      return execute;
	    }()
	  }, {
	    key: "init",
	    value: function init() {
	      var _this$options$recaptc2,
	          _this4 = this;

	      if (!((_this$options$recaptc2 = this.options.recaptchaFrictionless) === null || _this$options$recaptc2 === void 0 ? void 0 : _this$options$recaptc2.siteKey)) {
	        return this.onError('配置为空');
	      }

	      loadRecaptcha(this.options, function () {
	        return grecaptcha.ready(function () {
	          return _this4.onReady();
	        });
	      }, function (message) {
	        return _this4.onError(message);
	      });
	    }
	  }]);

	  return RecaptchaFrictionlessService;
	}(FrictionlessCaptchaProviderService);

	var HAS_SPECIES_SUPPORT$2 = arrayMethodHasSpeciesSupport('slice');
	var USES_TO_LENGTH$7 = arrayMethodUsesToLength('slice', {
	  ACCESSORS: true,
	  0: 0,
	  1: 2
	});
	var SPECIES$6 = wellKnownSymbol('species');
	var nativeSlice = [].slice;
	var max$2 = Math.max; // `Array.prototype.slice` method
	// https://tc39.github.io/ecma262/#sec-array.prototype.slice
	// fallback for not array-like ES3 strings and DOM objects

	_export({
	  target: 'Array',
	  proto: true,
	  forced: !HAS_SPECIES_SUPPORT$2 || !USES_TO_LENGTH$7
	}, {
	  slice: function slice(start, end) {
	    var O = toIndexedObject(this);
	    var length = toLength(O.length);
	    var k = toAbsoluteIndex(start, length);
	    var fin = toAbsoluteIndex(end === undefined ? length : end, length); // inline `ArraySpeciesCreate` for usage native `Array#slice` where it's possible

	    var Constructor, result, n;

	    if (isArray(O)) {
	      Constructor = O.constructor; // cross-realm fallback

	      if (typeof Constructor == 'function' && (Constructor === Array || isArray(Constructor.prototype))) {
	        Constructor = undefined;
	      } else if (isObject(Constructor)) {
	        Constructor = Constructor[SPECIES$6];
	        if (Constructor === null) Constructor = undefined;
	      }

	      if (Constructor === Array || Constructor === undefined) {
	        return nativeSlice.call(O, k, fin);
	      }
	    }

	    result = new (Constructor === undefined ? Array : Constructor)(max$2(fin - k, 0));

	    for (n = 0; k < fin; k++, n++) if (k in O) createProperty(result, n, O[k]);

	    result.length = n;
	    return result;
	  }
	});

	var defineProperty$4 = objectDefineProperty.f;
	var FunctionPrototype = Function.prototype;
	var FunctionPrototypeToString = FunctionPrototype.toString;
	var nameRE = /^\s*function ([^ (]*)/;
	var NAME = 'name'; // Function instances `.name` property
	// https://tc39.github.io/ecma262/#sec-function-instances-name

	if (descriptors && !(NAME in FunctionPrototype)) {
	  defineProperty$4(FunctionPrototype, NAME, {
	    configurable: true,
	    get: function () {
	      try {
	        return FunctionPrototypeToString.call(this).match(nameRE)[1];
	      } catch (error) {
	        return '';
	      }
	    }
	  });
	}

	var MATCH = wellKnownSymbol('match'); // `IsRegExp` abstract operation
	// https://tc39.github.io/ecma262/#sec-isregexp

	var isRegexp = function (it) {
	  var isRegExp;
	  return isObject(it) && ((isRegExp = it[MATCH]) !== undefined ? !!isRegExp : classofRaw(it) == 'RegExp');
	};

	var defineProperty$5 = objectDefineProperty.f;
	var getOwnPropertyNames = objectGetOwnPropertyNames.f;
	var setInternalState$4 = internalState.set;
	var MATCH$1 = wellKnownSymbol('match');
	var NativeRegExp = global_1.RegExp;
	var RegExpPrototype = NativeRegExp.prototype;
	var re1 = /a/g;
	var re2 = /a/g; // "new" should create a new object, old webkit bug

	var CORRECT_NEW = new NativeRegExp(re1) !== re1;
	var UNSUPPORTED_Y$2 = regexpStickyHelpers.UNSUPPORTED_Y;
	var FORCED$3 = descriptors && isForced_1('RegExp', !CORRECT_NEW || UNSUPPORTED_Y$2 || fails(function () {
	  re2[MATCH$1] = false; // RegExp constructor can alter flags and IsRegExp works correct with @@match

	  return NativeRegExp(re1) != re1 || NativeRegExp(re2) == re2 || NativeRegExp(re1, 'i') != '/a/i';
	})); // `RegExp` constructor
	// https://tc39.github.io/ecma262/#sec-regexp-constructor

	if (FORCED$3) {
	  var RegExpWrapper = function RegExp(pattern, flags) {
	    var thisIsRegExp = this instanceof RegExpWrapper;
	    var patternIsRegExp = isRegexp(pattern);
	    var flagsAreUndefined = flags === undefined;
	    var sticky;

	    if (!thisIsRegExp && patternIsRegExp && pattern.constructor === RegExpWrapper && flagsAreUndefined) {
	      return pattern;
	    }

	    if (CORRECT_NEW) {
	      if (patternIsRegExp && !flagsAreUndefined) pattern = pattern.source;
	    } else if (pattern instanceof RegExpWrapper) {
	      if (flagsAreUndefined) flags = regexpFlags.call(pattern);
	      pattern = pattern.source;
	    }

	    if (UNSUPPORTED_Y$2) {
	      sticky = !!flags && flags.indexOf('y') > -1;
	      if (sticky) flags = flags.replace(/y/g, '');
	    }

	    var result = inheritIfRequired(CORRECT_NEW ? new NativeRegExp(pattern, flags) : NativeRegExp(pattern, flags), thisIsRegExp ? this : RegExpPrototype, RegExpWrapper);
	    if (UNSUPPORTED_Y$2 && sticky) setInternalState$4(result, {
	      sticky: sticky
	    });
	    return result;
	  };

	  var proxy = function (key) {
	    key in RegExpWrapper || defineProperty$5(RegExpWrapper, key, {
	      configurable: true,
	      get: function () {
	        return NativeRegExp[key];
	      },
	      set: function (it) {
	        NativeRegExp[key] = it;
	      }
	    });
	  };

	  var keys$1 = getOwnPropertyNames(NativeRegExp);
	  var index = 0;

	  while (keys$1.length > index) proxy(keys$1[index++]);

	  RegExpPrototype.constructor = RegExpWrapper;
	  RegExpWrapper.prototype = RegExpPrototype;
	  redefine(global_1, 'RegExp', RegExpWrapper);
	} // https://tc39.github.io/ecma262/#sec-get-regexp-@@species


	setSpecies('RegExp');

	var TO_STRING$1 = 'toString';
	var RegExpPrototype$1 = RegExp.prototype;
	var nativeToString = RegExpPrototype$1[TO_STRING$1];
	var NOT_GENERIC = fails(function () {
	  return nativeToString.call({
	    source: 'a',
	    flags: 'b'
	  }) != '/a/b';
	}); // FF44- RegExp#toString has a wrong name

	var INCORRECT_NAME = nativeToString.name != TO_STRING$1; // `RegExp.prototype.toString` method
	// https://tc39.github.io/ecma262/#sec-regexp.prototype.tostring

	if (NOT_GENERIC || INCORRECT_NAME) {
	  redefine(RegExp.prototype, TO_STRING$1, function toString() {
	    var R = anObject(this);
	    var p = String(R.source);
	    var rf = R.flags;
	    var f = String(rf === undefined && R instanceof RegExp && !('flags' in RegExpPrototype$1) ? regexpFlags.call(R) : rf);
	    return '/' + p + '/' + f;
	  }, {
	    unsafe: true
	  });
	}

	fixRegexpWellKnownSymbolLogic('match', 1, function (MATCH, nativeMatch, maybeCallNative) {
	  return [// `String.prototype.match` method
	  // https://tc39.github.io/ecma262/#sec-string.prototype.match
	  function match(regexp) {
	    var O = requireObjectCoercible(this);
	    var matcher = regexp == undefined ? undefined : regexp[MATCH];
	    return matcher !== undefined ? matcher.call(regexp, O) : new RegExp(regexp)[MATCH](String(O));
	  }, // `RegExp.prototype[@@match]` method
	  // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@match
	  function (regexp) {
	    var res = maybeCallNative(nativeMatch, regexp, this);
	    if (res.done) return res.value;
	    var rx = anObject(regexp);
	    var S = String(this);
	    if (!rx.global) return regexpExecAbstract(rx, S);
	    var fullUnicode = rx.unicode;
	    rx.lastIndex = 0;
	    var A = [];
	    var n = 0;
	    var result;

	    while ((result = regexpExecAbstract(rx, S)) !== null) {
	      var matchStr = String(result[0]);
	      A[n] = matchStr;
	      if (matchStr === '') rx.lastIndex = advanceStringIndex(S, toLength(rx.lastIndex), fullUnicode);
	      n++;
	    }

	    return n === 0 ? null : A;
	  }];
	});

	!function (e, t) {
	  var n = 1e4,
	      g_moduleConfig = {
	    uabModule: {
	      grey: ["AWSC/uab/1.140.0/collina.js"],
	      stable: ["AWSC/uab/1.140.0/collina.js"],
	      greyBr: ["AWSC-br/uab/1.140.0/collina.js"],
	      stableBr: ["AWSC-br/uab/1.140.0/collina.js"],
	      ratio: 10000,
	      greyConfig: {},
	      stableConfig: {}
	    },
	    fyModule: {
	      grey: ["AWSC/fireyejs/1.221.0/fireyejs.js"],
	      stable: ["AWSC/fireyejs/1.221.0/fireyejs.js"],
	      greyBr: ["AWSC-br/fireyejs/1.221.0/fireyejs.js"],
	      stableBr: ["AWSC-br/fireyejs/1.221.0/fireyejs.js"],
	      ratio: 10000,
	      greyConfig: {},
	      stableConfig: {}
	    },
	    nsModule: {
	      grey: ["js/nc/60.js"],
	      stable: ["js/nc/60.js"],
	      ratio: 1e4,
	      greyConfig: {},
	      stableConfig: {}
	    },
	    umidPCModule: {
	      grey: ["AWSC/WebUMID/1.88.4/um.js"],
	      stable: ["AWSC/WebUMID/1.88.4/um.js"],
	      greyBr: ["AWSC-br/WebUMID/1.88.3/um.js"],
	      stableBr: ["AWSC-br/WebUMID/1.88.3/um.js"],
	      ratio: 10000,
	      greyConfig: {},
	      stableConfig: {}
	    },
	    etModule: {
	      grey: ["AWSC/et/1.62.0/et_f.js", "AWSC/et/1.62.1/et_n.js"],
	      stable: ["AWSC/et/1.62.0/et_f.js", "AWSC/et/1.62.1/et_n.js"],
	      greyBr: ["AWSC-br/et/1.62.0/et_f.js", "AWSC-br/et/1.62.1/et_n.js"],
	      stableBr: ["AWSC-br/et/1.62.0/et_f.js", "AWSC-br/et/1.62.1/et_n.js"],
	      ratio: 10000,
	      greyConfig: {
	        "whitelist": ["login.taobao.com/member/login.jhtml", "passport.alibaba.com/mini_login.htm", "login.taobao.com/member/loginByIm.do", "login.taobao.com/member/login_by_safe.htm", "login.taobao.com/member/vst.htm", "login.taobao.com/member/facebookLogin.do", "login.m.taobao.com/login.htm", "login.m.taobao.com/sendMsg.do", "login.m.taobao.com/msg_login.htm", "login.m.taobao.com/login_oversea.htm", "login.m.taobao.com/login_oversea_phone.htm", "login.m.taobao.com/newlogin/login.do", "login.m.taobao.com/newlogin/account/check.do", "login.m.taobao.com/newlogin/sms/send.do", "login.m.taobao.com/newlogin/sms/login.do", "buy.taobao.com/auction/buy_now.jhtml", "buy.taobao.com/auction/order/confirm_order.html", "buy.tmall.com/order/confirm_order.html", "buyertrade.taobao.com/trade/itemlist/list_bought_items.htm", "member1.taobao.com/member/fresh/account_security.htm", "member1.taobao.com/member/fresh/account_management.htm", "member1.taobao.com/member/fresh/weibo_bind_management.htm", "member1.taobao.com/member/fresh/deliver_address.htm", "h5.m.taobao.com/mlapp/olist.html", "h5.m.taobao.com/mlapp/odetail.html", "main.m.taobao.com/olist/index.html", "main.m.taobao.com/odetail/index.html", "h5.m.taobao.com/app/hongbao/www/detail/index.html", "market.m.taobao.com/app/dinamic/h5-tb-olist/index.html", "market.m.taobao.com/app/dinamic/h5-tb-odetail/index.html", "market.m.taobao.com/app/mtb/evaluation-list/pages/index2", "h5.m.taobao.com/qn/mobile/delivery.html", "h5.m.taobao.com/mlapp/odetail.html", "main.m.taobao.com/order/index.html", "buy.m.tmall.com/order/confirmOrderWap.htm", "h5.m.taobao.com/cart/order.html", "h5.m.tmall.hk/cart/order.html"]
	      },
	      stableConfig: {
	        "whitelist": ["login.taobao.com/member/login.jhtml", "passport.alibaba.com/mini_login.htm", "login.taobao.com/member/loginByIm.do", "login.taobao.com/member/login_by_safe.htm", "login.taobao.com/member/vst.htm", "login.taobao.com/member/facebookLogin.do", "login.m.taobao.com/login.htm", "login.m.taobao.com/sendMsg.do", "login.m.taobao.com/msg_login.htm", "login.m.taobao.com/login_oversea.htm", "login.m.taobao.com/login_oversea_phone.htm", "login.m.taobao.com/newlogin/login.do", "login.m.taobao.com/newlogin/account/check.do", "login.m.taobao.com/newlogin/sms/send.do", "login.m.taobao.com/newlogin/sms/login.do", "buy.taobao.com/auction/buy_now.jhtml", "buy.taobao.com/auction/order/confirm_order.html", "buy.tmall.com/order/confirm_order.html", "buyertrade.taobao.com/trade/itemlist/list_bought_items.htm", "member1.taobao.com/member/fresh/account_security.htm", "member1.taobao.com/member/fresh/account_management.htm", "member1.taobao.com/member/fresh/weibo_bind_management.htm", "member1.taobao.com/member/fresh/deliver_address.htm", "h5.m.taobao.com/mlapp/olist.html", "h5.m.taobao.com/mlapp/odetail.html", "main.m.taobao.com/olist/index.html", "main.m.taobao.com/odetail/index.html", "h5.m.taobao.com/app/hongbao/www/detail/index.html", "market.m.taobao.com/app/dinamic/h5-tb-olist/index.html", "market.m.taobao.com/app/dinamic/h5-tb-odetail/index.html", "market.m.taobao.com/app/mtb/evaluation-list/pages/index2", "h5.m.taobao.com/qn/mobile/delivery.html", "h5.m.taobao.com/mlapp/odetail.html", "main.m.taobao.com/order/index.html", "buy.m.tmall.com/order/confirmOrderWap.htm", "h5.m.taobao.com/cart/order.html", "h5.m.tmall.hk/cart/order.html"]
	      }
	    },
	    ncModule: {
	      grey: ["AWSC/nc/1.87.0/nc.js"],
	      stable: ["AWSC/nc/1.87.0/nc.js"],
	      ratio: 10000,
	      greyConfig: {},
	      stableConfig: {}
	    }
	  },
	      o = [{
	    name: "umidPCModule",
	    features: ["umpc", "um", "umh5"],
	    depends: [],
	    sync: !1
	  }, {
	    name: "uabModule",
	    features: ["uab"],
	    depends: [],
	    sync: !1
	  }, {
	    name: "fyModule",
	    features: ["fy"],
	    depends: [],
	    sync: !1
	  }, {
	    name: "nsModule",
	    features: ["ns"],
	    depends: [],
	    sync: !1
	  }, {
	    name: "etModule",
	    features: ["et"],
	    depends: [],
	    sync: !1
	  }, {
	    name: "ncModule",
	    features: ["nc", "nvc", "ic"],
	    depends: ["fy"],
	    sync: !1
	  }],
	      a = navigator.userAgent,
	      r = a.match(/Chrome\/(\d*)/);
	  r && (r = +r[1]);
	  var i = a.match(/Edge\/([\d]*)/),
	      s = a.match(/Safari\/([\d]*)/),
	      l = a.match(/Firefox\/([\d]*)/),
	      c = a.match(/MSIE|Trident/);

	  function u() {
	    var e = "function%20javaEnabled%28%29%20%7B%20%5Bnative%20code%5D%20%7D";
	    return "WebkitAppearance" in document.documentElement.style && escape(navigator.javaEnabled.toString()) === e ? !0 : !1;
	  }

	  function d(t, o) {
	    var a = "AWSC_SPECIFY_" + t.toUpperCase() + "_ADDRESSES";
	    if (e[a]) return e[a];
	    var d = {
	      normalAddresses: [],
	      brAddresses: []
	    };

	    for (var f in g_moduleConfig) {
	      if (g_moduleConfig.hasOwnProperty(f) && f === t) {
	        var m = g_moduleConfig[f],
	            b = Math.ceil(Math.random() * n) <= m.ratio;
	        d.normalAddresses = b ? m.grey.slice() : m.stable.slice(), m.stableBr && m.greyBr && (d.brAddresses = b ? m.greyBr.slice() : m.stableBr.slice()), "etModule" === t && (i ? (d.normalAddresses.pop(), d.brAddresses.pop()) : r ? (d.normalAddresses.pop(), d.brAddresses.pop()) : s || l || c ? (d.normalAddresses.shift(), d.brAddresses.shift()) : u() ? (d.normalAddresses.pop(), d.brAddresses.pop()) : (d.normalAddresses.shift(), d.brAddresses.shift()));

	        for (var g = 0; g < d.normalAddresses.length; g++) {
	          var p = o ? "https://" + o + "/" : A;
	          "https://assets.alicdn.com/" === p && (p += "g/"), d.normalAddresses[g] = p + d.normalAddresses[g], d.brAddresses[g] && (d.brAddresses[g] = p + d.brAddresses[g]);
	        }

	        return d;
	      }
	    }
	  }

	  var f = [],
	      m = "loading",
	      b = "loaded",
	      g = "timeout",
	      h = "no such feature",
	      y = new RegExp("^([\\w\\d+.-]+:)?(?://(?:([^/?#@]*)@)?([\\w\\d\\-\\u0100-\\uffff.+%]*|\\[[^\\]]+\\])(?::([0-9]+))?)?([^?#]+)?(\\?[^#]*)?(#.*)?$"),
	      A = v(C());

	  function v(e) {
	    var t = "https://g.alicdn.com/";
	    if (!e) return t;
	    if (/aliexpress/.test(location.href)) return "https://aeis.alicdn.com/";
	    var n = y.exec(e);
	    return n ? "https://" + n[3] + (n[4] ? ":" + n[4] : "") + "/" : t;
	  }

	  function C() {
	    for (var e = document.getElementsByTagName("script"), t = 0; t < e.length; t++) {
	      var n = e[t],
	          o = n.hasAttribute ? n.src : n.getAttribute("src", 4);
	      if (/\/awsc\.js/.test(o)) return o;
	    }
	  }

	  function _(e) {
	    for (var t = void 0, n = 0; n < o.length; n++) {
	      for (var a = o[n], r = 0; r < a.features.length; r++) {
	        if (a.features[r] === e) {
	          t = a;
	          break;
	        }
	      }

	      if (t) break;
	    }

	    return t;
	  }

	  function j(e) {
	    for (var t = 0; t < f.length; t++) {
	      var n = f[t];
	      if (n.name === e) return n;
	    }
	  }

	  function S(e) {
	    for (var t = void 0, n = 0; n < o.length; n++) {
	      var a = o[n];

	      if (a.name === e) {
	        t = a;
	        break;
	      }

	      if (t) break;
	    }

	    return t;
	  }

	  function W(e, n, o) {
	    if (o) for (var a = 0; a < e.normalAddresses.length; a++) {
	      var r = e.normalAddresses[a];
	      t.write("<script src=" + r + "></script>");
	    } else {
	      var _i = function _i(e, o, a) {
	        for (var r = 0; r < e.length; r++) {
	          var i = e[r],
	              s = t.createElement("script");
	          s.async = !1, s.src = i, s.id = n, s.onerror = o || function () {}, s.onload = a || function () {};
	          var l = t.getElementsByTagName("script")[0];
	          l && l.parentNode ? l.parentNode.insertBefore(s, l) : (l = t.body || t.head, l && l.appendChild(s));
	        }
	      };

	      _i(e.normalAddresses);
	    }
	  }

	  function T(t, n, o) {
	    var a = "https://acjs.aliyun.com/error?v=" + t + "&e=" + encodeURIComponent(n) + "&stack=" + encodeURIComponent(o),
	        r = new Image(),
	        i = "_awsc_img_" + Math.floor(1e6 * Math.random());
	    e[i] = r, r.onload = r.onerror = function () {
	      try {
	        delete e[i];
	      } catch (t) {
	        e[i] = null;
	      }
	    }, r.src = a;
	  }

	  function w(e, t) {
	    Math.random() < 1e-4 && T("awsc_state", "feature=" + e.name + "&state=" + e.state + "&href=" + encodeURIComponent(location.href));

	    for (var n = void 0; n = e.callbacks.shift();) {
	      try {
	        if ("function" == typeof n) n(e.state, e.exportObj);else if ("object" == _typeof(n)) {
	          var o = e.exportObj;
	          o && "function" == typeof o.init && o.init(n);
	        }
	      } catch (a) {
	        if (t) throw a;
	        T(e.name, a.message, a.stack);
	      }
	    }
	  }

	  function k(e, t, n, o) {
	    var a = _(e);

	    if (!a) return "function" == typeof t && t(h), void 0;
	    var r = n && n.cdn,
	        i = n && n.sync,
	        s = n && n.timeout || 5e3;
	    if (0 !== a.depends.length) for (var l = 0; l < a.depends.length; l++) {
	      var c = a.depends[l];
	      n && (delete n.sync, delete n.timeout, delete n.cdn), M(c, void 0, n);
	    }
	    var u = o || {};
	    u.module = a, u.name = e, u.state = m, u.callbacks = u.callbacks || [], u.options = n, t && u.callbacks.push(t), u.timeoutTimer = setTimeout(function () {
	      u.state = g, w(u, n && n.throwExceptionInCallback);
	    }, s), o || f.push(u);
	    var b = a.sync;
	    i && (b = i);
	    var p = d(a.name, r);
	    W(p, "AWSC_" + a.name, b);
	  }

	  function M(e, t, n) {
	    var o = j(e);
	    if (o) {
	      if (o.state === g) k(e, t, n, o);else if (o.state === b) {
	        if ("function" == typeof t) t(o.state, o.exportObj);else if ("object" == _typeof(t)) {
	          var a = o.exportObj;
	          a && "function" == typeof a.init && a.init(t);
	        }
	      } else o.state === m ? t && o.callbacks.push(t) : void 0;
	    } else k(e, t, n);
	  }

	  function B(e, t, n) {
	    var o = !1;

	    try {
	      var a = S(e);
	      a || void 0, a.moduleLoadStatus = b;

	      for (var r = void 0, i = 0; i < f.length; i++) {
	        var s = f[i];
	        s.module === a && s.name === t && (o = s.options && s.options.throwExceptionInCallback, r = s, clearTimeout(r.timeoutTimer), delete r.timeoutTimer, r.exportObj = n, s.state === m || s.state === g ? (r.state = b, setTimeout(function () {
	          w(r, o);
	        }, 0)) : void 0);
	      }

	      r || (r = {}, r.module = a, r.name = t, r.state = b, r.exportObj = n, r.callbacks = [], f.push(r));
	    } catch (l) {
	      if (o) throw l;
	      T("awsc_error", l.message, l.stack);
	    }
	  }

	  function U(e) {
	    e.AWSCFY = function () {}, e.AWSC.configFY = function (e, n, o, a) {
	      return t(e, n, o, a);
	    }, e.AWSC.configFYSync = function (e, n) {
	      return t(null, e, n);
	    };

	    function t(t, n, o, a) {
	      var r = location.protocol + "//" + location.host + location.pathname,
	          i = new e.AWSCFY();
	      e._umopt_npfp = 0;
	      var s = !1;
	      i.umidToken = "defaultToken1_um_not_loaded@@" + r + "@@" + new Date().getTime(), e.AWSC.use("um", function (e, t) {
	        "loaded" === e ? (i.umidToken = "defaultToken3_init_callback_not_called@@" + r + "@@" + new Date().getTime(), t.init(n, function (e, t) {
	          "success" === e ? i.umidToken = t.tn : i.umidToken = "defaultToken4_init_failed with " + e + "@@" + r + "@@" + new Date().getTime(), s = !0, u();
	        })) : (i.umidToken = "defaultToken2_load_failed with " + e + "@@" + r + "@@" + new Date().getTime(), s = !0, u());
	      });
	      var l = !1;
	      if (i.getUA = function () {
	        return "defaultUA1_uab_not_loaded@@" + r + "@@" + new Date().getTime();
	      }, e.AWSC.use("uab", function (e, t) {
	        l = !0, "loaded" === e ? (i.uabModule = t, i.uabConfig = o, i.getUA = function () {
	          return this.uabModule.getUA(this.uabConfig);
	        }) : i.getUA = function () {
	          return "defaultUA2_load_failed with " + e + "@@" + r + "@@" + new Date().getTime();
	        }, u();
	      }), null != t) var c = e.setTimeout(function () {
	        u(!0);
	      }, a ? a : 2e3);

	      function u(n) {
	        null != t && (l && s || n) && (t(i), e.clearTimeout(c));
	      }

	      return null == t ? i : void 0;
	    }
	  }

	  function D(e) {
	    var t = function t() {};

	    e.AWSC.configFYEx = function (e, t, o) {
	      return n(e, t, o);
	    }, e.AWSC.configFYSyncEx = function (e) {
	      return n(null, e);
	    };

	    function n(n, o, a) {
	      var r = (location.protocol + "//" + location.host + location.pathname).substr(0, 128),
	          i = new t();
	      if (a = a || 2e3, "function" == typeof n) var s = e.setTimeout(function () {
	        l();
	      }, a);

	      function l() {
	        "function" == typeof n && (n(i), e.clearTimeout(s));
	      }

	      return i.getFYToken = i.getUidToken = function () {
	        return "defaultFY1_fyjs_not_loaded@@" + r + "@@" + new Date().getTime();
	      }, e.fyglobalopt = o, e.AWSC.use("fy", function (e, t) {
	        "loaded" === e ? (i.getFYToken = i.getUidToken = function () {
	          return "defaultFY3_fyjs_not_initialized@@" + r + "@@" + new Date().getTime();
	        }, i.fyObj = t, t.init(o, function (e) {
	          i.getFYToken = function () {
	            return this.fyObj.getFYToken(o);
	          }, i.getUidToken = function () {
	            return this.fyObj.getUidToken(o);
	          }, l();
	        })) : (i.getFYToken = i.getUidToken = function () {
	          return "defaultFY2_load_failed with " + e + "@@" + r + "@@" + new Date().getTime();
	        }, l());
	      }), "function" == typeof n ? void 0 : i;
	    }
	  }

	  function E(e) {
	    var t = g_moduleConfig.etModule,
	        o = Math.ceil(Math.random() * n) <= t.ratio,
	        a = o ? t.greyConfig.whitelist : t.stableConfig.whitelist,
	        r = new RegExp(("^" + a.join("$|^") + "$").replace(/\*/g, ".*"));
	    r.test(location.host + location.pathname) && (window.etrprtrt = .01, e.AWSC.use("et"));
	  }

	  function x(e) {
	    e.AWSC || (e.AWSC = {}, e.AWSC.use = M, e.AWSCInner = {}, e.AWSCInner.register = B, U(e), D(e), E(e));
	  }

	  x(e);
	}(window, document);

	var loadExternalScript = function loadExternalScript(tagId, src, appendTo) {
	  if (!document.head.querySelector('#' + tagId)) {
	    return dynamicLoadResource(function () {
	      var script = document.createElement('script');
	      script.id = tagId;
	      script.src = src;
	      script.async = true;
	      return script;
	    }, appendTo);
	  } else {
	    return Promise.resolve('loaded');
	  }
	};
	var dynamicLoadResource = function dynamicLoadResource(creation, appendTo) {
	  return new Promise(function (resolve, reject) {
	    var el = creation();

	    if (el === null) {
	      resolve('nothing to load');
	      return;
	    }

	    el.onload = function (e) {
	      resolve('loaded');
	    };

	    el.onerror = function (e) {
	      reject(e);
	    };

	    if (appendTo) appendTo.appendChild(el);else document.head.appendChild(el);
	  });
	};

	var AliyunCaptchaService = /*#__PURE__*/function (_CaptchaProviderServi) {
	  _inherits(AliyunCaptchaService, _CaptchaProviderServi);

	  var _super = _createSuper(AliyunCaptchaService);

	  function AliyunCaptchaService() {
	    var _this;

	    _classCallCheck(this, AliyunCaptchaService);

	    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    _this = _super.call.apply(_super, [this].concat(args));

	    _defineProperty(_assertThisInitialized(_this), "ic", void 0);

	    _defineProperty(_assertThisInitialized(_this), "captchaFormId", "aliyun_captcha_form");

	    _defineProperty(_assertThisInitialized(_this), "container", document.createElement("form"));

	    return _this;
	  }

	  _createClass(AliyunCaptchaService, [{
	    key: "show",
	    value: function show() {
	      this.container.style.display = "block";
	    }
	  }, {
	    key: "hide",
	    value: function hide() {
	      this.container.style.display = "none";
	    }
	  }, {
	    key: "execute",
	    value: function execute() {
	      var _this$ic;

	      this.show();
	      (_this$ic = this.ic) === null || _this$ic === void 0 ? void 0 : _this$ic.reset();
	    }
	  }, {
	    key: "init",
	    value: function init() {
	      var _this$options$aliyunC,
	          _this2 = this;

	      if (!((_this$options$aliyunC = this.options.aliyunCaptcha) === null || _this$options$aliyunC === void 0 ? void 0 : _this$options$aliyunC.appKey)) {
	        return this.onError('aliyunCaptcha.appKey 配置为空');
	      }

	      loadExternalScript("awsc", "https://g.alicdn.com/AWSC/AWSC/awsc.js ").then(function () {
	        _this2.render();

	        _this2.onReady();
	      });
	    }
	  }, {
	    key: "onSuccess",
	    value: function onSuccess(response) {
	      _get(_getPrototypeOf(AliyunCaptchaService.prototype), "onSuccess", this).call(this, response);

	      this.hide();
	    }
	  }, {
	    key: "render",
	    value: function render() {
	      var _this3 = this;

	      try {
	        this.captchaFormId += Math.floor(Math.random() * 1000000);
	        var forms = document.getElementsByTagName('form');
	        var element = document.body;
	        var formclassName = 'captcha-form-in-body';

	        if (forms.length > 0) {
	          element = forms[0];
	          formclassName = 'captcha-form-in-form';
	        }

	        this.container = appendElement(element, 'form', function (form) {
	          return form.id = _this3.captchaFormId, form.className = formclassName;
	        });
	        this.container.style.display = "none";
	        window.AWSC.use("ic", function (state, module) {
	          var _this3$options$aliyun, _this3$options$aliyun2;

	          _this3.ic = module.init({
	            appkey: (_this3$options$aliyun = _this3.options.aliyunCaptcha) === null || _this3$options$aliyun === void 0 ? void 0 : _this3$options$aliyun.appKey,
	            scene: (_this3$options$aliyun2 = _this3.options.aliyunCaptcha) === null || _this3$options$aliyun2 === void 0 ? void 0 : _this3$options$aliyun2.scene,
	            renderTo: _this3.container.id,
	            success: function success(data) {
	              return _this3.onSuccess(data);
	            },
	            fail: function fail(failCode) {
	              _this3.onError("failCode is ".concat(failCode));
	            },
	            error: function error(errorCode) {
	              _this3.onError("errorCode is ".concat(errorCode));
	            }
	          });
	        });
	      } catch (error) {
	        this.onError(error.message);
	      }
	    }
	  }]);

	  return AliyunCaptchaService;
	}(CaptchaProviderService);

	var fingerprint2 = createCommonjsModule(function (module) {
	  /*
	  * Fingerprintjs2 2.1.0 - Modern & flexible browser fingerprint library v2
	  * https://github.com/Valve/fingerprintjs2
	  * Copyright (c) 2015 Valentin Vasilyev (valentin.vasilyev@outlook.com)
	  * Licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) license.
	  *
	  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	  * ARE DISCLAIMED. IN NO EVENT SHALL VALENTIN VASILYEV BE LIABLE FOR ANY
	  * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	  * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	  * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	  * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	  */

	  /* global define */
	  (function (name, context, definition) {

	    if (typeof window !== 'undefined' && typeof undefined === 'function' && undefined.amd) {
	      undefined(definition);
	    } else if ( module.exports) {
	      module.exports = definition();
	    } else if (context.exports) {
	      context.exports = definition();
	    } else {
	      context[name] = definition();
	    }
	  })('Fingerprint2', commonjsGlobal, function () {
	    //
	    // Given two 64bit ints (as an array of two 32bit ints) returns the two
	    // added together as a 64bit int (as an array of two 32bit ints).
	    //

	    var x64Add = function (m, n) {
	      m = [m[0] >>> 16, m[0] & 0xffff, m[1] >>> 16, m[1] & 0xffff];
	      n = [n[0] >>> 16, n[0] & 0xffff, n[1] >>> 16, n[1] & 0xffff];
	      var o = [0, 0, 0, 0];
	      o[3] += m[3] + n[3];
	      o[2] += o[3] >>> 16;
	      o[3] &= 0xffff;
	      o[2] += m[2] + n[2];
	      o[1] += o[2] >>> 16;
	      o[2] &= 0xffff;
	      o[1] += m[1] + n[1];
	      o[0] += o[1] >>> 16;
	      o[1] &= 0xffff;
	      o[0] += m[0] + n[0];
	      o[0] &= 0xffff;
	      return [o[0] << 16 | o[1], o[2] << 16 | o[3]];
	    }; //
	    // Given two 64bit ints (as an array of two 32bit ints) returns the two
	    // multiplied together as a 64bit int (as an array of two 32bit ints).
	    //


	    var x64Multiply = function (m, n) {
	      m = [m[0] >>> 16, m[0] & 0xffff, m[1] >>> 16, m[1] & 0xffff];
	      n = [n[0] >>> 16, n[0] & 0xffff, n[1] >>> 16, n[1] & 0xffff];
	      var o = [0, 0, 0, 0];
	      o[3] += m[3] * n[3];
	      o[2] += o[3] >>> 16;
	      o[3] &= 0xffff;
	      o[2] += m[2] * n[3];
	      o[1] += o[2] >>> 16;
	      o[2] &= 0xffff;
	      o[2] += m[3] * n[2];
	      o[1] += o[2] >>> 16;
	      o[2] &= 0xffff;
	      o[1] += m[1] * n[3];
	      o[0] += o[1] >>> 16;
	      o[1] &= 0xffff;
	      o[1] += m[2] * n[2];
	      o[0] += o[1] >>> 16;
	      o[1] &= 0xffff;
	      o[1] += m[3] * n[1];
	      o[0] += o[1] >>> 16;
	      o[1] &= 0xffff;
	      o[0] += m[0] * n[3] + m[1] * n[2] + m[2] * n[1] + m[3] * n[0];
	      o[0] &= 0xffff;
	      return [o[0] << 16 | o[1], o[2] << 16 | o[3]];
	    }; //
	    // Given a 64bit int (as an array of two 32bit ints) and an int
	    // representing a number of bit positions, returns the 64bit int (as an
	    // array of two 32bit ints) rotated left by that number of positions.
	    //


	    var x64Rotl = function (m, n) {
	      n %= 64;

	      if (n === 32) {
	        return [m[1], m[0]];
	      } else if (n < 32) {
	        return [m[0] << n | m[1] >>> 32 - n, m[1] << n | m[0] >>> 32 - n];
	      } else {
	        n -= 32;
	        return [m[1] << n | m[0] >>> 32 - n, m[0] << n | m[1] >>> 32 - n];
	      }
	    }; //
	    // Given a 64bit int (as an array of two 32bit ints) and an int
	    // representing a number of bit positions, returns the 64bit int (as an
	    // array of two 32bit ints) shifted left by that number of positions.
	    //


	    var x64LeftShift = function (m, n) {
	      n %= 64;

	      if (n === 0) {
	        return m;
	      } else if (n < 32) {
	        return [m[0] << n | m[1] >>> 32 - n, m[1] << n];
	      } else {
	        return [m[1] << n - 32, 0];
	      }
	    }; //
	    // Given two 64bit ints (as an array of two 32bit ints) returns the two
	    // xored together as a 64bit int (as an array of two 32bit ints).
	    //


	    var x64Xor = function (m, n) {
	      return [m[0] ^ n[0], m[1] ^ n[1]];
	    }; //
	    // Given a block, returns murmurHash3's final x64 mix of that block.
	    // (`[0, h[0] >>> 1]` is a 33 bit unsigned right shift. This is the
	    // only place where we need to right shift 64bit ints.)
	    //


	    var x64Fmix = function (h) {
	      h = x64Xor(h, [0, h[0] >>> 1]);
	      h = x64Multiply(h, [0xff51afd7, 0xed558ccd]);
	      h = x64Xor(h, [0, h[0] >>> 1]);
	      h = x64Multiply(h, [0xc4ceb9fe, 0x1a85ec53]);
	      h = x64Xor(h, [0, h[0] >>> 1]);
	      return h;
	    }; //
	    // Given a string and an optional seed as an int, returns a 128 bit
	    // hash using the x64 flavor of MurmurHash3, as an unsigned hex.
	    //


	    var x64hash128 = function (key, seed) {
	      key = key || '';
	      seed = seed || 0;
	      var remainder = key.length % 16;
	      var bytes = key.length - remainder;
	      var h1 = [0, seed];
	      var h2 = [0, seed];
	      var k1 = [0, 0];
	      var k2 = [0, 0];
	      var c1 = [0x87c37b91, 0x114253d5];
	      var c2 = [0x4cf5ad43, 0x2745937f];

	      for (var i = 0; i < bytes; i = i + 16) {
	        k1 = [key.charCodeAt(i + 4) & 0xff | (key.charCodeAt(i + 5) & 0xff) << 8 | (key.charCodeAt(i + 6) & 0xff) << 16 | (key.charCodeAt(i + 7) & 0xff) << 24, key.charCodeAt(i) & 0xff | (key.charCodeAt(i + 1) & 0xff) << 8 | (key.charCodeAt(i + 2) & 0xff) << 16 | (key.charCodeAt(i + 3) & 0xff) << 24];
	        k2 = [key.charCodeAt(i + 12) & 0xff | (key.charCodeAt(i + 13) & 0xff) << 8 | (key.charCodeAt(i + 14) & 0xff) << 16 | (key.charCodeAt(i + 15) & 0xff) << 24, key.charCodeAt(i + 8) & 0xff | (key.charCodeAt(i + 9) & 0xff) << 8 | (key.charCodeAt(i + 10) & 0xff) << 16 | (key.charCodeAt(i + 11) & 0xff) << 24];
	        k1 = x64Multiply(k1, c1);
	        k1 = x64Rotl(k1, 31);
	        k1 = x64Multiply(k1, c2);
	        h1 = x64Xor(h1, k1);
	        h1 = x64Rotl(h1, 27);
	        h1 = x64Add(h1, h2);
	        h1 = x64Add(x64Multiply(h1, [0, 5]), [0, 0x52dce729]);
	        k2 = x64Multiply(k2, c2);
	        k2 = x64Rotl(k2, 33);
	        k2 = x64Multiply(k2, c1);
	        h2 = x64Xor(h2, k2);
	        h2 = x64Rotl(h2, 31);
	        h2 = x64Add(h2, h1);
	        h2 = x64Add(x64Multiply(h2, [0, 5]), [0, 0x38495ab5]);
	      }

	      k1 = [0, 0];
	      k2 = [0, 0];

	      switch (remainder) {
	        case 15:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 14)], 48));
	        // fallthrough

	        case 14:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 13)], 40));
	        // fallthrough

	        case 13:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 12)], 32));
	        // fallthrough

	        case 12:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 11)], 24));
	        // fallthrough

	        case 11:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 10)], 16));
	        // fallthrough

	        case 10:
	          k2 = x64Xor(k2, x64LeftShift([0, key.charCodeAt(i + 9)], 8));
	        // fallthrough

	        case 9:
	          k2 = x64Xor(k2, [0, key.charCodeAt(i + 8)]);
	          k2 = x64Multiply(k2, c2);
	          k2 = x64Rotl(k2, 33);
	          k2 = x64Multiply(k2, c1);
	          h2 = x64Xor(h2, k2);
	        // fallthrough

	        case 8:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 7)], 56));
	        // fallthrough

	        case 7:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 6)], 48));
	        // fallthrough

	        case 6:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 5)], 40));
	        // fallthrough

	        case 5:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 4)], 32));
	        // fallthrough

	        case 4:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 3)], 24));
	        // fallthrough

	        case 3:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 2)], 16));
	        // fallthrough

	        case 2:
	          k1 = x64Xor(k1, x64LeftShift([0, key.charCodeAt(i + 1)], 8));
	        // fallthrough

	        case 1:
	          k1 = x64Xor(k1, [0, key.charCodeAt(i)]);
	          k1 = x64Multiply(k1, c1);
	          k1 = x64Rotl(k1, 31);
	          k1 = x64Multiply(k1, c2);
	          h1 = x64Xor(h1, k1);
	        // fallthrough
	      }

	      h1 = x64Xor(h1, [0, key.length]);
	      h2 = x64Xor(h2, [0, key.length]);
	      h1 = x64Add(h1, h2);
	      h2 = x64Add(h2, h1);
	      h1 = x64Fmix(h1);
	      h2 = x64Fmix(h2);
	      h1 = x64Add(h1, h2);
	      h2 = x64Add(h2, h1);
	      return ('00000000' + (h1[0] >>> 0).toString(16)).slice(-8) + ('00000000' + (h1[1] >>> 0).toString(16)).slice(-8) + ('00000000' + (h2[0] >>> 0).toString(16)).slice(-8) + ('00000000' + (h2[1] >>> 0).toString(16)).slice(-8);
	    };

	    var defaultOptions = {
	      preprocessor: null,
	      audio: {
	        timeout: 1000,
	        // On iOS 11, audio context can only be used in response to user interaction.
	        // We require users to explicitly enable audio fingerprinting on iOS 11.
	        // See https://stackoverflow.com/questions/46363048/onaudioprocess-not-called-on-ios11#46534088
	        excludeIOS11: true
	      },
	      fonts: {
	        swfContainerId: 'fingerprintjs2',
	        swfPath: 'flash/compiled/FontList.swf',
	        userDefinedFonts: [],
	        extendedJsFonts: false
	      },
	      screen: {
	        // To ensure consistent fingerprints when users rotate their mobile devices
	        detectScreenOrientation: true
	      },
	      plugins: {
	        sortPluginsFor: [/palemoon/i],
	        excludeIE: false
	      },
	      extraComponents: [],
	      excludes: {
	        // Unreliable on Windows, see https://github.com/Valve/fingerprintjs2/issues/375
	        'enumerateDevices': true,
	        // devicePixelRatio depends on browser zoom, and it's impossible to detect browser zoom
	        'pixelRatio': true,
	        // DNT depends on incognito mode for some browsers (Chrome) and it's impossible to detect incognito mode
	        'doNotTrack': true,
	        // uses js fonts already
	        'fontsFlash': true
	      },
	      NOT_AVAILABLE: 'not available',
	      ERROR: 'error',
	      EXCLUDED: 'excluded'
	    };

	    var each = function (obj, iterator) {
	      if (Array.prototype.forEach && obj.forEach === Array.prototype.forEach) {
	        obj.forEach(iterator);
	      } else if (obj.length === +obj.length) {
	        for (var i = 0, l = obj.length; i < l; i++) {
	          iterator(obj[i], i, obj);
	        }
	      } else {
	        for (var key in obj) {
	          if (obj.hasOwnProperty(key)) {
	            iterator(obj[key], key, obj);
	          }
	        }
	      }
	    };

	    var map = function (obj, iterator) {
	      var results = []; // Not using strict equality so that this acts as a
	      // shortcut to checking for `null` and `undefined`.

	      if (obj == null) {
	        return results;
	      }

	      if (Array.prototype.map && obj.map === Array.prototype.map) {
	        return obj.map(iterator);
	      }

	      each(obj, function (value, index, list) {
	        results.push(iterator(value, index, list));
	      });
	      return results;
	    };

	    var extendSoft = function (target, source) {
	      if (source == null) {
	        return target;
	      }

	      var value;
	      var key;

	      for (key in source) {
	        value = source[key];

	        if (value != null && !Object.prototype.hasOwnProperty.call(target, key)) {
	          target[key] = value;
	        }
	      }

	      return target;
	    }; // https://developer.mozilla.org/en-US/docs/Web/API/MediaDevices/enumerateDevices


	    var enumerateDevicesKey = function (done, options) {
	      if (!isEnumerateDevicesSupported()) {
	        return done(options.NOT_AVAILABLE);
	      }

	      navigator.mediaDevices.enumerateDevices().then(function (devices) {
	        done(devices.map(function (device) {
	          return 'id=' + device.deviceId + ';gid=' + device.groupId + ';' + device.kind + ';' + device.label;
	        }));
	      }).catch(function (error) {
	        done(error);
	      });
	    };

	    var isEnumerateDevicesSupported = function () {
	      return navigator.mediaDevices && navigator.mediaDevices.enumerateDevices;
	    }; // Inspired by and based on https://github.com/cozylife/audio-fingerprint


	    var audioKey = function (done, options) {
	      var audioOptions = options.audio;

	      if (audioOptions.excludeIOS11 && navigator.userAgent.match(/OS 11.+Version\/11.+Safari/)) {
	        // See comment for excludeUserAgent and https://stackoverflow.com/questions/46363048/onaudioprocess-not-called-on-ios11#46534088
	        return done(options.EXCLUDED);
	      }

	      var AudioContext = window.OfflineAudioContext || window.webkitOfflineAudioContext;

	      if (AudioContext == null) {
	        return done(options.NOT_AVAILABLE);
	      }

	      var context = new AudioContext(1, 44100, 44100);
	      var oscillator = context.createOscillator();
	      oscillator.type = 'triangle';
	      oscillator.frequency.setValueAtTime(10000, context.currentTime);
	      var compressor = context.createDynamicsCompressor();
	      each([['threshold', -50], ['knee', 40], ['ratio', 12], ['reduction', -20], ['attack', 0], ['release', 0.25]], function (item) {
	        if (compressor[item[0]] !== undefined && typeof compressor[item[0]].setValueAtTime === 'function') {
	          compressor[item[0]].setValueAtTime(item[1], context.currentTime);
	        }
	      });
	      oscillator.connect(compressor);
	      compressor.connect(context.destination);
	      oscillator.start(0);
	      context.startRendering();
	      var audioTimeoutId = setTimeout(function () {
	        console.warn('Audio fingerprint timed out. Please report bug at https://github.com/Valve/fingerprintjs2 with your user agent: "' + navigator.userAgent + '".');

	        context.oncomplete = function () {};

	        context = null;
	        return done('audioTimeout');
	      }, audioOptions.timeout);

	      context.oncomplete = function (event) {
	        var fingerprint;

	        try {
	          clearTimeout(audioTimeoutId);
	          fingerprint = event.renderedBuffer.getChannelData(0).slice(4500, 5000).reduce(function (acc, val) {
	            return acc + Math.abs(val);
	          }, 0).toString();
	          oscillator.disconnect();
	          compressor.disconnect();
	        } catch (error) {
	          done(error);
	          return;
	        }

	        done(fingerprint);
	      };
	    };

	    var UserAgent = function (done) {
	      done(navigator.userAgent);
	    };

	    var webdriver = function (done, options) {
	      done(navigator.webdriver == null ? options.NOT_AVAILABLE : navigator.webdriver);
	    };

	    var languageKey = function (done, options) {
	      done(navigator.language || navigator.userLanguage || navigator.browserLanguage || navigator.systemLanguage || options.NOT_AVAILABLE);
	    };

	    var colorDepthKey = function (done, options) {
	      done(window.screen.colorDepth || options.NOT_AVAILABLE);
	    };

	    var deviceMemoryKey = function (done, options) {
	      done(navigator.deviceMemory || options.NOT_AVAILABLE);
	    };

	    var pixelRatioKey = function (done, options) {
	      done(window.devicePixelRatio || options.NOT_AVAILABLE);
	    };

	    var screenResolutionKey = function (done, options) {
	      done(getScreenResolution(options));
	    };

	    var getScreenResolution = function (options) {
	      var resolution = [window.screen.width, window.screen.height];

	      if (options.screen.detectScreenOrientation) {
	        resolution.sort().reverse();
	      }

	      return resolution;
	    };

	    var availableScreenResolutionKey = function (done, options) {
	      done(getAvailableScreenResolution(options));
	    };

	    var getAvailableScreenResolution = function (options) {
	      if (window.screen.availWidth && window.screen.availHeight) {
	        var available = [window.screen.availHeight, window.screen.availWidth];

	        if (options.screen.detectScreenOrientation) {
	          available.sort().reverse();
	        }

	        return available;
	      } // headless browsers


	      return options.NOT_AVAILABLE;
	    };

	    var timezoneOffset = function (done) {
	      done(new Date().getTimezoneOffset());
	    };

	    var timezone = function (done, options) {
	      if (window.Intl && window.Intl.DateTimeFormat) {
	        done(new window.Intl.DateTimeFormat().resolvedOptions().timeZone);
	        return;
	      }

	      done(options.NOT_AVAILABLE);
	    };

	    var sessionStorageKey = function (done, options) {
	      done(hasSessionStorage(options));
	    };

	    var localStorageKey = function (done, options) {
	      done(hasLocalStorage(options));
	    };

	    var indexedDbKey = function (done, options) {
	      done(hasIndexedDB(options));
	    };

	    var addBehaviorKey = function (done) {
	      // body might not be defined at this point or removed programmatically
	      done(!!(document.body && document.body.addBehavior));
	    };

	    var openDatabaseKey = function (done) {
	      done(!!window.openDatabase);
	    };

	    var cpuClassKey = function (done, options) {
	      done(getNavigatorCpuClass(options));
	    };

	    var platformKey = function (done, options) {
	      done(getNavigatorPlatform(options));
	    };

	    var doNotTrackKey = function (done, options) {
	      done(getDoNotTrack(options));
	    };

	    var canvasKey = function (done, options) {
	      if (isCanvasSupported()) {
	        done(getCanvasFp(options));
	        return;
	      }

	      done(options.NOT_AVAILABLE);
	    };

	    var webglKey = function (done, options) {
	      if (isWebGlSupported()) {
	        done(getWebglFp());
	        return;
	      }

	      done(options.NOT_AVAILABLE);
	    };

	    var webglVendorAndRendererKey = function (done) {
	      if (isWebGlSupported()) {
	        done(getWebglVendorAndRenderer());
	        return;
	      }

	      done();
	    };

	    var adBlockKey = function (done) {
	      done(getAdBlock());
	    };

	    var hasLiedLanguagesKey = function (done) {
	      done(getHasLiedLanguages());
	    };

	    var hasLiedResolutionKey = function (done) {
	      done(getHasLiedResolution());
	    };

	    var hasLiedOsKey = function (done) {
	      done(getHasLiedOs());
	    };

	    var hasLiedBrowserKey = function (done) {
	      done(getHasLiedBrowser());
	    }; // flash fonts (will increase fingerprinting time 20X to ~ 130-150ms)


	    var flashFontsKey = function (done, options) {
	      // we do flash if swfobject is loaded
	      if (!hasSwfObjectLoaded()) {
	        return done('swf object not loaded');
	      }

	      if (!hasMinFlashInstalled()) {
	        return done('flash not installed');
	      }

	      if (!options.fonts.swfPath) {
	        return done('missing options.fonts.swfPath');
	      }

	      loadSwfAndDetectFonts(function (fonts) {
	        done(fonts);
	      }, options);
	    }; // kudos to http://www.lalit.org/lab/javascript-css-font-detect/


	    var jsFontsKey = function (done, options) {
	      // a font will be compared against all the three default fonts.
	      // and if it doesn't match all 3 then that font is not available.
	      var baseFonts = ['monospace', 'sans-serif', 'serif'];
	      var fontList = ['Andale Mono', 'Arial', 'Arial Black', 'Arial Hebrew', 'Arial MT', 'Arial Narrow', 'Arial Rounded MT Bold', 'Arial Unicode MS', 'Bitstream Vera Sans Mono', 'Book Antiqua', 'Bookman Old Style', 'Calibri', 'Cambria', 'Cambria Math', 'Century', 'Century Gothic', 'Century Schoolbook', 'Comic Sans', 'Comic Sans MS', 'Consolas', 'Courier', 'Courier New', 'Geneva', 'Georgia', 'Helvetica', 'Helvetica Neue', 'Impact', 'Lucida Bright', 'Lucida Calligraphy', 'Lucida Console', 'Lucida Fax', 'LUCIDA GRANDE', 'Lucida Handwriting', 'Lucida Sans', 'Lucida Sans Typewriter', 'Lucida Sans Unicode', 'Microsoft Sans Serif', 'Monaco', 'Monotype Corsiva', 'MS Gothic', 'MS Outlook', 'MS PGothic', 'MS Reference Sans Serif', 'MS Sans Serif', 'MS Serif', 'MYRIAD', 'MYRIAD PRO', 'Palatino', 'Palatino Linotype', 'Segoe Print', 'Segoe Script', 'Segoe UI', 'Segoe UI Light', 'Segoe UI Semibold', 'Segoe UI Symbol', 'Tahoma', 'Times', 'Times New Roman', 'Times New Roman PS', 'Trebuchet MS', 'Verdana', 'Wingdings', 'Wingdings 2', 'Wingdings 3'];

	      if (options.fonts.extendedJsFonts) {
	        var extendedFontList = ['Abadi MT Condensed Light', 'Academy Engraved LET', 'ADOBE CASLON PRO', 'Adobe Garamond', 'ADOBE GARAMOND PRO', 'Agency FB', 'Aharoni', 'Albertus Extra Bold', 'Albertus Medium', 'Algerian', 'Amazone BT', 'American Typewriter', 'American Typewriter Condensed', 'AmerType Md BT', 'Andalus', 'Angsana New', 'AngsanaUPC', 'Antique Olive', 'Aparajita', 'Apple Chancery', 'Apple Color Emoji', 'Apple SD Gothic Neo', 'Arabic Typesetting', 'ARCHER', 'ARNO PRO', 'Arrus BT', 'Aurora Cn BT', 'AvantGarde Bk BT', 'AvantGarde Md BT', 'AVENIR', 'Ayuthaya', 'Bandy', 'Bangla Sangam MN', 'Bank Gothic', 'BankGothic Md BT', 'Baskerville', 'Baskerville Old Face', 'Batang', 'BatangChe', 'Bauer Bodoni', 'Bauhaus 93', 'Bazooka', 'Bell MT', 'Bembo', 'Benguiat Bk BT', 'Berlin Sans FB', 'Berlin Sans FB Demi', 'Bernard MT Condensed', 'BernhardFashion BT', 'BernhardMod BT', 'Big Caslon', 'BinnerD', 'Blackadder ITC', 'BlairMdITC TT', 'Bodoni 72', 'Bodoni 72 Oldstyle', 'Bodoni 72 Smallcaps', 'Bodoni MT', 'Bodoni MT Black', 'Bodoni MT Condensed', 'Bodoni MT Poster Compressed', 'Bookshelf Symbol 7', 'Boulder', 'Bradley Hand', 'Bradley Hand ITC', 'Bremen Bd BT', 'Britannic Bold', 'Broadway', 'Browallia New', 'BrowalliaUPC', 'Brush Script MT', 'Californian FB', 'Calisto MT', 'Calligrapher', 'Candara', 'CaslonOpnface BT', 'Castellar', 'Centaur', 'Cezanne', 'CG Omega', 'CG Times', 'Chalkboard', 'Chalkboard SE', 'Chalkduster', 'Charlesworth', 'Charter Bd BT', 'Charter BT', 'Chaucer', 'ChelthmITC Bk BT', 'Chiller', 'Clarendon', 'Clarendon Condensed', 'CloisterBlack BT', 'Cochin', 'Colonna MT', 'Constantia', 'Cooper Black', 'Copperplate', 'Copperplate Gothic', 'Copperplate Gothic Bold', 'Copperplate Gothic Light', 'CopperplGoth Bd BT', 'Corbel', 'Cordia New', 'CordiaUPC', 'Cornerstone', 'Coronet', 'Cuckoo', 'Curlz MT', 'DaunPenh', 'Dauphin', 'David', 'DB LCD Temp', 'DELICIOUS', 'Denmark', 'DFKai-SB', 'Didot', 'DilleniaUPC', 'DIN', 'DokChampa', 'Dotum', 'DotumChe', 'Ebrima', 'Edwardian Script ITC', 'Elephant', 'English 111 Vivace BT', 'Engravers MT', 'EngraversGothic BT', 'Eras Bold ITC', 'Eras Demi ITC', 'Eras Light ITC', 'Eras Medium ITC', 'EucrosiaUPC', 'Euphemia', 'Euphemia UCAS', 'EUROSTILE', 'Exotc350 Bd BT', 'FangSong', 'Felix Titling', 'Fixedsys', 'FONTIN', 'Footlight MT Light', 'Forte', 'FrankRuehl', 'Fransiscan', 'Freefrm721 Blk BT', 'FreesiaUPC', 'Freestyle Script', 'French Script MT', 'FrnkGothITC Bk BT', 'Fruitger', 'FRUTIGER', 'Futura', 'Futura Bk BT', 'Futura Lt BT', 'Futura Md BT', 'Futura ZBlk BT', 'FuturaBlack BT', 'Gabriola', 'Galliard BT', 'Gautami', 'Geeza Pro', 'Geometr231 BT', 'Geometr231 Hv BT', 'Geometr231 Lt BT', 'GeoSlab 703 Lt BT', 'GeoSlab 703 XBd BT', 'Gigi', 'Gill Sans', 'Gill Sans MT', 'Gill Sans MT Condensed', 'Gill Sans MT Ext Condensed Bold', 'Gill Sans Ultra Bold', 'Gill Sans Ultra Bold Condensed', 'Gisha', 'Gloucester MT Extra Condensed', 'GOTHAM', 'GOTHAM BOLD', 'Goudy Old Style', 'Goudy Stout', 'GoudyHandtooled BT', 'GoudyOLSt BT', 'Gujarati Sangam MN', 'Gulim', 'GulimChe', 'Gungsuh', 'GungsuhChe', 'Gurmukhi MN', 'Haettenschweiler', 'Harlow Solid Italic', 'Harrington', 'Heather', 'Heiti SC', 'Heiti TC', 'HELV', 'Herald', 'High Tower Text', 'Hiragino Kaku Gothic ProN', 'Hiragino Mincho ProN', 'Hoefler Text', 'Humanst 521 Cn BT', 'Humanst521 BT', 'Humanst521 Lt BT', 'Imprint MT Shadow', 'Incised901 Bd BT', 'Incised901 BT', 'Incised901 Lt BT', 'INCONSOLATA', 'Informal Roman', 'Informal011 BT', 'INTERSTATE', 'IrisUPC', 'Iskoola Pota', 'JasmineUPC', 'Jazz LET', 'Jenson', 'Jester', 'Jokerman', 'Juice ITC', 'Kabel Bk BT', 'Kabel Ult BT', 'Kailasa', 'KaiTi', 'Kalinga', 'Kannada Sangam MN', 'Kartika', 'Kaufmann Bd BT', 'Kaufmann BT', 'Khmer UI', 'KodchiangUPC', 'Kokila', 'Korinna BT', 'Kristen ITC', 'Krungthep', 'Kunstler Script', 'Lao UI', 'Latha', 'Leelawadee', 'Letter Gothic', 'Levenim MT', 'LilyUPC', 'Lithograph', 'Lithograph Light', 'Long Island', 'Lydian BT', 'Magneto', 'Maiandra GD', 'Malayalam Sangam MN', 'Malgun Gothic', 'Mangal', 'Marigold', 'Marion', 'Marker Felt', 'Market', 'Marlett', 'Matisse ITC', 'Matura MT Script Capitals', 'Meiryo', 'Meiryo UI', 'Microsoft Himalaya', 'Microsoft JhengHei', 'Microsoft New Tai Lue', 'Microsoft PhagsPa', 'Microsoft Tai Le', 'Microsoft Uighur', 'Microsoft YaHei', 'Microsoft Yi Baiti', 'MingLiU', 'MingLiU_HKSCS', 'MingLiU_HKSCS-ExtB', 'MingLiU-ExtB', 'Minion', 'Minion Pro', 'Miriam', 'Miriam Fixed', 'Mistral', 'Modern', 'Modern No. 20', 'Mona Lisa Solid ITC TT', 'Mongolian Baiti', 'MONO', 'MoolBoran', 'Mrs Eaves', 'MS LineDraw', 'MS Mincho', 'MS PMincho', 'MS Reference Specialty', 'MS UI Gothic', 'MT Extra', 'MUSEO', 'MV Boli', 'Nadeem', 'Narkisim', 'NEVIS', 'News Gothic', 'News GothicMT', 'NewsGoth BT', 'Niagara Engraved', 'Niagara Solid', 'Noteworthy', 'NSimSun', 'Nyala', 'OCR A Extended', 'Old Century', 'Old English Text MT', 'Onyx', 'Onyx BT', 'OPTIMA', 'Oriya Sangam MN', 'OSAKA', 'OzHandicraft BT', 'Palace Script MT', 'Papyrus', 'Parchment', 'Party LET', 'Pegasus', 'Perpetua', 'Perpetua Titling MT', 'PetitaBold', 'Pickwick', 'Plantagenet Cherokee', 'Playbill', 'PMingLiU', 'PMingLiU-ExtB', 'Poor Richard', 'Poster', 'PosterBodoni BT', 'PRINCETOWN LET', 'Pristina', 'PTBarnum BT', 'Pythagoras', 'Raavi', 'Rage Italic', 'Ravie', 'Ribbon131 Bd BT', 'Rockwell', 'Rockwell Condensed', 'Rockwell Extra Bold', 'Rod', 'Roman', 'Sakkal Majalla', 'Santa Fe LET', 'Savoye LET', 'Sceptre', 'Script', 'Script MT Bold', 'SCRIPTINA', 'Serifa', 'Serifa BT', 'Serifa Th BT', 'ShelleyVolante BT', 'Sherwood', 'Shonar Bangla', 'Showcard Gothic', 'Shruti', 'Signboard', 'SILKSCREEN', 'SimHei', 'Simplified Arabic', 'Simplified Arabic Fixed', 'SimSun', 'SimSun-ExtB', 'Sinhala Sangam MN', 'Sketch Rockwell', 'Skia', 'Small Fonts', 'Snap ITC', 'Snell Roundhand', 'Socket', 'Souvenir Lt BT', 'Staccato222 BT', 'Steamer', 'Stencil', 'Storybook', 'Styllo', 'Subway', 'Swis721 BlkEx BT', 'Swiss911 XCm BT', 'Sylfaen', 'Synchro LET', 'System', 'Tamil Sangam MN', 'Technical', 'Teletype', 'Telugu Sangam MN', 'Tempus Sans ITC', 'Terminal', 'Thonburi', 'Traditional Arabic', 'Trajan', 'TRAJAN PRO', 'Tristan', 'Tubular', 'Tunga', 'Tw Cen MT', 'Tw Cen MT Condensed', 'Tw Cen MT Condensed Extra Bold', 'TypoUpright BT', 'Unicorn', 'Univers', 'Univers CE 55 Medium', 'Univers Condensed', 'Utsaah', 'Vagabond', 'Vani', 'Vijaya', 'Viner Hand ITC', 'VisualUI', 'Vivaldi', 'Vladimir Script', 'Vrinda', 'Westminster', 'WHITNEY', 'Wide Latin', 'ZapfEllipt BT', 'ZapfHumnst BT', 'ZapfHumnst Dm BT', 'Zapfino', 'Zurich BlkEx BT', 'Zurich Ex BT', 'ZWAdobeF'];
	        fontList = fontList.concat(extendedFontList);
	      }

	      fontList = fontList.concat(options.fonts.userDefinedFonts); // remove duplicate fonts

	      fontList = fontList.filter(function (font, position) {
	        return fontList.indexOf(font) === position;
	      }); // we use m or w because these two characters take up the maximum width.
	      // And we use a LLi so that the same matching fonts can get separated

	      var testString = 'mmmmmmmmmmlli'; // we test using 72px font size, we may use any size. I guess larger the better.

	      var testSize = '72px';
	      var h = document.getElementsByTagName('body')[0]; // div to load spans for the base fonts

	      var baseFontsDiv = document.createElement('div'); // div to load spans for the fonts to detect

	      var fontsDiv = document.createElement('div');
	      var defaultWidth = {};
	      var defaultHeight = {}; // creates a span where the fonts will be loaded

	      var createSpan = function () {
	        var s = document.createElement('span');
	        /*
	         * We need this css as in some weird browser this
	         * span elements shows up for a microSec which creates a
	         * bad user experience
	         */

	        s.style.position = 'absolute';
	        s.style.left = '-9999px';
	        s.style.fontSize = testSize; // css font reset to reset external styles

	        s.style.fontStyle = 'normal';
	        s.style.fontWeight = 'normal';
	        s.style.letterSpacing = 'normal';
	        s.style.lineBreak = 'auto';
	        s.style.lineHeight = 'normal';
	        s.style.textTransform = 'none';
	        s.style.textAlign = 'left';
	        s.style.textDecoration = 'none';
	        s.style.textShadow = 'none';
	        s.style.whiteSpace = 'normal';
	        s.style.wordBreak = 'normal';
	        s.style.wordSpacing = 'normal';
	        s.innerHTML = testString;
	        return s;
	      }; // creates a span and load the font to detect and a base font for fallback


	      var createSpanWithFonts = function (fontToDetect, baseFont) {
	        var s = createSpan();
	        s.style.fontFamily = "'" + fontToDetect + "'," + baseFont;
	        return s;
	      }; // creates spans for the base fonts and adds them to baseFontsDiv


	      var initializeBaseFontsSpans = function () {
	        var spans = [];

	        for (var index = 0, length = baseFonts.length; index < length; index++) {
	          var s = createSpan();
	          s.style.fontFamily = baseFonts[index];
	          baseFontsDiv.appendChild(s);
	          spans.push(s);
	        }

	        return spans;
	      }; // creates spans for the fonts to detect and adds them to fontsDiv


	      var initializeFontsSpans = function () {
	        var spans = {};

	        for (var i = 0, l = fontList.length; i < l; i++) {
	          var fontSpans = [];

	          for (var j = 0, numDefaultFonts = baseFonts.length; j < numDefaultFonts; j++) {
	            var s = createSpanWithFonts(fontList[i], baseFonts[j]);
	            fontsDiv.appendChild(s);
	            fontSpans.push(s);
	          }

	          spans[fontList[i]] = fontSpans; // Stores {fontName : [spans for that font]}
	        }

	        return spans;
	      }; // checks if a font is available


	      var isFontAvailable = function (fontSpans) {
	        var detected = false;

	        for (var i = 0; i < baseFonts.length; i++) {
	          detected = fontSpans[i].offsetWidth !== defaultWidth[baseFonts[i]] || fontSpans[i].offsetHeight !== defaultHeight[baseFonts[i]];

	          if (detected) {
	            return detected;
	          }
	        }

	        return detected;
	      }; // create spans for base fonts


	      var baseFontsSpans = initializeBaseFontsSpans(); // add the spans to the DOM

	      h.appendChild(baseFontsDiv); // get the default width for the three base fonts

	      for (var index = 0, length = baseFonts.length; index < length; index++) {
	        defaultWidth[baseFonts[index]] = baseFontsSpans[index].offsetWidth; // width for the default font

	        defaultHeight[baseFonts[index]] = baseFontsSpans[index].offsetHeight; // height for the default font
	      } // create spans for fonts to detect


	      var fontsSpans = initializeFontsSpans(); // add all the spans to the DOM

	      h.appendChild(fontsDiv); // check available fonts

	      var available = [];

	      for (var i = 0, l = fontList.length; i < l; i++) {
	        if (isFontAvailable(fontsSpans[fontList[i]])) {
	          available.push(fontList[i]);
	        }
	      } // remove spans from DOM


	      h.removeChild(fontsDiv);
	      h.removeChild(baseFontsDiv);
	      done(available);
	    };

	    var pluginsComponent = function (done, options) {
	      if (isIE()) {
	        if (!options.plugins.excludeIE) {
	          done(getIEPlugins(options));
	        } else {
	          done(options.EXCLUDED);
	        }
	      } else {
	        done(getRegularPlugins(options));
	      }
	    };

	    var getRegularPlugins = function (options) {
	      if (navigator.plugins == null) {
	        return options.NOT_AVAILABLE;
	      }

	      var plugins = []; // plugins isn't defined in Node envs.

	      for (var i = 0, l = navigator.plugins.length; i < l; i++) {
	        if (navigator.plugins[i]) {
	          plugins.push(navigator.plugins[i]);
	        }
	      } // sorting plugins only for those user agents, that we know randomize the plugins
	      // every time we try to enumerate them


	      if (pluginsShouldBeSorted(options)) {
	        plugins = plugins.sort(function (a, b) {
	          if (a.name > b.name) {
	            return 1;
	          }

	          if (a.name < b.name) {
	            return -1;
	          }

	          return 0;
	        });
	      }

	      return map(plugins, function (p) {
	        var mimeTypes = map(p, function (mt) {
	          return [mt.type, mt.suffixes];
	        });
	        return [p.name, p.description, mimeTypes];
	      });
	    };

	    var getIEPlugins = function (options) {
	      var result = [];

	      if (Object.getOwnPropertyDescriptor && Object.getOwnPropertyDescriptor(window, 'ActiveXObject') || 'ActiveXObject' in window) {
	        var names = ['AcroPDF.PDF', // Adobe PDF reader 7+
	        'Adodb.Stream', 'AgControl.AgControl', // Silverlight
	        'DevalVRXCtrl.DevalVRXCtrl.1', 'MacromediaFlashPaper.MacromediaFlashPaper', 'Msxml2.DOMDocument', 'Msxml2.XMLHTTP', 'PDF.PdfCtrl', // Adobe PDF reader 6 and earlier, brrr
	        'QuickTime.QuickTime', // QuickTime
	        'QuickTimeCheckObject.QuickTimeCheck.1', 'RealPlayer', 'RealPlayer.RealPlayer(tm) ActiveX Control (32-bit)', 'RealVideo.RealVideo(tm) ActiveX Control (32-bit)', 'Scripting.Dictionary', 'SWCtl.SWCtl', // ShockWave player
	        'Shell.UIHelper', 'ShockwaveFlash.ShockwaveFlash', // flash plugin
	        'Skype.Detection', 'TDCCtl.TDCCtl', 'WMPlayer.OCX', // Windows media player
	        'rmocx.RealPlayer G2 Control', 'rmocx.RealPlayer G2 Control.1']; // starting to detect plugins in IE

	        result = map(names, function (name) {
	          try {
	            // eslint-disable-next-line no-new
	            new window.ActiveXObject(name);
	            return name;
	          } catch (e) {
	            return options.ERROR;
	          }
	        });
	      } else {
	        result.push(options.NOT_AVAILABLE);
	      }

	      if (navigator.plugins) {
	        result = result.concat(getRegularPlugins(options));
	      }

	      return result;
	    };

	    var pluginsShouldBeSorted = function (options) {
	      var should = false;

	      for (var i = 0, l = options.plugins.sortPluginsFor.length; i < l; i++) {
	        var re = options.plugins.sortPluginsFor[i];

	        if (navigator.userAgent.match(re)) {
	          should = true;
	          break;
	        }
	      }

	      return should;
	    };

	    var touchSupportKey = function (done) {
	      done(getTouchSupport());
	    };

	    var hardwareConcurrencyKey = function (done, options) {
	      done(getHardwareConcurrency(options));
	    };

	    var hasSessionStorage = function (options) {
	      try {
	        return !!window.sessionStorage;
	      } catch (e) {
	        return options.ERROR; // SecurityError when referencing it means it exists
	      }
	    }; // https://bugzilla.mozilla.org/show_bug.cgi?id=781447


	    var hasLocalStorage = function (options) {
	      try {
	        return !!window.localStorage;
	      } catch (e) {
	        return options.ERROR; // SecurityError when referencing it means it exists
	      }
	    };

	    var hasIndexedDB = function (options) {
	      try {
	        return !!window.indexedDB;
	      } catch (e) {
	        return options.ERROR; // SecurityError when referencing it means it exists
	      }
	    };

	    var getHardwareConcurrency = function (options) {
	      if (navigator.hardwareConcurrency) {
	        return navigator.hardwareConcurrency;
	      }

	      return options.NOT_AVAILABLE;
	    };

	    var getNavigatorCpuClass = function (options) {
	      return navigator.cpuClass || options.NOT_AVAILABLE;
	    };

	    var getNavigatorPlatform = function (options) {
	      if (navigator.platform) {
	        return navigator.platform;
	      } else {
	        return options.NOT_AVAILABLE;
	      }
	    };

	    var getDoNotTrack = function (options) {
	      if (navigator.doNotTrack) {
	        return navigator.doNotTrack;
	      } else if (navigator.msDoNotTrack) {
	        return navigator.msDoNotTrack;
	      } else if (window.doNotTrack) {
	        return window.doNotTrack;
	      } else {
	        return options.NOT_AVAILABLE;
	      }
	    }; // This is a crude and primitive touch screen detection.
	    // It's not possible to currently reliably detect the  availability of a touch screen
	    // with a JS, without actually subscribing to a touch event.
	    // http://www.stucox.com/blog/you-cant-detect-a-touchscreen/
	    // https://github.com/Modernizr/Modernizr/issues/548
	    // method returns an array of 3 values:
	    // maxTouchPoints, the success or failure of creating a TouchEvent,
	    // and the availability of the 'ontouchstart' property


	    var getTouchSupport = function () {
	      var maxTouchPoints = 0;
	      var touchEvent;

	      if (typeof navigator.maxTouchPoints !== 'undefined') {
	        maxTouchPoints = navigator.maxTouchPoints;
	      } else if (typeof navigator.msMaxTouchPoints !== 'undefined') {
	        maxTouchPoints = navigator.msMaxTouchPoints;
	      }

	      try {
	        document.createEvent('TouchEvent');
	        touchEvent = true;
	      } catch (_) {
	        touchEvent = false;
	      }

	      var touchStart = ('ontouchstart' in window);
	      return [maxTouchPoints, touchEvent, touchStart];
	    }; // https://www.browserleaks.com/canvas#how-does-it-work


	    var getCanvasFp = function (options) {
	      var result = []; // Very simple now, need to make it more complex (geo shapes etc)

	      var canvas = document.createElement('canvas');
	      canvas.width = 2000;
	      canvas.height = 200;
	      canvas.style.display = 'inline';
	      var ctx = canvas.getContext('2d'); // detect browser support of canvas winding
	      // http://blogs.adobe.com/webplatform/2013/01/30/winding-rules-in-canvas/
	      // https://github.com/Modernizr/Modernizr/blob/master/feature-detects/canvas/winding.js

	      ctx.rect(0, 0, 10, 10);
	      ctx.rect(2, 2, 6, 6);
	      result.push('canvas winding:' + (ctx.isPointInPath(5, 5, 'evenodd') === false ? 'yes' : 'no'));
	      ctx.textBaseline = 'alphabetic';
	      ctx.fillStyle = '#f60';
	      ctx.fillRect(125, 1, 62, 20);
	      ctx.fillStyle = '#069'; // https://github.com/Valve/fingerprintjs2/issues/66

	      if (options.dontUseFakeFontInCanvas) {
	        ctx.font = '11pt Arial';
	      } else {
	        ctx.font = '11pt no-real-font-123';
	      }

	      ctx.fillText('Cwm fjordbank glyphs vext quiz, \ud83d\ude03', 2, 15);
	      ctx.fillStyle = 'rgba(102, 204, 0, 0.2)';
	      ctx.font = '18pt Arial';
	      ctx.fillText('Cwm fjordbank glyphs vext quiz, \ud83d\ude03', 4, 45); // canvas blending
	      // http://blogs.adobe.com/webplatform/2013/01/28/blending-features-in-canvas/
	      // http://jsfiddle.net/NDYV8/16/

	      ctx.globalCompositeOperation = 'multiply';
	      ctx.fillStyle = 'rgb(255,0,255)';
	      ctx.beginPath();
	      ctx.arc(50, 50, 50, 0, Math.PI * 2, true);
	      ctx.closePath();
	      ctx.fill();
	      ctx.fillStyle = 'rgb(0,255,255)';
	      ctx.beginPath();
	      ctx.arc(100, 50, 50, 0, Math.PI * 2, true);
	      ctx.closePath();
	      ctx.fill();
	      ctx.fillStyle = 'rgb(255,255,0)';
	      ctx.beginPath();
	      ctx.arc(75, 100, 50, 0, Math.PI * 2, true);
	      ctx.closePath();
	      ctx.fill();
	      ctx.fillStyle = 'rgb(255,0,255)'; // canvas winding
	      // http://blogs.adobe.com/webplatform/2013/01/30/winding-rules-in-canvas/
	      // http://jsfiddle.net/NDYV8/19/

	      ctx.arc(75, 75, 75, 0, Math.PI * 2, true);
	      ctx.arc(75, 75, 25, 0, Math.PI * 2, true);
	      ctx.fill('evenodd');

	      if (canvas.toDataURL) {
	        result.push('canvas fp:' + canvas.toDataURL());
	      }

	      return result;
	    };

	    var getWebglFp = function () {
	      var gl;

	      var fa2s = function (fa) {
	        gl.clearColor(0.0, 0.0, 0.0, 1.0);
	        gl.enable(gl.DEPTH_TEST);
	        gl.depthFunc(gl.LEQUAL);
	        gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);
	        return '[' + fa[0] + ', ' + fa[1] + ']';
	      };

	      var maxAnisotropy = function (gl) {
	        var ext = gl.getExtension('EXT_texture_filter_anisotropic') || gl.getExtension('WEBKIT_EXT_texture_filter_anisotropic') || gl.getExtension('MOZ_EXT_texture_filter_anisotropic');

	        if (ext) {
	          var anisotropy = gl.getParameter(ext.MAX_TEXTURE_MAX_ANISOTROPY_EXT);

	          if (anisotropy === 0) {
	            anisotropy = 2;
	          }

	          return anisotropy;
	        } else {
	          return null;
	        }
	      };

	      gl = getWebglCanvas();

	      if (!gl) {
	        return null;
	      } // WebGL fingerprinting is a combination of techniques, found in MaxMind antifraud script & Augur fingerprinting.
	      // First it draws a gradient object with shaders and convers the image to the Base64 string.
	      // Then it enumerates all WebGL extensions & capabilities and appends them to the Base64 string, resulting in a huge WebGL string, potentially very unique on each device
	      // Since iOS supports webgl starting from version 8.1 and 8.1 runs on several graphics chips, the results may be different across ios devices, but we need to verify it.


	      var result = [];
	      var vShaderTemplate = 'attribute vec2 attrVertex;varying vec2 varyinTexCoordinate;uniform vec2 uniformOffset;void main(){varyinTexCoordinate=attrVertex+uniformOffset;gl_Position=vec4(attrVertex,0,1);}';
	      var fShaderTemplate = 'precision mediump float;varying vec2 varyinTexCoordinate;void main() {gl_FragColor=vec4(varyinTexCoordinate,0,1);}';
	      var vertexPosBuffer = gl.createBuffer();
	      gl.bindBuffer(gl.ARRAY_BUFFER, vertexPosBuffer);
	      var vertices = new Float32Array([-0.2, -0.9, 0, 0.4, -0.26, 0, 0, 0.732134444, 0]);
	      gl.bufferData(gl.ARRAY_BUFFER, vertices, gl.STATIC_DRAW);
	      vertexPosBuffer.itemSize = 3;
	      vertexPosBuffer.numItems = 3;
	      var program = gl.createProgram();
	      var vshader = gl.createShader(gl.VERTEX_SHADER);
	      gl.shaderSource(vshader, vShaderTemplate);
	      gl.compileShader(vshader);
	      var fshader = gl.createShader(gl.FRAGMENT_SHADER);
	      gl.shaderSource(fshader, fShaderTemplate);
	      gl.compileShader(fshader);
	      gl.attachShader(program, vshader);
	      gl.attachShader(program, fshader);
	      gl.linkProgram(program);
	      gl.useProgram(program);
	      program.vertexPosAttrib = gl.getAttribLocation(program, 'attrVertex');
	      program.offsetUniform = gl.getUniformLocation(program, 'uniformOffset');
	      gl.enableVertexAttribArray(program.vertexPosArray);
	      gl.vertexAttribPointer(program.vertexPosAttrib, vertexPosBuffer.itemSize, gl.FLOAT, !1, 0, 0);
	      gl.uniform2f(program.offsetUniform, 1, 1);
	      gl.drawArrays(gl.TRIANGLE_STRIP, 0, vertexPosBuffer.numItems);

	      try {
	        result.push(gl.canvas.toDataURL());
	      } catch (e) {
	        /* .toDataURL may be absent or broken (blocked by extension) */
	      }

	      result.push('extensions:' + (gl.getSupportedExtensions() || []).join(';'));
	      result.push('webgl aliased line width range:' + fa2s(gl.getParameter(gl.ALIASED_LINE_WIDTH_RANGE)));
	      result.push('webgl aliased point size range:' + fa2s(gl.getParameter(gl.ALIASED_POINT_SIZE_RANGE)));
	      result.push('webgl alpha bits:' + gl.getParameter(gl.ALPHA_BITS));
	      result.push('webgl antialiasing:' + (gl.getContextAttributes().antialias ? 'yes' : 'no'));
	      result.push('webgl blue bits:' + gl.getParameter(gl.BLUE_BITS));
	      result.push('webgl depth bits:' + gl.getParameter(gl.DEPTH_BITS));
	      result.push('webgl green bits:' + gl.getParameter(gl.GREEN_BITS));
	      result.push('webgl max anisotropy:' + maxAnisotropy(gl));
	      result.push('webgl max combined texture image units:' + gl.getParameter(gl.MAX_COMBINED_TEXTURE_IMAGE_UNITS));
	      result.push('webgl max cube map texture size:' + gl.getParameter(gl.MAX_CUBE_MAP_TEXTURE_SIZE));
	      result.push('webgl max fragment uniform vectors:' + gl.getParameter(gl.MAX_FRAGMENT_UNIFORM_VECTORS));
	      result.push('webgl max render buffer size:' + gl.getParameter(gl.MAX_RENDERBUFFER_SIZE));
	      result.push('webgl max texture image units:' + gl.getParameter(gl.MAX_TEXTURE_IMAGE_UNITS));
	      result.push('webgl max texture size:' + gl.getParameter(gl.MAX_TEXTURE_SIZE));
	      result.push('webgl max varying vectors:' + gl.getParameter(gl.MAX_VARYING_VECTORS));
	      result.push('webgl max vertex attribs:' + gl.getParameter(gl.MAX_VERTEX_ATTRIBS));
	      result.push('webgl max vertex texture image units:' + gl.getParameter(gl.MAX_VERTEX_TEXTURE_IMAGE_UNITS));
	      result.push('webgl max vertex uniform vectors:' + gl.getParameter(gl.MAX_VERTEX_UNIFORM_VECTORS));
	      result.push('webgl max viewport dims:' + fa2s(gl.getParameter(gl.MAX_VIEWPORT_DIMS)));
	      result.push('webgl red bits:' + gl.getParameter(gl.RED_BITS));
	      result.push('webgl renderer:' + gl.getParameter(gl.RENDERER));
	      result.push('webgl shading language version:' + gl.getParameter(gl.SHADING_LANGUAGE_VERSION));
	      result.push('webgl stencil bits:' + gl.getParameter(gl.STENCIL_BITS));
	      result.push('webgl vendor:' + gl.getParameter(gl.VENDOR));
	      result.push('webgl version:' + gl.getParameter(gl.VERSION));

	      try {
	        // Add the unmasked vendor and unmasked renderer if the debug_renderer_info extension is available
	        var extensionDebugRendererInfo = gl.getExtension('WEBGL_debug_renderer_info');

	        if (extensionDebugRendererInfo) {
	          result.push('webgl unmasked vendor:' + gl.getParameter(extensionDebugRendererInfo.UNMASKED_VENDOR_WEBGL));
	          result.push('webgl unmasked renderer:' + gl.getParameter(extensionDebugRendererInfo.UNMASKED_RENDERER_WEBGL));
	        }
	      } catch (e) {
	        /* squelch */
	      }

	      if (!gl.getShaderPrecisionFormat) {
	        return result;
	      }

	      each(['FLOAT', 'INT'], function (numType) {
	        each(['VERTEX', 'FRAGMENT'], function (shader) {
	          each(['HIGH', 'MEDIUM', 'LOW'], function (numSize) {
	            each(['precision', 'rangeMin', 'rangeMax'], function (key) {
	              var format = gl.getShaderPrecisionFormat(gl[shader + '_SHADER'], gl[numSize + '_' + numType])[key];

	              if (key !== 'precision') {
	                key = 'precision ' + key;
	              }

	              var line = ['webgl ', shader.toLowerCase(), ' shader ', numSize.toLowerCase(), ' ', numType.toLowerCase(), ' ', key, ':', format].join('');
	              result.push(line);
	            });
	          });
	        });
	      });
	      return result;
	    };

	    var getWebglVendorAndRenderer = function () {
	      /* This a subset of the WebGL fingerprint with a lot of entropy, while being reasonably browser-independent */
	      try {
	        var glContext = getWebglCanvas();
	        var extensionDebugRendererInfo = glContext.getExtension('WEBGL_debug_renderer_info');
	        return glContext.getParameter(extensionDebugRendererInfo.UNMASKED_VENDOR_WEBGL) + '~' + glContext.getParameter(extensionDebugRendererInfo.UNMASKED_RENDERER_WEBGL);
	      } catch (e) {
	        return null;
	      }
	    };

	    var getAdBlock = function () {
	      var ads = document.createElement('div');
	      ads.innerHTML = '&nbsp;';
	      ads.className = 'adsbox';
	      var result = false;

	      try {
	        // body may not exist, that's why we need try/catch
	        document.body.appendChild(ads);
	        result = document.getElementsByClassName('adsbox')[0].offsetHeight === 0;
	        document.body.removeChild(ads);
	      } catch (e) {
	        result = false;
	      }

	      return result;
	    };

	    var getHasLiedLanguages = function () {
	      // We check if navigator.language is equal to the first language of navigator.languages
	      // navigator.languages is undefined on IE11 (and potentially older IEs)
	      if (typeof navigator.languages !== 'undefined') {
	        try {
	          var firstLanguages = navigator.languages[0].substr(0, 2);

	          if (firstLanguages !== navigator.language.substr(0, 2)) {
	            return true;
	          }
	        } catch (err) {
	          return true;
	        }
	      }

	      return false;
	    };

	    var getHasLiedResolution = function () {
	      return window.screen.width < window.screen.availWidth || window.screen.height < window.screen.availHeight;
	    };

	    var getHasLiedOs = function () {
	      var userAgent = navigator.userAgent.toLowerCase();
	      var oscpu = navigator.oscpu;
	      var platform = navigator.platform.toLowerCase();
	      var os; // We extract the OS from the user agent (respect the order of the if else if statement)

	      if (userAgent.indexOf('windows phone') >= 0) {
	        os = 'Windows Phone';
	      } else if (userAgent.indexOf('win') >= 0) {
	        os = 'Windows';
	      } else if (userAgent.indexOf('android') >= 0) {
	        os = 'Android';
	      } else if (userAgent.indexOf('linux') >= 0 || userAgent.indexOf('cros') >= 0) {
	        os = 'Linux';
	      } else if (userAgent.indexOf('iphone') >= 0 || userAgent.indexOf('ipad') >= 0) {
	        os = 'iOS';
	      } else if (userAgent.indexOf('mac') >= 0) {
	        os = 'Mac';
	      } else {
	        os = 'Other';
	      } // We detect if the person uses a mobile device


	      var mobileDevice = 'ontouchstart' in window || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0;

	      if (mobileDevice && os !== 'Windows Phone' && os !== 'Android' && os !== 'iOS' && os !== 'Other') {
	        return true;
	      } // We compare oscpu with the OS extracted from the UA


	      if (typeof oscpu !== 'undefined') {
	        oscpu = oscpu.toLowerCase();

	        if (oscpu.indexOf('win') >= 0 && os !== 'Windows' && os !== 'Windows Phone') {
	          return true;
	        } else if (oscpu.indexOf('linux') >= 0 && os !== 'Linux' && os !== 'Android') {
	          return true;
	        } else if (oscpu.indexOf('mac') >= 0 && os !== 'Mac' && os !== 'iOS') {
	          return true;
	        } else if ((oscpu.indexOf('win') === -1 && oscpu.indexOf('linux') === -1 && oscpu.indexOf('mac') === -1) !== (os === 'Other')) {
	          return true;
	        }
	      } // We compare platform with the OS extracted from the UA


	      if (platform.indexOf('win') >= 0 && os !== 'Windows' && os !== 'Windows Phone') {
	        return true;
	      } else if ((platform.indexOf('linux') >= 0 || platform.indexOf('android') >= 0 || platform.indexOf('pike') >= 0) && os !== 'Linux' && os !== 'Android') {
	        return true;
	      } else if ((platform.indexOf('mac') >= 0 || platform.indexOf('ipad') >= 0 || platform.indexOf('ipod') >= 0 || platform.indexOf('iphone') >= 0) && os !== 'Mac' && os !== 'iOS') {
	        return true;
	      } else {
	        var platformIsOther = platform.indexOf('win') < 0 && platform.indexOf('linux') < 0 && platform.indexOf('mac') < 0 && platform.indexOf('iphone') < 0 && platform.indexOf('ipad') < 0;

	        if (platformIsOther !== (os === 'Other')) {
	          return true;
	        }
	      }

	      return typeof navigator.plugins === 'undefined' && os !== 'Windows' && os !== 'Windows Phone';
	    };

	    var getHasLiedBrowser = function () {
	      var userAgent = navigator.userAgent.toLowerCase();
	      var productSub = navigator.productSub; // we extract the browser from the user agent (respect the order of the tests)

	      var browser;

	      if (userAgent.indexOf('firefox') >= 0) {
	        browser = 'Firefox';
	      } else if (userAgent.indexOf('opera') >= 0 || userAgent.indexOf('opr') >= 0) {
	        browser = 'Opera';
	      } else if (userAgent.indexOf('chrome') >= 0) {
	        browser = 'Chrome';
	      } else if (userAgent.indexOf('safari') >= 0) {
	        browser = 'Safari';
	      } else if (userAgent.indexOf('trident') >= 0) {
	        browser = 'Internet Explorer';
	      } else {
	        browser = 'Other';
	      }

	      if ((browser === 'Chrome' || browser === 'Safari' || browser === 'Opera') && productSub !== '20030107') {
	        return true;
	      } // eslint-disable-next-line no-eval


	      var tempRes = eval.toString().length;

	      if (tempRes === 37 && browser !== 'Safari' && browser !== 'Firefox' && browser !== 'Other') {
	        return true;
	      } else if (tempRes === 39 && browser !== 'Internet Explorer' && browser !== 'Other') {
	        return true;
	      } else if (tempRes === 33 && browser !== 'Chrome' && browser !== 'Opera' && browser !== 'Other') {
	        return true;
	      } // We create an error to see how it is handled


	      var errFirefox;

	      try {
	        // eslint-disable-next-line no-throw-literal
	        throw 'a';
	      } catch (err) {
	        try {
	          err.toSource();
	          errFirefox = true;
	        } catch (errOfErr) {
	          errFirefox = false;
	        }
	      }

	      return errFirefox && browser !== 'Firefox' && browser !== 'Other';
	    };

	    var isCanvasSupported = function () {
	      var elem = document.createElement('canvas');
	      return !!(elem.getContext && elem.getContext('2d'));
	    };

	    var isWebGlSupported = function () {
	      // code taken from Modernizr
	      if (!isCanvasSupported()) {
	        return false;
	      }

	      var glContext = getWebglCanvas();
	      return !!window.WebGLRenderingContext && !!glContext;
	    };

	    var isIE = function () {
	      if (navigator.appName === 'Microsoft Internet Explorer') {
	        return true;
	      } else if (navigator.appName === 'Netscape' && /Trident/.test(navigator.userAgent)) {
	        // IE 11
	        return true;
	      }

	      return false;
	    };

	    var hasSwfObjectLoaded = function () {
	      return typeof window.swfobject !== 'undefined';
	    };

	    var hasMinFlashInstalled = function () {
	      return window.swfobject.hasFlashPlayerVersion('9.0.0');
	    };

	    var addFlashDivNode = function (options) {
	      var node = document.createElement('div');
	      node.setAttribute('id', options.fonts.swfContainerId);
	      document.body.appendChild(node);
	    };

	    var loadSwfAndDetectFonts = function (done, options) {
	      var hiddenCallback = '___fp_swf_loaded';

	      window[hiddenCallback] = function (fonts) {
	        done(fonts);
	      };

	      var id = options.fonts.swfContainerId;
	      addFlashDivNode();
	      var flashvars = {
	        onReady: hiddenCallback
	      };
	      var flashparams = {
	        allowScriptAccess: 'always',
	        menu: 'false'
	      };
	      window.swfobject.embedSWF(options.fonts.swfPath, id, '1', '1', '9.0.0', false, flashvars, flashparams, {});
	    };

	    var getWebglCanvas = function () {
	      var canvas = document.createElement('canvas');
	      var gl = null;

	      try {
	        gl = canvas.getContext('webgl') || canvas.getContext('experimental-webgl');
	      } catch (e) {
	        /* squelch */
	      }

	      if (!gl) {
	        gl = null;
	      }

	      return gl;
	    };

	    var components = [{
	      key: 'userAgent',
	      getData: UserAgent
	    }, {
	      key: 'webdriver',
	      getData: webdriver
	    }, {
	      key: 'language',
	      getData: languageKey
	    }, {
	      key: 'colorDepth',
	      getData: colorDepthKey
	    }, {
	      key: 'deviceMemory',
	      getData: deviceMemoryKey
	    }, {
	      key: 'pixelRatio',
	      getData: pixelRatioKey
	    }, {
	      key: 'hardwareConcurrency',
	      getData: hardwareConcurrencyKey
	    }, {
	      key: 'screenResolution',
	      getData: screenResolutionKey
	    }, {
	      key: 'availableScreenResolution',
	      getData: availableScreenResolutionKey
	    }, {
	      key: 'timezoneOffset',
	      getData: timezoneOffset
	    }, {
	      key: 'timezone',
	      getData: timezone
	    }, {
	      key: 'sessionStorage',
	      getData: sessionStorageKey
	    }, {
	      key: 'localStorage',
	      getData: localStorageKey
	    }, {
	      key: 'indexedDb',
	      getData: indexedDbKey
	    }, {
	      key: 'addBehavior',
	      getData: addBehaviorKey
	    }, {
	      key: 'openDatabase',
	      getData: openDatabaseKey
	    }, {
	      key: 'cpuClass',
	      getData: cpuClassKey
	    }, {
	      key: 'platform',
	      getData: platformKey
	    }, {
	      key: 'doNotTrack',
	      getData: doNotTrackKey
	    }, {
	      key: 'plugins',
	      getData: pluginsComponent
	    }, {
	      key: 'canvas',
	      getData: canvasKey
	    }, {
	      key: 'webgl',
	      getData: webglKey
	    }, {
	      key: 'webglVendorAndRenderer',
	      getData: webglVendorAndRendererKey
	    }, {
	      key: 'adBlock',
	      getData: adBlockKey
	    }, {
	      key: 'hasLiedLanguages',
	      getData: hasLiedLanguagesKey
	    }, {
	      key: 'hasLiedResolution',
	      getData: hasLiedResolutionKey
	    }, {
	      key: 'hasLiedOs',
	      getData: hasLiedOsKey
	    }, {
	      key: 'hasLiedBrowser',
	      getData: hasLiedBrowserKey
	    }, {
	      key: 'touchSupport',
	      getData: touchSupportKey
	    }, {
	      key: 'fonts',
	      getData: jsFontsKey,
	      pauseBefore: true
	    }, {
	      key: 'fontsFlash',
	      getData: flashFontsKey,
	      pauseBefore: true
	    }, {
	      key: 'audio',
	      getData: audioKey
	    }, {
	      key: 'enumerateDevices',
	      getData: enumerateDevicesKey
	    }];

	    var Fingerprint2 = function (options) {
	      throw new Error("'new Fingerprint()' is deprecated, see https://github.com/Valve/fingerprintjs2#upgrade-guide-from-182-to-200");
	    };

	    Fingerprint2.get = function (options, callback) {
	      if (!callback) {
	        callback = options;
	        options = {};
	      } else if (!options) {
	        options = {};
	      }

	      extendSoft(options, defaultOptions);
	      options.components = options.extraComponents.concat(components);
	      var keys = {
	        data: [],
	        addPreprocessedComponent: function (key, value) {
	          if (typeof options.preprocessor === 'function') {
	            value = options.preprocessor(key, value);
	          }

	          keys.data.push({
	            key: key,
	            value: value
	          });
	        }
	      };
	      var i = -1;

	      var chainComponents = function (alreadyWaited) {
	        i += 1;

	        if (i >= options.components.length) {
	          // on finish
	          callback(keys.data);
	          return;
	        }

	        var component = options.components[i];

	        if (options.excludes[component.key]) {
	          chainComponents(false); // skip

	          return;
	        }

	        if (!alreadyWaited && component.pauseBefore) {
	          i -= 1;
	          setTimeout(function () {
	            chainComponents(true);
	          }, 1);
	          return;
	        }

	        try {
	          component.getData(function (value) {
	            keys.addPreprocessedComponent(component.key, value);
	            chainComponents(false);
	          }, options);
	        } catch (error) {
	          // main body error
	          keys.addPreprocessedComponent(component.key, String(error));
	          chainComponents(false);
	        }
	      };

	      chainComponents(false);
	    };

	    Fingerprint2.getPromise = function (options) {
	      return new Promise(function (resolve, reject) {
	        Fingerprint2.get(options, resolve);
	      });
	    };

	    Fingerprint2.getV18 = function (options, callback) {
	      if (callback == null) {
	        callback = options;
	        options = {};
	      }

	      return Fingerprint2.get(options, function (components) {
	        var newComponents = [];

	        for (var i = 0; i < components.length; i++) {
	          var component = components[i];

	          if (component.value === (options.NOT_AVAILABLE || 'not available')) {
	            newComponents.push({
	              key: component.key,
	              value: 'unknown'
	            });
	          } else if (component.key === 'plugins') {
	            newComponents.push({
	              key: 'plugins',
	              value: map(component.value, function (p) {
	                var mimeTypes = map(p[2], function (mt) {
	                  if (mt.join) {
	                    return mt.join('~');
	                  }

	                  return mt;
	                }).join(',');
	                return [p[0], p[1], mimeTypes].join('::');
	              })
	            });
	          } else if (['canvas', 'webgl'].indexOf(component.key) !== -1) {
	            newComponents.push({
	              key: component.key,
	              value: component.value.join('~')
	            });
	          } else if (['sessionStorage', 'localStorage', 'indexedDb', 'addBehavior', 'openDatabase'].indexOf(component.key) !== -1) {
	            if (component.value) {
	              newComponents.push({
	                key: component.key,
	                value: 1
	              });
	            } else {
	              // skip
	              continue;
	            }
	          } else {
	            if (component.value) {
	              newComponents.push(component.value.join ? {
	                key: component.key,
	                value: component.value.join(';')
	              } : component);
	            } else {
	              newComponents.push({
	                key: component.key,
	                value: component.value
	              });
	            }
	          }
	        }

	        var murmur = x64hash128(map(newComponents, function (component) {
	          return component.value;
	        }).join('~~~'), 31);
	        callback(murmur, newComponents);
	      });
	    };

	    Fingerprint2.x64hash128 = x64hash128;
	    Fingerprint2.VERSION = '2.1.0';
	    return Fingerprint2;
	  });
	});

	// Generated by generate-fingerprint-user-defined-fonts.js
	var userDefinedFonts = ["APL2741", "APL385 Unicode", "AR PL KaitiM GB", "AR PL New Sung", "AR PL SungtiL GB", "AR PL UKai CN", "AR PL UKai HK", "AR PL UKai TW", "AR PL UKai TW MBE", "AR PL UMing CN", "AR PL UMing HK", "AR PL UMing TW", "AR PL UMing TW MBE", "Agave", "AndroidClock", "Anka/Coder", "Anonymous Pro", "Anonymous Pro Minus", "Arimo", "Aurulent Sans Mono", "AverageMono", "B612 Mono", "BIZ UDGothic", "BIZ UDMincho Medium", "BPmono", "Bedstead", "Borg Sans Mono", "Bront", "CMU Typewriter Text", "CPMono_v07 Plain", "CWTEX\\-F", "CamingoCode", "Carrois Gothic SC", "Cartograph CF", "Cascadia Code", "Cascadia Mono", "Code New Roman", "CodingFontTobi", "Comic Shanns Regular", "Coming Soon", "Computer Modern Typewriter", "Consola Mono", "Courier Prime", "Courier Prime Code", "Cousine", "CozetteVector", "Crisp", "Cutive Mono", "D2Coding", "DaddyTimeMono", "Dancing Script", "DejaVu Sans Mono", "DengXian", "Dina ttf 10px", "Droid Sans", "Droid Sans Mono", "Droid Serif", "Edlo", "EffectsEighty", "Ellograph CF", "Envy Code R", "Everson Mono", "FZBaoSong-Z04S", "FZCaiYun-M09S", "FZChaoCuHei-M10S", "FZCuHuoYi-M25S", "FZCuQian-M17S", "FZCuSong-B09S", "FZCuYuan-M03S", "FZDaBiaoSong-B06S", "FZDaHei-B02S", "FZFangSong-Z02S", "FZGuLi-S12S", "FZHei-B01S", "FZHuPo-M04S", "FZHuaLi-M14S", "FZHuangCao-S09S", "FZJianZhi-M23S", "FZKaTong-M19S", "FZKai-Z03S", "FZKangTi-S07S", "FZLiBian-S02S", "FZLiShu II-S06S", "FZLiShu-S01S", "FZLiuXingTi-M26S", "FZMeiHei-M07S", "FZNew BaoSong-Z12S", "FZNew ShuTi-S08S", "FZPangTouYu-M24S", "FZPangWa-M18S", "FZPingHe-S11S", "FZQiTi-S14S", "FZShaoEr-M11S", "FZShouJinShu-S10S", "FZShuSong-Z01S", "FZShuTi", "FZShuTi-S05S", "FZShuiHei-M21S", "FZShuiZhu-M08S", "FZSong", "FZSongHei-B07S", "FZSongYi-Z13S", "FZWeiBei-S03S", "FZXiDengXian-Z06S", "FZXiHei I-Z08S", "FZXiQian-M15S", "FZXiShanHu-M13S", "FZXiYuan-M01S", "FZXiangLi-S17S", "FZXiaoBiaoSong-B05S", "FZXiaoZhuanTi-S13T", "FZXingKai-S04S", "FZYaSongS-B-GB", "FZYaoTi-M06S", "FZYaoti", "FZYiHei-M20S", "FZYingBiKaiShu-S15S", "FZYingBiXingShu-S16S", "FZYouXian-Z09S", "FZZhanBiHei-M22S", "FZZhiYi-M12S", "FZZhongDengXian-Z07S", "FZZhongQian-M16S", "FZZhunYuan-M02S", "FZZongYi-M05S", "Fairfax", "Fairfax HD", "Fairfax Serif", "FangSong_GB2312", "Fantasque Sans", "Fantasque Sans Mono", "Fifteen", "Fira Code", "Fira Mono", "Fira Sans", "Fixed", "Fixedsys Excelsior", "FixedsysTTF", "FreeMono", "Generic Mono II", "Go Mono", "GohuFont", "Google Sans", "HYChengXingJ", "HYDaHeiJ", "HYDaSongJ", "HYHeiLiZhiTiJ", "HYJiaShuJ", "HYKaiti", "HYLeMiaoTi", "HYPPTiJ", "HYQihei 40S", "HYQihei 50S", "HYQihei 60S", "HYShangWeiShouShuW", "HYXiaoMaiTiJ", "HYYaKuHeiW", "Hack", "Hannotate SC", "Hanzipen SC", "Hasklig", "Hermit", "Hiragino Sans GB", "HyperFont", "IBM 3270", "IBM Plex Mono", "Inconsolata", "Inconsolata-g", "Input", "Inziu Iosevka SC", "Iosevka", "JetBrains Mono", "KaiTi_GB2312", "Kaiti SC", "Kawkab Mono", "LM Mono 10", "LM Mono Light 10", "Lantinghei SC", "League Mono", "Lekton", "LiSu", "Liberation", "Liberation Mono", "Linux Libertine Mono", "Luculent", "Luxi Mono", "M 1m", "M+ 1m", "M+ 1mn", "M+ 2m", "Menlo", "Mensch", "Meslo LG M", "Meslo LG M DZ", "Metrickal", "Microsoft YaHei Mono", "Microsoft Yahei", "MigMix 1M", "Migu 1M", "MonoSpatial", "Monofur", "Monoid", "Mononoki", "Monospace", "MonospaceTypewriter", "MonteCarlo Fixed 12", "NanumGothicCoding", "NanumGothic_Coding", "New York Medium", "Nimbus Mono", "Nimbus Mono L", "NotCourierSans", "Noto Mono", "Noto Sans CJK SC", "Noto Serif CJK SC", "NovaMono", "OCR-A", "OCR-B", "Office Code Pro", "OpenDyslexicMono", "Operator Mono", "Overpass Mono", "Oxygen Mono", "PT Mono", "Panic Sans", "PingFang SC", "PixelCarnageMonoTT", "Pointfree", "PragmataPro", "Press Start 2P", "Prestige Elite", "ProFont", "ProFontIIx", "ProFontWindows", "Product Sans", "ProggyCleanTT", "ProggySmallTT", "ProggySquareTT", "ProggyTinyTT", "ProggyVector", "Quinze", "Rec Mono Linear Mono Linear", "Ricty Diminished", "Roboto", "Roboto Condensed", "Roboto Mono", "SF Compact Display", "SF Mono", "SF Pro Display", "ST Heiti", "STCaiyun", "STFangsong", "STHeiti", "STHupo", "STKaiti", "STLiti", "STSong", "STXihei", "STXingkai", "STXinwei", "STZhongsong", "SVI Basic Manual", "Sarasa Gothic SC", "Sarasa Mono SC", "Share Tech Mono", "Share-TechMonoTrue", "SmallTypeWriting", "Sometype Mono", "Songti SC", "Source Code Pro", "Source Code Variable", "Source Han Code JP", "Source Han Sans CN", "Source Han Sans HW", "Source Han Sans HW SC", "Source Han Sans SC", "Source Han Serif CN", "Source Han Serif SC", "Space Mono", "Spleen", "Sudo", "TW\\-Kai", "TW\\-Sung", "TeXGyreCursor", "Terminus", "Terminus (TTF)", "Tex Gyre Cursor", "UD Digi Kyokasho", "UM Typewriter", "Ubuntu", "Ubuntu Condensed", "Ubuntu Mono", "Unifont", "VT323", "Verily Serif Mono", "Victor Mono", "Wawati SC", "Weibei SC", "WenQuanYi Bitmap Song", "WenQuanYi Micro Hei", "WenQuanYi Zen Hei", "WenQuanYi Zen Hei Sharp", "Wenquanyi Micro Hei", "Whois", "Xingkai SC", "YaHei Consolas Hybrid", "Yapi SC", "YouYuan", "Yu Mincho", "Yuanti SC", "agave", "iA Writer Mono S", "miui", "monoOne", "monofur", "mononoki", "saxMono"];

	var uaParser = createCommonjsModule(function (module, exports) {
	  /*!
	   * UAParser.js v0.7.21
	   * Lightweight JavaScript-based User-Agent string parser
	   * https://github.com/faisalman/ua-parser-js
	   *
	   * Copyright © 2012-2019 Faisal Salman <f@faisalman.com>
	   * Licensed under MIT License
	   */
	  (function (window, undefined$1) {
	    // Constants
	    /////////////

	    var LIBVERSION = '0.7.21',
	        EMPTY = '',
	        UNKNOWN = '?',
	        FUNC_TYPE = 'function',
	        OBJ_TYPE = 'object',
	        STR_TYPE = 'string',
	        MAJOR = 'major',
	        // deprecated
	    MODEL = 'model',
	        NAME = 'name',
	        TYPE = 'type',
	        VENDOR = 'vendor',
	        VERSION = 'version',
	        ARCHITECTURE = 'architecture',
	        CONSOLE = 'console',
	        MOBILE = 'mobile',
	        TABLET = 'tablet',
	        SMARTTV = 'smarttv',
	        WEARABLE = 'wearable',
	        EMBEDDED = 'embedded'; ///////////
	    // Helper
	    //////////

	    var util = {
	      extend: function (regexes, extensions) {
	        var mergedRegexes = {};

	        for (var i in regexes) {
	          if (extensions[i] && extensions[i].length % 2 === 0) {
	            mergedRegexes[i] = extensions[i].concat(regexes[i]);
	          } else {
	            mergedRegexes[i] = regexes[i];
	          }
	        }

	        return mergedRegexes;
	      },
	      has: function (str1, str2) {
	        if (typeof str1 === "string") {
	          return str2.toLowerCase().indexOf(str1.toLowerCase()) !== -1;
	        } else {
	          return false;
	        }
	      },
	      lowerize: function (str) {
	        return str.toLowerCase();
	      },
	      major: function (version) {
	        return typeof version === STR_TYPE ? version.replace(/[^\d\.]/g, '').split(".")[0] : undefined$1;
	      },
	      trim: function (str) {
	        return str.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '');
	      }
	    }; ///////////////
	    // Map helper
	    //////////////

	    var mapper = {
	      rgx: function (ua, arrays) {
	        var i = 0,
	            j,
	            k,
	            p,
	            q,
	            matches,
	            match; // loop through all regexes maps

	        while (i < arrays.length && !matches) {
	          var regex = arrays[i],
	              // even sequence (0,2,4,..)
	          props = arrays[i + 1]; // odd sequence (1,3,5,..)

	          j = k = 0; // try matching uastring with regexes

	          while (j < regex.length && !matches) {
	            matches = regex[j++].exec(ua);

	            if (!!matches) {
	              for (p = 0; p < props.length; p++) {
	                match = matches[++k];
	                q = props[p]; // check if given property is actually array

	                if (typeof q === OBJ_TYPE && q.length > 0) {
	                  if (q.length == 2) {
	                    if (typeof q[1] == FUNC_TYPE) {
	                      // assign modified match
	                      this[q[0]] = q[1].call(this, match);
	                    } else {
	                      // assign given value, ignore regex match
	                      this[q[0]] = q[1];
	                    }
	                  } else if (q.length == 3) {
	                    // check whether function or regex
	                    if (typeof q[1] === FUNC_TYPE && !(q[1].exec && q[1].test)) {
	                      // call function (usually string mapper)
	                      this[q[0]] = match ? q[1].call(this, match, q[2]) : undefined$1;
	                    } else {
	                      // sanitize match using given regex
	                      this[q[0]] = match ? match.replace(q[1], q[2]) : undefined$1;
	                    }
	                  } else if (q.length == 4) {
	                    this[q[0]] = match ? q[3].call(this, match.replace(q[1], q[2])) : undefined$1;
	                  }
	                } else {
	                  this[q] = match ? match : undefined$1;
	                }
	              }
	            }
	          }

	          i += 2;
	        }
	      },
	      str: function (str, map) {
	        for (var i in map) {
	          // check if array
	          if (typeof map[i] === OBJ_TYPE && map[i].length > 0) {
	            for (var j = 0; j < map[i].length; j++) {
	              if (util.has(map[i][j], str)) {
	                return i === UNKNOWN ? undefined$1 : i;
	              }
	            }
	          } else if (util.has(map[i], str)) {
	            return i === UNKNOWN ? undefined$1 : i;
	          }
	        }

	        return str;
	      }
	    }; ///////////////
	    // String map
	    //////////////

	    var maps = {
	      browser: {
	        oldsafari: {
	          version: {
	            '1.0': '/8',
	            '1.2': '/1',
	            '1.3': '/3',
	            '2.0': '/412',
	            '2.0.2': '/416',
	            '2.0.3': '/417',
	            '2.0.4': '/419',
	            '?': '/'
	          }
	        }
	      },
	      device: {
	        amazon: {
	          model: {
	            'Fire Phone': ['SD', 'KF']
	          }
	        },
	        sprint: {
	          model: {
	            'Evo Shift 4G': '7373KT'
	          },
	          vendor: {
	            'HTC': 'APA',
	            'Sprint': 'Sprint'
	          }
	        }
	      },
	      os: {
	        windows: {
	          version: {
	            'ME': '4.90',
	            'NT 3.11': 'NT3.51',
	            'NT 4.0': 'NT4.0',
	            '2000': 'NT 5.0',
	            'XP': ['NT 5.1', 'NT 5.2'],
	            'Vista': 'NT 6.0',
	            '7': 'NT 6.1',
	            '8': 'NT 6.2',
	            '8.1': 'NT 6.3',
	            '10': ['NT 6.4', 'NT 10.0'],
	            'RT': 'ARM'
	          }
	        }
	      }
	    }; //////////////
	    // Regex map
	    /////////////

	    var regexes = {
	      browser: [[// Presto based
	      /(opera\smini)\/([\w\.-]+)/i, // Opera Mini
	      /(opera\s[mobiletab]+).+version\/([\w\.-]+)/i, // Opera Mobi/Tablet
	      /(opera).+version\/([\w\.]+)/i, // Opera > 9.80
	      /(opera)[\/\s]+([\w\.]+)/i // Opera < 9.80
	      ], [NAME, VERSION], [/(opios)[\/\s]+([\w\.]+)/i // Opera mini on iphone >= 8.0
	      ], [[NAME, 'Opera Mini'], VERSION], [/\s(opr)\/([\w\.]+)/i // Opera Webkit
	      ], [[NAME, 'Opera'], VERSION], [// Mixed
	      /(kindle)\/([\w\.]+)/i, // Kindle
	      /(lunascape|maxthon|netfront|jasmine|blazer)[\/\s]?([\w\.]*)/i, // Lunascape/Maxthon/Netfront/Jasmine/Blazer
	      // Trident based
	      /(avant\s|iemobile|slim)(?:browser)?[\/\s]?([\w\.]*)/i, // Avant/IEMobile/SlimBrowser
	      /(bidubrowser|baidubrowser)[\/\s]?([\w\.]+)/i, // Baidu Browser
	      /(?:ms|\()(ie)\s([\w\.]+)/i, // Internet Explorer
	      // Webkit/KHTML based
	      /(rekonq)\/([\w\.]*)/i, // Rekonq
	      /(chromium|flock|rockmelt|midori|epiphany|silk|skyfire|ovibrowser|bolt|iron|vivaldi|iridium|phantomjs|bowser|quark|qupzilla|falkon)\/([\w\.-]+)/i // Chromium/Flock/RockMelt/Midori/Epiphany/Silk/Skyfire/Bolt/Iron/Iridium/PhantomJS/Bowser/QupZilla/Falkon
	      ], [NAME, VERSION], [/(konqueror)\/([\w\.]+)/i // Konqueror
	      ], [[NAME, 'Konqueror'], VERSION], [/(trident).+rv[:\s]([\w\.]+).+like\sgecko/i // IE11
	      ], [[NAME, 'IE'], VERSION], [/(edge|edgios|edga|edg)\/((\d+)?[\w\.]+)/i // Microsoft Edge
	      ], [[NAME, 'Edge'], VERSION], [/(yabrowser)\/([\w\.]+)/i // Yandex
	      ], [[NAME, 'Yandex'], VERSION], [/(Avast)\/([\w\.]+)/i // Avast Secure Browser
	      ], [[NAME, 'Avast Secure Browser'], VERSION], [/(AVG)\/([\w\.]+)/i // AVG Secure Browser
	      ], [[NAME, 'AVG Secure Browser'], VERSION], [/(puffin)\/([\w\.]+)/i // Puffin
	      ], [[NAME, 'Puffin'], VERSION], [/(focus)\/([\w\.]+)/i // Firefox Focus
	      ], [[NAME, 'Firefox Focus'], VERSION], [/(opt)\/([\w\.]+)/i // Opera Touch
	      ], [[NAME, 'Opera Touch'], VERSION], [/((?:[\s\/])uc?\s?browser|(?:juc.+)ucweb)[\/\s]?([\w\.]+)/i // UCBrowser
	      ], [[NAME, 'UCBrowser'], VERSION], [/(comodo_dragon)\/([\w\.]+)/i // Comodo Dragon
	      ], [[NAME, /_/g, ' '], VERSION], [/(windowswechat qbcore)\/([\w\.]+)/i // WeChat Desktop for Windows Built-in Browser
	      ], [[NAME, 'WeChat(Win) Desktop'], VERSION], [/(micromessenger)\/([\w\.]+)/i // WeChat
	      ], [[NAME, 'WeChat'], VERSION], [/(brave)\/([\w\.]+)/i // Brave browser
	      ], [[NAME, 'Brave'], VERSION], [/(qqbrowserlite)\/([\w\.]+)/i // QQBrowserLite
	      ], [NAME, VERSION], [/(QQ)\/([\d\.]+)/i // QQ, aka ShouQ
	      ], [NAME, VERSION], [/m?(qqbrowser)[\/\s]?([\w\.]+)/i // QQBrowser
	      ], [NAME, VERSION], [/(baiduboxapp)[\/\s]?([\w\.]+)/i // Baidu App
	      ], [NAME, VERSION], [/(2345Explorer)[\/\s]?([\w\.]+)/i // 2345 Browser
	      ], [NAME, VERSION], [/(MetaSr)[\/\s]?([\w\.]+)/i // SouGouBrowser
	      ], [NAME], [/(LBBROWSER)/i // LieBao Browser
	      ], [NAME], [/xiaomi\/miuibrowser\/([\w\.]+)/i // MIUI Browser
	      ], [VERSION, [NAME, 'MIUI Browser']], [/;fbav\/([\w\.]+);/i // Facebook App for iOS & Android
	      ], [VERSION, [NAME, 'Facebook']], [/safari\s(line)\/([\w\.]+)/i, // Line App for iOS
	      /android.+(line)\/([\w\.]+)\/iab/i // Line App for Android
	      ], [NAME, VERSION], [/headlesschrome(?:\/([\w\.]+)|\s)/i // Chrome Headless
	      ], [VERSION, [NAME, 'Chrome Headless']], [/\swv\).+(chrome)\/([\w\.]+)/i // Chrome WebView
	      ], [[NAME, /(.+)/, '$1 WebView'], VERSION], [/((?:oculus|samsung)browser)\/([\w\.]+)/i], [[NAME, /(.+(?:g|us))(.+)/, '$1 $2'], VERSION], [// Oculus / Samsung Browser
	      /android.+version\/([\w\.]+)\s+(?:mobile\s?safari|safari)*/i // Android Browser
	      ], [VERSION, [NAME, 'Android Browser']], [/(sailfishbrowser)\/([\w\.]+)/i // Sailfish Browser
	      ], [[NAME, 'Sailfish Browser'], VERSION], [/(chrome|omniweb|arora|[tizenoka]{5}\s?browser)\/v?([\w\.]+)/i // Chrome/OmniWeb/Arora/Tizen/Nokia
	      ], [NAME, VERSION], [/(dolfin)\/([\w\.]+)/i // Dolphin
	      ], [[NAME, 'Dolphin'], VERSION], [/(qihu|qhbrowser|qihoobrowser|360browser)/i // 360
	      ], [[NAME, '360 Browser']], [/((?:android.+)crmo|crios)\/([\w\.]+)/i // Chrome for Android/iOS
	      ], [[NAME, 'Chrome'], VERSION], [/(coast)\/([\w\.]+)/i // Opera Coast
	      ], [[NAME, 'Opera Coast'], VERSION], [/fxios\/([\w\.-]+)/i // Firefox for iOS
	      ], [VERSION, [NAME, 'Firefox']], [/version\/([\w\.]+).+?mobile\/\w+\s(safari)/i // Mobile Safari
	      ], [VERSION, [NAME, 'Mobile Safari']], [/version\/([\w\.]+).+?(mobile\s?safari|safari)/i // Safari & Safari Mobile
	      ], [VERSION, NAME], [/webkit.+?(gsa)\/([\w\.]+).+?(mobile\s?safari|safari)(\/[\w\.]+)/i // Google Search Appliance on iOS
	      ], [[NAME, 'GSA'], VERSION], [/webkit.+?(mobile\s?safari|safari)(\/[\w\.]+)/i // Safari < 3.0
	      ], [NAME, [VERSION, mapper.str, maps.browser.oldsafari.version]], [/(webkit|khtml)\/([\w\.]+)/i], [NAME, VERSION], [// Gecko based
	      /(navigator|netscape)\/([\w\.-]+)/i // Netscape
	      ], [[NAME, 'Netscape'], VERSION], [/(swiftfox)/i, // Swiftfox
	      /(icedragon|iceweasel|camino|chimera|fennec|maemo\sbrowser|minimo|conkeror)[\/\s]?([\w\.\+]+)/i, // IceDragon/Iceweasel/Camino/Chimera/Fennec/Maemo/Minimo/Conkeror
	      /(firefox|seamonkey|k-meleon|icecat|iceape|firebird|phoenix|palemoon|basilisk|waterfox)\/([\w\.-]+)$/i, // Firefox/SeaMonkey/K-Meleon/IceCat/IceApe/Firebird/Phoenix
	      /(mozilla)\/([\w\.]+).+rv\:.+gecko\/\d+/i, // Mozilla
	      // Other
	      /(polaris|lynx|dillo|icab|doris|amaya|w3m|netsurf|sleipnir)[\/\s]?([\w\.]+)/i, // Polaris/Lynx/Dillo/iCab/Doris/Amaya/w3m/NetSurf/Sleipnir
	      /(links)\s\(([\w\.]+)/i, // Links
	      /(gobrowser)\/?([\w\.]*)/i, // GoBrowser
	      /(ice\s?browser)\/v?([\w\._]+)/i, // ICE Browser
	      /(mosaic)[\/\s]([\w\.]+)/i // Mosaic
	      ], [NAME, VERSION]],
	      cpu: [[/(?:(amd|x(?:(?:86|64)[_-])?|wow|win)64)[;\)]/i // AMD64
	      ], [[ARCHITECTURE, 'amd64']], [/(ia32(?=;))/i // IA32 (quicktime)
	      ], [[ARCHITECTURE, util.lowerize]], [/((?:i[346]|x)86)[;\)]/i // IA32
	      ], [[ARCHITECTURE, 'ia32']], [// PocketPC mistakenly identified as PowerPC
	      /windows\s(ce|mobile);\sppc;/i], [[ARCHITECTURE, 'arm']], [/((?:ppc|powerpc)(?:64)?)(?:\smac|;|\))/i // PowerPC
	      ], [[ARCHITECTURE, /ower/, '', util.lowerize]], [/(sun4\w)[;\)]/i // SPARC
	      ], [[ARCHITECTURE, 'sparc']], [/((?:avr32|ia64(?=;))|68k(?=\))|arm(?:64|(?=v\d+[;l]))|(?=atmel\s)avr|(?:irix|mips|sparc)(?:64)?(?=;)|pa-risc)/i // IA64, 68K, ARM/64, AVR/32, IRIX/64, MIPS/64, SPARC/64, PA-RISC
	      ], [[ARCHITECTURE, util.lowerize]]],
	      device: [[/\((ipad|playbook);[\w\s\),;-]+(rim|apple)/i // iPad/PlayBook
	      ], [MODEL, VENDOR, [TYPE, TABLET]], [/applecoremedia\/[\w\.]+ \((ipad)/ // iPad
	      ], [MODEL, [VENDOR, 'Apple'], [TYPE, TABLET]], [/(apple\s{0,1}tv)/i // Apple TV
	      ], [[MODEL, 'Apple TV'], [VENDOR, 'Apple'], [TYPE, SMARTTV]], [/(archos)\s(gamepad2?)/i, // Archos
	      /(hp).+(touchpad)/i, // HP TouchPad
	      /(hp).+(tablet)/i, // HP Tablet
	      /(kindle)\/([\w\.]+)/i, // Kindle
	      /\s(nook)[\w\s]+build\/(\w+)/i, // Nook
	      /(dell)\s(strea[kpr\s\d]*[\dko])/i // Dell Streak
	      ], [VENDOR, MODEL, [TYPE, TABLET]], [/(kf[A-z]+)\sbuild\/.+silk\//i // Kindle Fire HD
	      ], [MODEL, [VENDOR, 'Amazon'], [TYPE, TABLET]], [/(sd|kf)[0349hijorstuw]+\sbuild\/.+silk\//i // Fire Phone
	      ], [[MODEL, mapper.str, maps.device.amazon.model], [VENDOR, 'Amazon'], [TYPE, MOBILE]], [/android.+aft([bms])\sbuild/i // Fire TV
	      ], [MODEL, [VENDOR, 'Amazon'], [TYPE, SMARTTV]], [/\((ip[honed|\s\w*]+);.+(apple)/i // iPod/iPhone
	      ], [MODEL, VENDOR, [TYPE, MOBILE]], [/\((ip[honed|\s\w*]+);/i // iPod/iPhone
	      ], [MODEL, [VENDOR, 'Apple'], [TYPE, MOBILE]], [/(blackberry)[\s-]?(\w+)/i, // BlackBerry
	      /(blackberry|benq|palm(?=\-)|sonyericsson|acer|asus|dell|meizu|motorola|polytron)[\s_-]?([\w-]*)/i, // BenQ/Palm/Sony-Ericsson/Acer/Asus/Dell/Meizu/Motorola/Polytron
	      /(hp)\s([\w\s]+\w)/i, // HP iPAQ
	      /(asus)-?(\w+)/i // Asus
	      ], [VENDOR, MODEL, [TYPE, MOBILE]], [/\(bb10;\s(\w+)/i // BlackBerry 10
	      ], [MODEL, [VENDOR, 'BlackBerry'], [TYPE, MOBILE]], [// Asus Tablets
	      /android.+(transfo[prime\s]{4,10}\s\w+|eeepc|slider\s\w+|nexus 7|padfone|p00c)/i], [MODEL, [VENDOR, 'Asus'], [TYPE, TABLET]], [/(sony)\s(tablet\s[ps])\sbuild\//i, // Sony
	      /(sony)?(?:sgp.+)\sbuild\//i], [[VENDOR, 'Sony'], [MODEL, 'Xperia Tablet'], [TYPE, TABLET]], [/android.+\s([c-g]\d{4}|so[-l]\w+)(?=\sbuild\/|\).+chrome\/(?![1-6]{0,1}\d\.))/i], [MODEL, [VENDOR, 'Sony'], [TYPE, MOBILE]], [/\s(ouya)\s/i, // Ouya
	      /(nintendo)\s([wids3u]+)/i // Nintendo
	      ], [VENDOR, MODEL, [TYPE, CONSOLE]], [/android.+;\s(shield)\sbuild/i // Nvidia
	      ], [MODEL, [VENDOR, 'Nvidia'], [TYPE, CONSOLE]], [/(playstation\s[34portablevi]+)/i // Playstation
	      ], [MODEL, [VENDOR, 'Sony'], [TYPE, CONSOLE]], [/(sprint\s(\w+))/i // Sprint Phones
	      ], [[VENDOR, mapper.str, maps.device.sprint.vendor], [MODEL, mapper.str, maps.device.sprint.model], [TYPE, MOBILE]], [/(htc)[;_\s-]+([\w\s]+(?=\)|\sbuild)|\w+)/i, // HTC
	      /(zte)-(\w*)/i, // ZTE
	      /(alcatel|geeksphone|nexian|panasonic|(?=;\s)sony)[_\s-]?([\w-]*)/i // Alcatel/GeeksPhone/Nexian/Panasonic/Sony
	      ], [VENDOR, [MODEL, /_/g, ' '], [TYPE, MOBILE]], [/(nexus\s9)/i // HTC Nexus 9
	      ], [MODEL, [VENDOR, 'HTC'], [TYPE, TABLET]], [/d\/huawei([\w\s-]+)[;\)]/i, /(nexus\s6p|vog-l29|ane-lx1|eml-l29)/i // Huawei
	      ], [MODEL, [VENDOR, 'Huawei'], [TYPE, MOBILE]], [/android.+(bah2?-a?[lw]\d{2})/i // Huawei MediaPad
	      ], [MODEL, [VENDOR, 'Huawei'], [TYPE, TABLET]], [/(microsoft);\s(lumia[\s\w]+)/i // Microsoft Lumia
	      ], [VENDOR, MODEL, [TYPE, MOBILE]], [/[\s\(;](xbox(?:\sone)?)[\s\);]/i // Microsoft Xbox
	      ], [MODEL, [VENDOR, 'Microsoft'], [TYPE, CONSOLE]], [/(kin\.[onetw]{3})/i // Microsoft Kin
	      ], [[MODEL, /\./g, ' '], [VENDOR, 'Microsoft'], [TYPE, MOBILE]], [// Motorola
	      /\s(milestone|droid(?:[2-4x]|\s(?:bionic|x2|pro|razr))?:?(\s4g)?)[\w\s]+build\//i, /mot[\s-]?(\w*)/i, /(XT\d{3,4}) build\//i, /(nexus\s6)/i], [MODEL, [VENDOR, 'Motorola'], [TYPE, MOBILE]], [/android.+\s(mz60\d|xoom[\s2]{0,2})\sbuild\//i], [MODEL, [VENDOR, 'Motorola'], [TYPE, TABLET]], [/hbbtv\/\d+\.\d+\.\d+\s+\([\w\s]*;\s*(\w[^;]*);([^;]*)/i // HbbTV devices
	      ], [[VENDOR, util.trim], [MODEL, util.trim], [TYPE, SMARTTV]], [/hbbtv.+maple;(\d+)/i], [[MODEL, /^/, 'SmartTV'], [VENDOR, 'Samsung'], [TYPE, SMARTTV]], [/\(dtv[\);].+(aquos)/i // Sharp
	      ], [MODEL, [VENDOR, 'Sharp'], [TYPE, SMARTTV]], [/android.+((sch-i[89]0\d|shw-m380s|gt-p\d{4}|gt-n\d+|sgh-t8[56]9|nexus 10))/i, /((SM-T\w+))/i], [[VENDOR, 'Samsung'], MODEL, [TYPE, TABLET]], [// Samsung
	      /smart-tv.+(samsung)/i], [VENDOR, [TYPE, SMARTTV], MODEL], [/((s[cgp]h-\w+|gt-\w+|galaxy\snexus|sm-\w[\w\d]+))/i, /(sam[sung]*)[\s-]*(\w+-?[\w-]*)/i, /sec-((sgh\w+))/i], [[VENDOR, 'Samsung'], MODEL, [TYPE, MOBILE]], [/sie-(\w*)/i // Siemens
	      ], [MODEL, [VENDOR, 'Siemens'], [TYPE, MOBILE]], [/(maemo|nokia).*(n900|lumia\s\d+)/i, // Nokia
	      /(nokia)[\s_-]?([\w-]*)/i], [[VENDOR, 'Nokia'], MODEL, [TYPE, MOBILE]], [/android[x\d\.\s;]+\s([ab][1-7]\-?[0178a]\d\d?)/i // Acer
	      ], [MODEL, [VENDOR, 'Acer'], [TYPE, TABLET]], [/android.+([vl]k\-?\d{3})\s+build/i // LG Tablet
	      ], [MODEL, [VENDOR, 'LG'], [TYPE, TABLET]], [/android\s3\.[\s\w;-]{10}(lg?)-([06cv9]{3,4})/i // LG Tablet
	      ], [[VENDOR, 'LG'], MODEL, [TYPE, TABLET]], [/(lg) netcast\.tv/i // LG SmartTV
	      ], [VENDOR, MODEL, [TYPE, SMARTTV]], [/(nexus\s[45])/i, // LG
	      /lg[e;\s\/-]+(\w*)/i, /android.+lg(\-?[\d\w]+)\s+build/i], [MODEL, [VENDOR, 'LG'], [TYPE, MOBILE]], [/(lenovo)\s?(s(?:5000|6000)(?:[\w-]+)|tab(?:[\s\w]+))/i // Lenovo tablets
	      ], [VENDOR, MODEL, [TYPE, TABLET]], [/android.+(ideatab[a-z0-9\-\s]+)/i // Lenovo
	      ], [MODEL, [VENDOR, 'Lenovo'], [TYPE, TABLET]], [/(lenovo)[_\s-]?([\w-]+)/i], [VENDOR, MODEL, [TYPE, MOBILE]], [/linux;.+((jolla));/i // Jolla
	      ], [VENDOR, MODEL, [TYPE, MOBILE]], [/((pebble))app\/[\d\.]+\s/i // Pebble
	      ], [VENDOR, MODEL, [TYPE, WEARABLE]], [/android.+;\s(oppo)\s?([\w\s]+)\sbuild/i // OPPO
	      ], [VENDOR, MODEL, [TYPE, MOBILE]], [/crkey/i // Google Chromecast
	      ], [[MODEL, 'Chromecast'], [VENDOR, 'Google'], [TYPE, SMARTTV]], [/android.+;\s(glass)\s\d/i // Google Glass
	      ], [MODEL, [VENDOR, 'Google'], [TYPE, WEARABLE]], [/android.+;\s(pixel c)[\s)]/i // Google Pixel C
	      ], [MODEL, [VENDOR, 'Google'], [TYPE, TABLET]], [/android.+;\s(pixel( [23])?( xl)?)[\s)]/i // Google Pixel
	      ], [MODEL, [VENDOR, 'Google'], [TYPE, MOBILE]], [/android.+;\s(\w+)\s+build\/hm\1/i, // Xiaomi Hongmi 'numeric' models
	      /android.+(hm[\s\-_]*note?[\s_]*(?:\d\w)?)\s+build/i, // Xiaomi Hongmi
	      /android.+(mi[\s\-_]*(?:a\d|one|one[\s_]plus|note lte)?[\s_]*(?:\d?\w?)[\s_]*(?:plus)?)\s+build/i, // Xiaomi Mi
	      /android.+(redmi[\s\-_]*(?:note)?(?:[\s_]*[\w\s]+))\s+build/i // Redmi Phones
	      ], [[MODEL, /_/g, ' '], [VENDOR, 'Xiaomi'], [TYPE, MOBILE]], [/android.+(mi[\s\-_]*(?:pad)(?:[\s_]*[\w\s]+))\s+build/i // Mi Pad tablets
	      ], [[MODEL, /_/g, ' '], [VENDOR, 'Xiaomi'], [TYPE, TABLET]], [/android.+;\s(m[1-5]\snote)\sbuild/i // Meizu
	      ], [MODEL, [VENDOR, 'Meizu'], [TYPE, MOBILE]], [/(mz)-([\w-]{2,})/i], [[VENDOR, 'Meizu'], MODEL, [TYPE, MOBILE]], [/android.+a000(1)\s+build/i, // OnePlus
	      /android.+oneplus\s(a\d{4})[\s)]/i], [MODEL, [VENDOR, 'OnePlus'], [TYPE, MOBILE]], [/android.+[;\/]\s*(RCT[\d\w]+)\s+build/i // RCA Tablets
	      ], [MODEL, [VENDOR, 'RCA'], [TYPE, TABLET]], [/android.+[;\/\s]+(Venue[\d\s]{2,7})\s+build/i // Dell Venue Tablets
	      ], [MODEL, [VENDOR, 'Dell'], [TYPE, TABLET]], [/android.+[;\/]\s*(Q[T|M][\d\w]+)\s+build/i // Verizon Tablet
	      ], [MODEL, [VENDOR, 'Verizon'], [TYPE, TABLET]], [/android.+[;\/]\s+(Barnes[&\s]+Noble\s+|BN[RT])(V?.*)\s+build/i // Barnes & Noble Tablet
	      ], [[VENDOR, 'Barnes & Noble'], MODEL, [TYPE, TABLET]], [/android.+[;\/]\s+(TM\d{3}.*\b)\s+build/i // Barnes & Noble Tablet
	      ], [MODEL, [VENDOR, 'NuVision'], [TYPE, TABLET]], [/android.+;\s(k88)\sbuild/i // ZTE K Series Tablet
	      ], [MODEL, [VENDOR, 'ZTE'], [TYPE, TABLET]], [/android.+[;\/]\s*(gen\d{3})\s+build.*49h/i // Swiss GEN Mobile
	      ], [MODEL, [VENDOR, 'Swiss'], [TYPE, MOBILE]], [/android.+[;\/]\s*(zur\d{3})\s+build/i // Swiss ZUR Tablet
	      ], [MODEL, [VENDOR, 'Swiss'], [TYPE, TABLET]], [/android.+[;\/]\s*((Zeki)?TB.*\b)\s+build/i // Zeki Tablets
	      ], [MODEL, [VENDOR, 'Zeki'], [TYPE, TABLET]], [/(android).+[;\/]\s+([YR]\d{2})\s+build/i, /android.+[;\/]\s+(Dragon[\-\s]+Touch\s+|DT)(\w{5})\sbuild/i // Dragon Touch Tablet
	      ], [[VENDOR, 'Dragon Touch'], MODEL, [TYPE, TABLET]], [/android.+[;\/]\s*(NS-?\w{0,9})\sbuild/i // Insignia Tablets
	      ], [MODEL, [VENDOR, 'Insignia'], [TYPE, TABLET]], [/android.+[;\/]\s*((NX|Next)-?\w{0,9})\s+build/i // NextBook Tablets
	      ], [MODEL, [VENDOR, 'NextBook'], [TYPE, TABLET]], [/android.+[;\/]\s*(Xtreme\_)?(V(1[045]|2[015]|30|40|60|7[05]|90))\s+build/i], [[VENDOR, 'Voice'], MODEL, [TYPE, MOBILE]], [// Voice Xtreme Phones
	      /android.+[;\/]\s*(LVTEL\-)?(V1[12])\s+build/i // LvTel Phones
	      ], [[VENDOR, 'LvTel'], MODEL, [TYPE, MOBILE]], [/android.+;\s(PH-1)\s/i], [MODEL, [VENDOR, 'Essential'], [TYPE, MOBILE]], [// Essential PH-1
	      /android.+[;\/]\s*(V(100MD|700NA|7011|917G).*\b)\s+build/i // Envizen Tablets
	      ], [MODEL, [VENDOR, 'Envizen'], [TYPE, TABLET]], [/android.+[;\/]\s*(Le[\s\-]+Pan)[\s\-]+(\w{1,9})\s+build/i // Le Pan Tablets
	      ], [VENDOR, MODEL, [TYPE, TABLET]], [/android.+[;\/]\s*(Trio[\s\-]*.*)\s+build/i // MachSpeed Tablets
	      ], [MODEL, [VENDOR, 'MachSpeed'], [TYPE, TABLET]], [/android.+[;\/]\s*(Trinity)[\-\s]*(T\d{3})\s+build/i // Trinity Tablets
	      ], [VENDOR, MODEL, [TYPE, TABLET]], [/android.+[;\/]\s*TU_(1491)\s+build/i // Rotor Tablets
	      ], [MODEL, [VENDOR, 'Rotor'], [TYPE, TABLET]], [/android.+(KS(.+))\s+build/i // Amazon Kindle Tablets
	      ], [MODEL, [VENDOR, 'Amazon'], [TYPE, TABLET]], [/android.+(Gigaset)[\s\-]+(Q\w{1,9})\s+build/i // Gigaset Tablets
	      ], [VENDOR, MODEL, [TYPE, TABLET]], [/\s(tablet|tab)[;\/]/i, // Unidentifiable Tablet
	      /\s(mobile)(?:[;\/]|\ssafari)/i // Unidentifiable Mobile
	      ], [[TYPE, util.lowerize], VENDOR, MODEL], [/[\s\/\(](smart-?tv)[;\)]/i // SmartTV
	      ], [[TYPE, SMARTTV]], [/(android[\w\.\s\-]{0,9});.+build/i // Generic Android Device
	      ], [MODEL, [VENDOR, 'Generic']]],
	      engine: [[/windows.+\sedge\/([\w\.]+)/i // EdgeHTML
	      ], [VERSION, [NAME, 'EdgeHTML']], [/webkit\/537\.36.+chrome\/(?!27)([\w\.]+)/i // Blink
	      ], [VERSION, [NAME, 'Blink']], [/(presto)\/([\w\.]+)/i, // Presto
	      /(webkit|trident|netfront|netsurf|amaya|lynx|w3m|goanna)\/([\w\.]+)/i, // WebKit/Trident/NetFront/NetSurf/Amaya/Lynx/w3m/Goanna
	      /(khtml|tasman|links)[\/\s]\(?([\w\.]+)/i, // KHTML/Tasman/Links
	      /(icab)[\/\s]([23]\.[\d\.]+)/i // iCab
	      ], [NAME, VERSION], [/rv\:([\w\.]{1,9}).+(gecko)/i // Gecko
	      ], [VERSION, NAME]],
	      os: [[// Windows based
	      /microsoft\s(windows)\s(vista|xp)/i // Windows (iTunes)
	      ], [NAME, VERSION], [/(windows)\snt\s6\.2;\s(arm)/i, // Windows RT
	      /(windows\sphone(?:\sos)*)[\s\/]?([\d\.\s\w]*)/i, // Windows Phone
	      /(windows\smobile|windows)[\s\/]?([ntce\d\.\s]+\w)/i], [NAME, [VERSION, mapper.str, maps.os.windows.version]], [/(win(?=3|9|n)|win\s9x\s)([nt\d\.]+)/i], [[NAME, 'Windows'], [VERSION, mapper.str, maps.os.windows.version]], [// Mobile/Embedded OS
	      /\((bb)(10);/i // BlackBerry 10
	      ], [[NAME, 'BlackBerry'], VERSION], [/(blackberry)\w*\/?([\w\.]*)/i, // Blackberry
	      /(tizen|kaios)[\/\s]([\w\.]+)/i, // Tizen/KaiOS
	      /(android|webos|palm\sos|qnx|bada|rim\stablet\sos|meego|sailfish|contiki)[\/\s-]?([\w\.]*)/i // Android/WebOS/Palm/QNX/Bada/RIM/MeeGo/Contiki/Sailfish OS
	      ], [NAME, VERSION], [/(symbian\s?os|symbos|s60(?=;))[\/\s-]?([\w\.]*)/i // Symbian
	      ], [[NAME, 'Symbian'], VERSION], [/\((series40);/i // Series 40
	      ], [NAME], [/mozilla.+\(mobile;.+gecko.+firefox/i // Firefox OS
	      ], [[NAME, 'Firefox OS'], VERSION], [// Console
	      /(nintendo|playstation)\s([wids34portablevu]+)/i, // Nintendo/Playstation
	      // GNU/Linux based
	      /(mint)[\/\s\(]?(\w*)/i, // Mint
	      /(mageia|vectorlinux)[;\s]/i, // Mageia/VectorLinux
	      /(joli|[kxln]?ubuntu|debian|suse|opensuse|gentoo|(?=\s)arch|slackware|fedora|mandriva|centos|pclinuxos|redhat|zenwalk|linpus)[\/\s-]?(?!chrom)([\w\.-]*)/i, // Joli/Ubuntu/Debian/SUSE/Gentoo/Arch/Slackware
	      // Fedora/Mandriva/CentOS/PCLinuxOS/RedHat/Zenwalk/Linpus
	      /(hurd|linux)\s?([\w\.]*)/i, // Hurd/Linux
	      /(gnu)\s?([\w\.]*)/i // GNU
	      ], [NAME, VERSION], [/(cros)\s[\w]+\s([\w\.]+\w)/i // Chromium OS
	      ], [[NAME, 'Chromium OS'], VERSION], [// Solaris
	      /(sunos)\s?([\w\.\d]*)/i // Solaris
	      ], [[NAME, 'Solaris'], VERSION], [// BSD based
	      /\s([frentopc-]{0,4}bsd|dragonfly)\s?([\w\.]*)/i // FreeBSD/NetBSD/OpenBSD/PC-BSD/DragonFly
	      ], [NAME, VERSION], [/(haiku)\s(\w+)/i // Haiku
	      ], [NAME, VERSION], [/cfnetwork\/.+darwin/i, /ip[honead]{2,4}(?:.*os\s([\w]+)\slike\smac|;\sopera)/i // iOS
	      ], [[VERSION, /_/g, '.'], [NAME, 'iOS']], [/(mac\sos\sx)\s?([\w\s\.]*)/i, /(macintosh|mac(?=_powerpc)\s)/i // Mac OS
	      ], [[NAME, 'Mac OS'], [VERSION, /_/g, '.']], [// Other
	      /((?:open)?solaris)[\/\s-]?([\w\.]*)/i, // Solaris
	      /(aix)\s((\d)(?=\.|\)|\s)[\w\.])*/i, // AIX
	      /(plan\s9|minix|beos|os\/2|amigaos|morphos|risc\sos|openvms|fuchsia)/i, // Plan9/Minix/BeOS/OS2/AmigaOS/MorphOS/RISCOS/OpenVMS/Fuchsia
	      /(unix)\s?([\w\.]*)/i // UNIX
	      ], [NAME, VERSION]]
	    }; /////////////////
	    // Constructor
	    ////////////////

	    var UAParser = function (uastring, extensions) {
	      if (typeof uastring === 'object') {
	        extensions = uastring;
	        uastring = undefined$1;
	      }

	      if (!(this instanceof UAParser)) {
	        return new UAParser(uastring, extensions).getResult();
	      }

	      var ua = uastring || (window && window.navigator && window.navigator.userAgent ? window.navigator.userAgent : EMPTY);
	      var rgxmap = extensions ? util.extend(regexes, extensions) : regexes;

	      this.getBrowser = function () {
	        var browser = {
	          name: undefined$1,
	          version: undefined$1
	        };
	        mapper.rgx.call(browser, ua, rgxmap.browser);
	        browser.major = util.major(browser.version); // deprecated

	        return browser;
	      };

	      this.getCPU = function () {
	        var cpu = {
	          architecture: undefined$1
	        };
	        mapper.rgx.call(cpu, ua, rgxmap.cpu);
	        return cpu;
	      };

	      this.getDevice = function () {
	        var device = {
	          vendor: undefined$1,
	          model: undefined$1,
	          type: undefined$1
	        };
	        mapper.rgx.call(device, ua, rgxmap.device);
	        return device;
	      };

	      this.getEngine = function () {
	        var engine = {
	          name: undefined$1,
	          version: undefined$1
	        };
	        mapper.rgx.call(engine, ua, rgxmap.engine);
	        return engine;
	      };

	      this.getOS = function () {
	        var os = {
	          name: undefined$1,
	          version: undefined$1
	        };
	        mapper.rgx.call(os, ua, rgxmap.os);
	        return os;
	      };

	      this.getResult = function () {
	        return {
	          ua: this.getUA(),
	          browser: this.getBrowser(),
	          engine: this.getEngine(),
	          os: this.getOS(),
	          device: this.getDevice(),
	          cpu: this.getCPU()
	        };
	      };

	      this.getUA = function () {
	        return ua;
	      };

	      this.setUA = function (uastring) {
	        ua = uastring;
	        return this;
	      };

	      return this;
	    };

	    UAParser.VERSION = LIBVERSION;
	    UAParser.BROWSER = {
	      NAME: NAME,
	      MAJOR: MAJOR,
	      // deprecated
	      VERSION: VERSION
	    };
	    UAParser.CPU = {
	      ARCHITECTURE: ARCHITECTURE
	    };
	    UAParser.DEVICE = {
	      MODEL: MODEL,
	      VENDOR: VENDOR,
	      TYPE: TYPE,
	      CONSOLE: CONSOLE,
	      MOBILE: MOBILE,
	      SMARTTV: SMARTTV,
	      TABLET: TABLET,
	      WEARABLE: WEARABLE,
	      EMBEDDED: EMBEDDED
	    };
	    UAParser.ENGINE = {
	      NAME: NAME,
	      VERSION: VERSION
	    };
	    UAParser.OS = {
	      NAME: NAME,
	      VERSION: VERSION
	    }; ///////////
	    // Export
	    //////////
	    // check js environment

	    {
	      // nodejs env
	      if ( module.exports) {
	        exports = module.exports = UAParser;
	      }

	      exports.UAParser = UAParser;
	    } // jQuery/Zepto specific (optional)
	    // Note:
	    //   In AMD env the global scope should be kept clean, but jQuery is an exception.
	    //   jQuery always exports to global scope, unless jQuery.noConflict(true) is used,
	    //   and we should catch that.


	    var $ = window && (window.jQuery || window.Zepto);

	    if ($ && !$.ua) {
	      var parser = new UAParser();
	      $.ua = parser.getResult();

	      $.ua.get = function () {
	        return parser.getUA();
	      };

	      $.ua.set = function (uastring) {
	        parser.setUA(uastring);
	        var result = parser.getResult();

	        for (var prop in result) {
	          $.ua[prop] = result[prop];
	        }
	      };
	    }
	  })(typeof window === 'object' ? window : commonjsGlobal);
	});
	var uaParser_1 = uaParser.UAParser;

	var getFingerprint = function () {
	  var result;
	  return /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
	    var components;
	    return regeneratorRuntime.wrap(function _callee$(_context) {
	      while (1) {
	        switch (_context.prev = _context.next) {
	          case 0:
	            if (result) {
	              _context.next = 5;
	              break;
	            }

	            _context.next = 3;
	            return fingerprint2.getPromise({
	              // https://github.com/Valve/fingerprintjs2/issues/439
	              // https://github.com/Valve/fingerprintjs2/blob/master/fingerprint2.js#L245
	              preprocessor: function preprocessor(key, value) {
	                if (key === 'userAgent') {
	                  var ua = new uaParser_1(value);
	                  return [ua.getBrowser().name, ua.getEngine().name, ua.getOS().name, ua.getDevice().vendor, ua.getDevice().model, ua.getDevice().type, ua.getCPU().architecture];
	                }

	                return value;
	              },
	              // @ts-ignore
	              fonts: {
	                userDefinedFonts: userDefinedFonts,
	                extendedJsFonts: true // modified

	              },
	              audio: {
	                timeout: 1000,
	                excludeIOS11: false // modified

	              }
	            });

	          case 3:
	            components = _context.sent;
	            result = fingerprint2.x64hash128(components.map(function (component) {
	              return component.value;
	            }).join(''), 31); // console.log(components);
	            // console.log(result);

	          case 5:
	            return _context.abrupt("return", result);

	          case 6:
	          case "end":
	            return _context.stop();
	        }
	      }
	    }, _callee);
	  }));
	}();
	function getFingerprintEncoded() {
	  return _getFingerprintEncoded.apply(this, arguments);
	} // https://stackoverflow.com/questions/2450954/how-to-randomize-shuffle-a-javascript-array

	function _getFingerprintEncoded() {
	  _getFingerprintEncoded = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
	    var hashBytes, indexes, fp;
	    return regeneratorRuntime.wrap(function _callee2$(_context2) {
	      while (1) {
	        switch (_context2.prev = _context2.next) {
	          case 0:
	            _context2.next = 2;
	            return getFingerprint();

	          case 2:
	            hashBytes = _context2.sent.match(/\w{2}/g).map(function (c) {
	              return parseInt(c, 16);
	            });
	            indexes = shuffle(_toConsumableArray(Array(hashBytes.length).keys()));
	            fp = btoa([].concat(_toConsumableArray(indexes.map(function (i) {
	              return hashBytes[i];
	            })), _toConsumableArray(indexes)).map(function (c) {
	              return String.fromCharCode(c);
	            }).join(''));
	            return _context2.abrupt("return", {
	              fp: fp
	            });

	          case 6:
	          case "end":
	            return _context2.stop();
	        }
	      }
	    }, _callee2);
	  }));
	  return _getFingerprintEncoded.apply(this, arguments);
	}

	function shuffle(array) {
	  for (var i = array.length - 1; i > 0; i--) {
	    var j = Math.floor(Math.random() * (i + 1));
	    var _ref2 = [array[j], array[i]];
	    array[i] = _ref2[0];
	    array[j] = _ref2[1];
	  }

	  return array;
	}

	function initCaptcha(params) {
	  return new CaptchaService(params);
	}
	var CaptchaService = /*#__PURE__*/function () {
	  _createClass(CaptchaService, [{
	    key: "status",
	    get: function get() {
	      return this._status;
	    }
	  }, {
	    key: "successCallback",
	    get: function get() {
	      return this._successCallback;
	    },
	    set: function set(value) {
	      if (!value) {
	        throw new Error('Missing required parameter');
	      }

	      this._successCallback = value;
	    }
	  }]);

	  function CaptchaService(params) {
	    var _this = this,
	        _params$executeOnRead;

	    _classCallCheck(this, CaptchaService);

	    _defineProperty(this, "_status", exports.CaptchaServiceStatus.Pending);

	    _defineProperty(this, "providers", []);

	    _defineProperty(this, "frictionlessProviders", []);

	    _defineProperty(this, "errors", new Set());

	    _defineProperty(this, "options", void 0);

	    _defineProperty(this, "loadingOverlay", void 0);

	    _defineProperty(this, "_successCallback", void 0);

	    _defineProperty(this, "executeOnReady", void 0);

	    _defineProperty(this, "errorCallback", void 0);

	    _defineProperty(this, "readyCallback", void 0);

	    _defineProperty(this, "action", void 0);

	    _defineProperty(this, "executeCore", throttle(function () {
	      return _this.providers.find(function (p) {
	        return p.status === exports.CaptchaServiceStatus.Ready;
	      }).execute();
	    }, 1000));

	    _defineProperty(this, "providerOnSuccess", function (provider) {
	      return /*#__PURE__*/function () {
	        var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(response) {
	          var frictionResponse;
	          return regeneratorRuntime.wrap(function _callee$(_context) {
	            while (1) {
	              switch (_context.prev = _context.next) {
	                case 0:
	                  _context.prev = 0;
	                  _context.next = 3;
	                  return _this.executeFrictionless();

	                case 3:
	                  frictionResponse = _context.sent;

	                  _this.successCallback(Object.assign({}, response, frictionResponse));

	                  _context.next = 9;
	                  break;

	                case 7:
	                  _context.prev = 7;
	                  _context.t0 = _context["catch"](0);

	                case 9:
	                case "end":
	                  return _context.stop();
	              }
	            }
	          }, _callee, null, [[0, 7]]);
	        }));

	        return function (_x) {
	          return _ref.apply(this, arguments);
	        };
	      }();
	    });

	    _defineProperty(this, "providerOnError", function (provider) {
	      return function (message) {
	        console.error("".concat(exports.CaptchaProvider[provider], " Error: ").concat(message));

	        if (message) {
	          _this.errors.add(message);
	        }

	        if (_this.providers.every(function (p) {
	          return p.status === exports.CaptchaServiceStatus.Error;
	        }) || _this.frictionlessProviders.every(function (p) {
	          return p.status === exports.CaptchaServiceStatus.Error;
	        })) {
	          _this.onError(_toConsumableArray(_this.errors).join('、'));
	        }
	      };
	    });

	    _defineProperty(this, "providerOnReady", function (provider) {
	      return function () {
	        if (_this.status !== exports.CaptchaServiceStatus.Ready && _this.providers.some(function (p) {
	          return p.status === exports.CaptchaServiceStatus.Ready;
	        }) && _this.frictionlessProviders.some(function (p) {
	          return p.status === exports.CaptchaServiceStatus.Ready;
	        })) {
	          _this.onReady();
	        }
	      };
	    });

	    this.successCallback = params.successCallback;
	    this.errorCallback = params.errorCallback;
	    this.readyCallback = params.readyCallback;
	    this.executeOnReady = (_params$executeOnRead = params.executeOnReady) !== null && _params$executeOnRead !== void 0 ? _params$executeOnRead : false;
	    this.action = params.action;

	    if (!params.options) {
	      var _this$action;

	      this.getOptionsThenInit("/api/captcha?timestamp=".concat(Date.now(), "&action=").concat((_this$action = this.action) !== null && _this$action !== void 0 ? _this$action : ''));
	    } else if (typeof params.options === 'string') {
	      this.getOptionsThenInit(params.options);
	    } else {
	      this.options = params.options;
	      this.init();
	    }
	  }

	  _createClass(CaptchaService, [{
	    key: "execute",
	    value: function execute() {
	      if (this.status !== exports.CaptchaServiceStatus.Ready) {
	        if (this.status === exports.CaptchaServiceStatus.Pending) {
	          this.executeOnReady = true;
	          this.showLoadingOverlay();
	        }

	        return;
	      }

	      this.executeCore();
	    }
	  }, {
	    key: "executeFrictionless",
	    value: function () {
	      var _executeFrictionless = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(action) {
	        var _ref2, actionName, promises, fpPromise, results, successResults, _results$find;

	        return regeneratorRuntime.wrap(function _callee2$(_context2) {
	          while (1) {
	            switch (_context2.prev = _context2.next) {
	              case 0:
	                _context2.prev = 0;
	                actionName = (_ref2 = action !== null && action !== void 0 ? action : this.action) !== null && _ref2 !== void 0 ? _ref2 : '';
	                promises = this.frictionlessProviders.filter(function (p) {
	                  return p.status === exports.CaptchaServiceStatus.Ready;
	                }).map(function (s) {
	                  return s.execute(actionName)["catch"](function (e) {
	                    return e instanceof Error ? e : new Error(e);
	                  });
	                });
	                fpPromise = getFingerprintEncoded();
	                _context2.next = 6;
	                return Promise.all(promises);

	              case 6:
	                results = _context2.sent;
	                successResults = results.filter(function (result) {
	                  return !(result instanceof Error);
	                });

	                if (!(successResults.length === 0)) {
	                  _context2.next = 10;
	                  break;
	                }

	                throw (_results$find = results.find(function (result) {
	                  return result instanceof Error;
	                })) !== null && _results$find !== void 0 ? _results$find : new Error("executeFrictionless failed!");

	              case 10:
	                _context2.t0 = Object.assign;
	                _context2.t1 = Object;
	                _context2.t2 = [{}];
	                _context2.t3 = _toConsumableArray(successResults);
	                _context2.next = 16;
	                return fpPromise;

	              case 16:
	                _context2.t4 = _context2.sent;
	                _context2.t5 = [_context2.t4];
	                _context2.t6 = _context2.t2.concat.call(_context2.t2, _context2.t3, _context2.t5);
	                return _context2.abrupt("return", _context2.t0.apply.call(_context2.t0, _context2.t1, _context2.t6));

	              case 22:
	                _context2.prev = 22;
	                _context2.t7 = _context2["catch"](0);
	                this.onError(_context2.t7.message);
	                throw _context2.t7;

	              case 26:
	              case "end":
	                return _context2.stop();
	            }
	          }
	        }, _callee2, this, [[0, 22]]);
	      }));

	      function executeFrictionless(_x2) {
	        return _executeFrictionless.apply(this, arguments);
	      }

	      return executeFrictionless;
	    }()
	  }, {
	    key: "init",
	    value: function init() {
	      var _this2 = this;

	      if (!isCaptchaOptions(this.options)) {
	        return this.onError('配置为空');
	      }

	      if (this.executeOnReady) {
	        this.showLoadingOverlay();
	      }

	      this.providers = this.options.providers.length === 0 ? [this.createProviderService(exports.CaptchaProvider.None)] : this.options.providers.map(function (p) {
	        return _this2.createProviderService(p);
	      });
	      this.providers.forEach(function (p) {
	        return p.init();
	      });
	      this.frictionlessProviders = this.options.frictionlessProviders.length === 0 ? [this.createFrictionlessProviderService(exports.FrictionlessCaptchaProvider.None)] : this.options.frictionlessProviders.map(function (p) {
	        return _this2.createFrictionlessProviderService(p);
	      });
	      this.frictionlessProviders.forEach(function (p) {
	        return p.init();
	      });
	    }
	  }, {
	    key: "getOptionsThenInit",
	    value: function getOptionsThenInit(url) {
	      var _this3 = this;

	      var request = new XMLHttpRequest();
	      request.open('GET', url, true);

	      request.onload = function () {
	        if (request.status >= 200 && request.status < 400) {
	          _this3.options = JSON.parse(request.response);

	          _this3.init();
	        } else {
	          _this3.onError("\u7F51\u7EDC\u9519\u8BEF ".concat(request.status));
	        }
	      };

	      request.onerror = function () {
	        _this3.onError('网络错误');
	      };

	      request.send();
	    }
	  }, {
	    key: "createProviderService",
	    value: function createProviderService(provider) {
	      var providerServiceType = getProviderServiceType(provider);
	      return new providerServiceType(this.providerOnSuccess(provider), this.providerOnError(provider), this.providerOnReady(provider), this.options);
	    }
	  }, {
	    key: "createFrictionlessProviderService",
	    value: function createFrictionlessProviderService(provider) {
	      var providerServiceType = getFrictionlessProviderServiceType(provider);
	      return new providerServiceType(this.providerOnError(provider), this.providerOnReady(provider), this.options);
	    }
	  }, {
	    key: "onReady",
	    value: function onReady() {
	      this._status = exports.CaptchaServiceStatus.Ready;

	      if (this.readyCallback) {
	        this.readyCallback();
	      }

	      if (this.executeOnReady) {
	        this.hideLoadingOverlay();
	        this.execute();
	      }
	    }
	  }, {
	    key: "onError",
	    value: function onError(message) {
	      this._status = exports.CaptchaServiceStatus.Error;
	      this.hideLoadingOverlay();

	      if (this.errorCallback) {
	        this.errorCallback("".concat(message ? message : '验证码错误', "\uFF0C\u8BF7\u5237\u65B0\u9875\u9762\u91CD\u8BD5\uFF0C\u6301\u7EED\u62A5\u9519\u8BF7\u5C1D\u8BD5\u66F4\u6362\u6D4F\u89C8\u5668\u6216\u7F51\u7EDC\u73AF\u5883\u3002\u8054\u7CFB\u90AE\u7BB1: contact@cnblogs.com"));
	      }
	    }
	  }, {
	    key: "showLoadingOverlay",
	    value: function showLoadingOverlay() {
	      if (!this.loadingOverlay) {
	        var className = 'captcha-loading-overlay';
	        this.loadingOverlay = appendElement(document.body, 'div', function (overlay) {
	          overlay.className = className;
	          appendElement(overlay, 'div', function (spinner) {
	            spinner.className = "".concat(className, "__spinner");
	            spinner.innerHTML = "<svg width=\"38\" height=\"38\" xmlns=\"http://www.w3.org/2000/svg\" stroke=\"#666\"><g transform=\"translate(1 1)\" stroke-width=\"2\" fill=\"none\" fill-rule=\"evenodd\"><circle stroke-opacity=\".5\" cx=\"18\" cy=\"18\" r=\"18\"/><path d=\"M36 18c0-9.94-8.06-18-18-18\"><animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 18 18\" to=\"360 18 18\" dur=\"1s\" repeatCount=\"indefinite\"/></path></g></svg>";
	          });
	          appendElement(overlay, 'div', function (caption) {
	            caption.className = "".concat(className, "__caption");
	            caption.innerText = '验证码加载中...';
	          });
	        });
	      }
	    }
	  }, {
	    key: "hideLoadingOverlay",
	    value: function hideLoadingOverlay() {
	      if (this.loadingOverlay) {
	        document.body.removeChild(this.loadingOverlay);
	        this.loadingOverlay = undefined;
	      }
	    }
	  }]);

	  return CaptchaService;
	}();

	var NoneCaptcha = /*#__PURE__*/function (_CaptchaProviderServi) {
	  _inherits(NoneCaptcha, _CaptchaProviderServi);

	  var _super = _createSuper(NoneCaptcha);

	  function NoneCaptcha() {
	    _classCallCheck(this, NoneCaptcha);

	    return _super.apply(this, arguments);
	  }

	  _createClass(NoneCaptcha, [{
	    key: "execute",
	    value: function execute() {
	      return this.onSuccess();
	    }
	  }, {
	    key: "init",
	    value: function init() {
	      this.onReady();
	    }
	  }]);

	  return NoneCaptcha;
	}(CaptchaProviderService);

	var NoneFrictionlessCaptcha = /*#__PURE__*/function (_FrictionlessCaptchaP) {
	  _inherits(NoneFrictionlessCaptcha, _FrictionlessCaptchaP);

	  var _super2 = _createSuper(NoneFrictionlessCaptcha);

	  function NoneFrictionlessCaptcha() {
	    _classCallCheck(this, NoneFrictionlessCaptcha);

	    return _super2.apply(this, arguments);
	  }

	  _createClass(NoneFrictionlessCaptcha, [{
	    key: "execute",
	    value: function () {
	      var _execute = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee3(action) {
	        return regeneratorRuntime.wrap(function _callee3$(_context3) {
	          while (1) {
	            switch (_context3.prev = _context3.next) {
	              case 0:
	                return _context3.abrupt("return", {});

	              case 1:
	              case "end":
	                return _context3.stop();
	            }
	          }
	        }, _callee3);
	      }));

	      function execute(_x3) {
	        return _execute.apply(this, arguments);
	      }

	      return execute;
	    }()
	  }, {
	    key: "init",
	    value: function init() {
	      this.onReady();
	    }
	  }]);

	  return NoneFrictionlessCaptcha;
	}(FrictionlessCaptchaProviderService);

	function getProviderServiceType(provider) {
	  switch (provider) {
	    case exports.CaptchaProvider.None:
	      return NoneCaptcha;

	    case exports.CaptchaProvider.Geetest:
	      return GeetestService;

	    case exports.CaptchaProvider.Recaptcha:
	      return RecaptchaService;

	    case exports.CaptchaProvider.AliyunCaptcha:
	      return AliyunCaptchaService;
	  }
	}

	function getFrictionlessProviderServiceType(provider) {
	  switch (provider) {
	    case exports.FrictionlessCaptchaProvider.None:
	      return NoneFrictionlessCaptcha;

	    case exports.FrictionlessCaptchaProvider.Geetest:
	      return GeetestFrictionlessService;

	    case exports.FrictionlessCaptchaProvider.Recaptcha:
	      return RecaptchaFrictionlessService;
	  }
	}

	exports.CaptchaService = CaptchaService;
	exports.initCaptcha = initCaptcha;

	Object.defineProperty(exports, '__esModule', { value: true });

})));
